(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 12.1' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[    370892,       8257]
NotebookOptionsPosition[    352609,       8059]
NotebookOutlinePosition[    353003,       8075]
CellTagsIndexPosition[    352960,       8072]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[Cell[TextData[{
  StyleBox[
  "(**************************************************************************\
*********************************\n",
   FontSize->12],
  StyleBox["Disclaimer and Limitation of Liability:",
   FontSize->12,
   FontWeight->"Bold"],
  StyleBox[
  "\nThis Mathematica notebook is provided by Harper Corditt Software for the \
purpose of illustrating how\nto use the DOE Toolkit add-on for Mathematica.\n\
The source code in this Mathematica notebook is provided \"as is\" without \
warranty of any kind,\nwhether express or implied.\n\nMathematica\
\[RegisteredTrademark] is a registered trademark of Wolfram Research.\n\nDOE \
Toolkit v2.0.3  \[Copyright]2020 Harper Corditt Software\n\
******************************************************************************\
*****************************)",
   FontSize->12]
 }], "Text",
  CellChangeTimes->{{3.7934683832815514`*^9, 3.793468390001415*^9}, 
    3.793468430626409*^9, {3.79346846756367*^9, 3.793468468413148*^9}, {
    3.794373706883132*^9, 3.794373723492049*^9}, 3.795100928164896*^9, {
    3.79793156885332*^9, 3.797931586352768*^9}, {3.7979952690688*^9, 
    3.797995279224703*^9}, {3.798792744885835*^9, 3.79879275357358*^9}, 
    3.798792803535048*^9},ExpressionUUID->
  "906ef273-9275-4c30-86bc-88f71f138dc1"]], "Input",
 CellChangeTimes->{{3.799055679880433*^9, 3.7990556877095194`*^9}, 
   3.803949808266234*^9, {3.930389552361948*^9, 3.930389556389125*^9}, {
   3.933336255469646*^9, 3.933336255800049*^9}},
 Background->RGBColor[
  0.9529411764705882, 0.9529411764705882, 
   0.9529411764705882],ExpressionUUID->"f6a1e174-26ee-4200-95ff-3d70948693e4"],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"(*", " ", 
    RowBox[{
     StyleBox[
      RowBox[{"DO", 
       StyleBox["E", "Section",
        FontColor->RGBColor[0., 0.6823529411764706, 0.]]}], "Section",
      FontColor->RGBColor[0., 0.6823529411764706, 0.]], 
     StyleBox[" ", "Section",
      FontColor->RGBColor[0., 0.6823529411764706, 0.]], 
     StyleBox[
      RowBox[{
       StyleBox[
        StyleBox[
         StyleBox["T", "Section",
          FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Section",
         FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Section",
        FontColor->RGBColor[0., 0.6823529411764706, 0.]], "oo", 
       StyleBox["l", "Section",
        FontColor->RGBColor[0., 0.6823529411764706, 0.]], "ki", 
       StyleBox["t", "Section",
        FontColor->RGBColor[0., 0.6823529411764706, 0.]]}]], 
     StyleBox[" ", "Section",
      FontColor->RGBColor[0., 0.6823529411764706, 0.]], 
     StyleBox[
      RowBox[{
       StyleBox[
        StyleBox["U", "Section",
         FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Section",
        FontColor->RGBColor[0., 0.6823529411764706, 0.]], "ser"}]], " ", 
     StyleBox["Guide", "Section",
      FontColor->RGBColor[0., 0.6823529411764706, 0.]]}], " ", "*)"}], 
   "Section",
   FontColor->RGBColor[0., 0.6823529411764706, 0.]], 
  StyleBox["\n", "Section",
   FontColor->RGBColor[0., 0.6823529411764706, 0.]], 
  GraphicsBox[
   TagBox[RasterBox[CompressedData["
1:eJzsnQV0G1f6txvFlgUWWLIl2zIzM8soMDMzMzNzHGZsmLFNG2iaJm1D5e1u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     "], {{0, 214.}, {214., 0}}, {0, 255},
     ColorFunction->RGBColor],
    BoxForm`ImageTag[
    "Byte", ColorSpace -> "RGB", Interleaving -> True, 
     MetaInformation -> <|
      "Comments" -> <|"Software" -> "GraphicConverter (Intel)"|>|>],
    Selectable->False],
   DefaultBaseStyle->"ImageGraphics",
   ImageSize->{105.5, Automatic},
   ImageSizeRaw->{214., 214.},
   PlotRange->{{0, 214.}, {0, 214.}}]}]], "Text",
 CellChangeTimes->{{3.7611194847757998`*^9, 3.761119498497059*^9}, {
   3.761119547605396*^9, 3.761119548487955*^9}, 3.761119813890427*^9, {
   3.773804745862502*^9, 3.773804758643262*^9}, {3.774771917685171*^9, 
   3.77477194296569*^9}, {3.77605136349698*^9, 3.776051366670023*^9}, {
   3.7990851026902065`*^9, 3.799085107021249*^9}, {3.799754678057313*^9, 
   3.79975470008683*^9}, 
   3.799754859230634*^9},ExpressionUUID->"41f31245-dd8a-4229-940a-\
5578b2075703"],

Cell[TextData[{
 "(*This notebook contains  the code for the examples in the ",
 StyleBox["DOE Toolkit User Guide.pdf",
  FontWeight->"Bold"],
 " file.*)"
}], "Text",
 CellChangeTimes->{{3.799754744437907*^9, 3.799754766803373*^9}, {
  3.804551047367721*^9, 3.80455105486943*^9}},
 FontColor->RGBColor[
  0, 0, 1],ExpressionUUID->"f7eea516-39f4-40dd-8940-6847e55e3f38"],

Cell[TextData[{
 "(*Note: In the examples that follow, when we evaluate one of the DOE \
Toolkit functions, we usually set the\n",
 StyleBox["RandomizeRuns",
  FontFamily->"Courier New",
  FontSize->16,
  FontWeight->"Normal"],
 " option  to ",
 StyleBox["False",
  FontWeight->"Bold"],
 " (the  ",
 StyleBox["RandomizeRuns",
  FontFamily->"Courier New",
  FontSize->16,
  FontWeight->"Normal"],
 " option is an option shared in common\nby all DOE Toolkit functions).  This \
ensures that the same, non-randomly ordered design results if the\nsame \
example is repeatedly evaluated.  Hopefully this will make it easier to \
inspect the designs that\nare generated by the DOE Toolkit functions.\n\n\
However, as a general rule, when you use the DOE Toolkit functions in your \
work, the ",
 StyleBox["RandomizeRuns\n",
  FontFamily->"Courier New",
  FontSize->16,
  FontWeight->"Normal"],
 "option should be set to ",
 StyleBox["True",
  FontWeight->"Bold"],
 " (which is its default value).  The easiest way to ensure that this is the \
case is\nto simply avoid specifying the ",
 StyleBox["RandomizeRuns",
  FontFamily->"Courier New",
  FontSize->16,
  FontWeight->"Normal"],
 " option.*)"
}], "Text",
 CellChangeTimes->{{3.802234763687828*^9, 3.8022348298824453`*^9}, {
  3.8022348878837185`*^9, 3.802234988771474*^9}, {3.802235027925206*^9, 
  3.8022351763071303`*^9}, {3.8022352278501954`*^9, 3.802235325018734*^9}, {
  3.8022357393780127`*^9, 3.8022357440919476`*^9}, {3.8045504102911663`*^9, 
  3.804550429894783*^9}, {3.804550479815775*^9, 3.8045504925100384`*^9}, {
  3.804550534025312*^9, 3.804550823779855*^9}, {3.804550854290856*^9, 
  3.804551037965278*^9}, {3.8045511651192317`*^9, 3.804551166846306*^9}},
 FontColor->RGBColor[
  0, 0, 1],ExpressionUUID->"b9946024-f2d4-4902-b7fb-75365f204308"],

Cell[BoxData[
 StyleBox[
  RowBox[{"\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{
     RowBox[{
      RowBox[{"--", 
       RowBox[{"--", 
        RowBox[{"-", " ", 
         StyleBox[
          RowBox[{
           StyleBox[
            StyleBox[
             StyleBox[
              StyleBox["L", "Subsection",
               FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
              FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
             FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
            FontColor->RGBColor[0., 0.6823529411764706, 0.]], "oa", 
           StyleBox[
            StyleBox[
             StyleBox[
              StyleBox[
               StyleBox[
                StyleBox[
                 StyleBox["d", "Subsection",
                  FontColor->RGBColor[0., 0.6823529411764706, 0.]], 
                 "Subsection",
                 FontColor->RGBColor[0., 0.6823529411764706, 0.]], 
                "Subsection",
                FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
               FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
              FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
             FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
            FontColor->RGBColor[0., 0.6823529411764706, 0.]], "in", 
           StyleBox[
            StyleBox[
             StyleBox[
              StyleBox[
               StyleBox[
                StyleBox[
                 StyleBox["g", "Subsection",
                  FontColor->RGBColor[0., 0.6823529411764706, 0.]], 
                 "Subsection",
                 FontColor->RGBColor[0., 0.6823529411764706, 0.]], 
                "Subsection",
                FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
               FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
              FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
             FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
            FontColor->RGBColor[0., 0.6823529411764706, 0.]]}]]}]}]}], 
      StyleBox[" ", "Subsection",
       FontColor->RGBColor[0., 0.6823529411764706, 0.]], 
      StyleBox[
       RowBox[{
        StyleBox[
         StyleBox[
          StyleBox[
           StyleBox[
            StyleBox[
             StyleBox[
              StyleBox[
               StyleBox[
                StyleBox["t", "Subsection",
                 FontColor->RGBColor[0., 0.6823529411764706, 0.]], 
                "Subsection",
                FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
               FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
              FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
             FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
            FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
           FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
          FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
         FontColor->RGBColor[0., 0.6823529411764706, 0.]], "he"}]], 
      StyleBox[" ", "Subsection",
       FontColor->RGBColor[0., 0.6823529411764706, 0.]], 
      StyleBox[
       RowBox[{
        StyleBox[
         StyleBox[
          StyleBox[
           StyleBox[
            StyleBox[
             StyleBox[
              StyleBox["D", "Subsection",
               FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
              FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
             FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
            FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
           FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
          FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
         FontColor->RGBColor[0., 0.6823529411764706, 0.]], "OE"}]], 
      StyleBox[" ", "Subsection",
       FontColor->RGBColor[0., 0.6823529411764706, 0.]], 
      StyleBox[
       RowBox[{
        StyleBox[
         StyleBox[
          StyleBox[
           StyleBox[
            StyleBox[
             StyleBox[
              StyleBox["T", "Subsection",
               FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
              FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
             FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
            FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
           FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
          FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
         FontColor->RGBColor[0., 0.6823529411764706, 0.]], "oo", 
        StyleBox[
         StyleBox[
          StyleBox[
           StyleBox[
            StyleBox["l", "Subsection",
             FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
            FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
           FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
          FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
         FontColor->RGBColor[0., 0.6823529411764706, 0.]], "ki", 
        StyleBox[
         StyleBox[
          StyleBox[
           StyleBox[
            StyleBox["t", "Subsection",
             FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
            FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
           FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
          FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
         FontColor->RGBColor[0., 0.6823529411764706, 0.]]}]], " ", 
      StyleBox[
       RowBox[{
        StyleBox[
         StyleBox[
          StyleBox[
           StyleBox[
            StyleBox[
             StyleBox[
              StyleBox["i", "Subsection",
               FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
              FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
             FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
            FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
           FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
          FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
         FontColor->RGBColor[0., 0.6823529411764706, 0.]], 
        StyleBox[
         StyleBox[
          StyleBox[
           StyleBox[
            StyleBox[
             StyleBox["n", "Subsection",
              FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
             FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
            FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
           FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
          FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
         FontColor->RGBColor[0., 0.6823529411764706, 0.]]}]], 
      StyleBox[" ", "Subsection",
       FontColor->RGBColor[0., 0.6823529411764706, 0.]], 
      StyleBox[
       RowBox[{
        StyleBox[
         StyleBox[
          StyleBox[
           StyleBox[
            StyleBox[
             StyleBox[
              StyleBox["Y", "Subsection",
               FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
              FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
             FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
            FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
           FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
          FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
         FontColor->RGBColor[0., 0.6823529411764706, 0.]], "o", 
        StyleBox[
         StyleBox[
          StyleBox[
           StyleBox[
            StyleBox["u", "Subsection",
             FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
            FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
           FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
          FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
         FontColor->RGBColor[0., 0.6823529411764706, 0.]], 
        StyleBox[
         StyleBox[
          StyleBox[
           StyleBox[
            StyleBox[
             StyleBox["r", "Subsection",
              FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
             FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
            FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
           FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
          FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
         FontColor->RGBColor[0., 0.6823529411764706, 0.]]}]], 
      StyleBox[" ", "Subsection",
       FontColor->RGBColor[0., 0.6823529411764706, 0.]], 
      RowBox[{
       RowBox[{
        StyleBox[
         RowBox[{
          StyleBox[
           StyleBox[
            StyleBox[
             StyleBox[
              StyleBox[
               StyleBox[
                StyleBox["N", "Subsection",
                 FontColor->RGBColor[0., 0.6823529411764706, 0.]], 
                "Subsection",
                FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
               FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
              FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
             FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
            FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
           FontColor->RGBColor[0., 0.6823529411764706, 0.]], "ot", 
          StyleBox[
           StyleBox[
            StyleBox[
             StyleBox[
              StyleBox["e", "Subsection",
               FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
              FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
             FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
            FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
           FontColor->RGBColor[0., 0.6823529411764706, 0.]], "bo", 
          StyleBox[
           StyleBox[
            StyleBox[
             StyleBox[
              StyleBox["o", "Subsection",
               FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
              FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
             FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
            FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
           FontColor->RGBColor[0., 0.6823529411764706, 0.]], 
          StyleBox[
           StyleBox[
            StyleBox[
             StyleBox[
              StyleBox[
               StyleBox["k", "Subsection",
                FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
               FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
              FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
             FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
            FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
           FontColor->RGBColor[0., 0.6823529411764706, 0.]]}]], " ", "--"}], 
       "--"}]}], "-"}], "*)"}]}], "Subsection",
  FontColor->RGBColor[0., 0.6823529411764706, 0.]]], "Input",
 CellChangeTimes->{{3.7611963292526646`*^9, 3.76119633888396*^9}, {
   3.761276924270635*^9, 3.7612769297666917`*^9}, {3.763360704443454*^9, 
   3.763360709717205*^9}, 3.764439462495569*^9, {3.768660195710001*^9, 
   3.768660204877347*^9}, {3.799085170487949*^9, 3.7990851787636786`*^9}, {
   3.799085643619373*^9, 3.7990856569583473`*^9}, {3.804065288745603*^9, 
   3.804065332214799*^9}, 3.804547080816591*^9, {3.9361857424072027`*^9, 
   3.936185743791623*^9}, {3.936550323368531*^9, 
   3.936550334550535*^9}},ExpressionUUID->"cd24d202-cb5c-4454-9f8f-\
ab588b2d51ee"],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{"On", " ", 
    RowBox[{"Windows", ":", " ", 
     RowBox[{"assuming", " ", "the", " ", "DOE", " ", 
      RowBox[{"Toolkit", ".", "wl"}], " ", "package", " ", "is", " ", 
      "located", " ", "in", " ", "a", " ", "directory", " ", "named", "\n", 
      "\"\<DOE Toolkit\>\"", " ", "on", " ", "your", " ", "C"}], ":", " ", 
     "drive", ":"}]}], " ", "*)"}], "\n", 
  RowBox[{
   RowBox[{"Get", "[", "\"\<C:\\\\DOE Toolkit\\\\DOE Toolkit.wl\>\"", "]"}], 
   "\n", 
   RowBox[{"(*", 
    RowBox[{
    "Note", " ", "the", " ", "double", " ", "backslash", " ", "characters", 
     " ", "in", " ", "the", " ", 
     RowBox[{"path", "."}]}], "*)"}]}]}]], "Input",
 CellChangeTimes->{{3.804548204944175*^9, 3.804548222912123*^9}, {
   3.804655365679366*^9, 3.8046554862553983`*^9}, {3.804655528202238*^9, 
   3.8046555792788086`*^9}, {3.80465583784351*^9, 3.804655874404825*^9}, {
   3.8046560606194544`*^9, 3.8046560858061934`*^9}, 3.804656165697925*^9, {
   3.936185690110087*^9, 3.9361856975824127`*^9}, {3.9365501795969887`*^9, 
   3.936550184127054*^9}},ExpressionUUID->"08ce25a1-de62-4362-9a77-\
1b315518c532"],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{"On", " ", 
    RowBox[{"Macintosh", ":", " ", 
     RowBox[{"assuming", " ", "the", " ", "DOE", " ", 
      RowBox[{"Toolkit", ".", "wl"}], " ", "package", " ", "is", " ", 
      "located", " ", "a", " ", "folder", " ", "named", " ", 
      "\"\<DOE Toolkit\>\"", "\n", "in", " ", "your", " ", "Documents", " ", 
      "folder"}], ":"}]}], "*)"}], "\n", 
  RowBox[{
  "Get", "[", "\"\<~/Documents/DOE Toolkit/DOE Toolkit.wl\>\"", 
   "]"}]}]], "Input",
 CellChangeTimes->{
  3.804548063119489*^9, {3.804655609559379*^9, 3.804655622098626*^9}, {
   3.804655702111731*^9, 3.804655703625793*^9}, {3.804655752313978*^9, 
   3.804655789015936*^9}, {3.804655825406397*^9, 3.804655831703077*^9}, {
   3.8046561071523776`*^9, 3.804656119964979*^9}, {3.932966259432934*^9, 
   3.932966273073663*^9}, {3.93296681016998*^9, 3.932966831493878*^9}, {
   3.932990372887909*^9, 3.9329904143868012`*^9}, {3.932990681105495*^9, 
   3.93299068647062*^9}, {3.9361857030921917`*^9, 3.93618571130133*^9}, {
   3.936550186251834*^9, 3.936550192439211*^9}, {3.937364951155511*^9, 
   3.937364959975561*^9}, {3.937542072869681*^9, 
   3.93754207443692*^9}},ExpressionUUID->"48d6bcb6-695f-48d4-bea5-\
2072f6b0c6d8"],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{"On", " ", 
    RowBox[{"Linux", ":", " ", 
     RowBox[{"assuming", " ", "the", " ", "DOE", " ", 
      RowBox[{"Toolkit", ".", "wl"}], " ", "package", " ", "is", " ", 
      "located", " ", "in", " ", "a", " ", "directory", " ", "named", " ", 
      "\n", "\"\<DOE Toolkit\>\"", " ", "in", " ", "your", " ", "home", " ", 
      "directory"}], ":"}]}], "*)"}], "\n", 
  RowBox[{
  "Get", "[", "\"\<~/DOE Toolkit/DOE Toolkit.wl\>\"", "]"}]}]], "Input",
 CellChangeTimes->{{3.803844191268271*^9, 3.803844423209688*^9}, {
  3.804548000177128*^9, 3.804548058842019*^9}, {3.8046556486290627`*^9, 
  3.8046556735032415`*^9}, {3.8046561501046877`*^9, 3.804656193103358*^9}, {
  3.936185705875909*^9, 3.936185708883848*^9}, {3.9365501891997538`*^9, 
  3.9365501957302647`*^9}},ExpressionUUID->"f9dac270-0618-4c82-be33-\
533fb6eb3815"],

Cell[BoxData[
 StyleBox[
  RowBox[{"\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{
     RowBox[{
      RowBox[{"--", 
       RowBox[{"--", 
        RowBox[{"-", " ", 
         StyleBox[
          RowBox[{
           StyleBox[
            StyleBox[
             StyleBox[
              StyleBox["D", "Subsection",
               FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
              FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
             FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
            FontColor->RGBColor[0., 0.6823529411764706, 0.]], "at", 
           StyleBox[
            StyleBox[
             StyleBox[
              StyleBox[
               StyleBox[
                StyleBox[
                 StyleBox["a", "Subsection",
                  FontColor->RGBColor[0., 0.6823529411764706, 0.]], 
                 "Subsection",
                 FontColor->RGBColor[0., 0.6823529411764706, 0.]], 
                "Subsection",
                FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
               FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
              FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
             FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
            FontColor->RGBColor[0., 0.6823529411764706, 0.]], "se", 
           StyleBox[
            StyleBox[
             StyleBox[
              StyleBox[
               StyleBox[
                StyleBox[
                 StyleBox["t", "Subsection",
                  FontColor->RGBColor[0., 0.6823529411764706, 0.]], 
                 "Subsection",
                 FontColor->RGBColor[0., 0.6823529411764706, 0.]], 
                "Subsection",
                FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
               FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
              FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
             FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
            FontColor->RGBColor[0., 0.6823529411764706, 0.]], 
           StyleBox[
            StyleBox[
             StyleBox[
              StyleBox[
               StyleBox[
                StyleBox[
                 StyleBox[
                  StyleBox["s", "Subsection",
                   FontColor->RGBColor[0., 0.6823529411764706, 0.]], 
                  "Subsection",
                  FontColor->RGBColor[0., 0.6823529411764706, 0.]], 
                 "Subsection",
                 FontColor->RGBColor[0., 0.6823529411764706, 0.]], 
                "Subsection",
                FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
               FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
              FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
             FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
            FontColor->RGBColor[0., 0.6823529411764706, 0.]]}]]}]}]}], 
      StyleBox[" ", "Subsection",
       FontColor->RGBColor[0., 0.6823529411764706, 0.]], 
      StyleBox[
       RowBox[{
        StyleBox[
         StyleBox[
          StyleBox[
           StyleBox[
            StyleBox[
             StyleBox[
              StyleBox[
               StyleBox[
                StyleBox["a", "Subsection",
                 FontColor->RGBColor[0., 0.6823529411764706, 0.]], 
                "Subsection",
                FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
               FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
              FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
             FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
            FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
           FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
          FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
         FontColor->RGBColor[0., 0.6823529411764706, 0.]], "nd"}]], 
      StyleBox[" ", "Subsection",
       FontColor->RGBColor[0., 0.6823529411764706, 0.]], 
      RowBox[{
       RowBox[{
        StyleBox[
         RowBox[{
          StyleBox[
           StyleBox[
            StyleBox[
             StyleBox[
              StyleBox[
               StyleBox[
                StyleBox["X", "Subsection",
                 FontColor->RGBColor[0., 0.6823529411764706, 0.]], 
                "Subsection",
                FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
               FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
              FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
             FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
            FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
           FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Designs"}]], 
        " ", "--"}], "--"}]}], "-"}], "*)"}]}], "Subsection",
  FontColor->RGBColor[0., 0.6823529411764706, 0.]]], "Input",
 CellChangeTimes->{{3.7611963292526646`*^9, 3.76119633888396*^9}, {
   3.761276924270635*^9, 3.7612769297666917`*^9}, {3.763360704443454*^9, 
   3.763360709717205*^9}, 3.764439462495569*^9, {3.768660195710001*^9, 
   3.768660204877347*^9}, {3.799085170487949*^9, 3.7990851787636786`*^9}, {
   3.799090224429462*^9, 3.799090241793234*^9}, {3.7990966091110277`*^9, 
   3.79909660954176*^9}, 3.799123867438096*^9, {3.799123916238782*^9, 
   3.799123926789607*^9}},ExpressionUUID->"4713c022-0c84-401c-aa1c-\
03327eedec2a"],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
    "Evaluate", " ", "the", " ", "doeFactorial", " ", "function", " ", "to", 
     " ", "create", " ", "a", " ", "full", " ", "factorial", " ", "design", 
     " ", "for", " ", "3", " ", "variables"}], ",", " ", 
    RowBox[{"each", " ", "of", " ", "which", " ", "has", " ", "2", " ", 
     RowBox[{"levels", ".", "\n", "Display"}], " ", "the", " ", "2", " ", 
     "parts", " ", "of", " ", "the", " ", "XDesign", " ", "object", " ", 
     "returned", " ", "by", " ", "the", " ", "doeFactorial", " ", 
     RowBox[{"function", "."}]}]}], "*)"}], "\n", 
  RowBox[{
   RowBox[{
    RowBox[{"fullfactxdsn", "=", 
     RowBox[{"doeFactorial", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"\"\<X1\>\"", ",", "\"\<X2\>\"", ",", "\"\<X3\>\""}], "}"}], 
       ",", "\n", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0.7", ",", "1.7"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"40", ",", "60"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"1.8", ",", "2.8"}], "}"}]}], "}"}], ",", 
       RowBox[{"\"\<RandomizeRuns\>\"", "\[Rule]", "False"}]}], "]"}]}], 
    ";"}], "\n", 
   RowBox[{"fullfactxdsn", "[", 
    RowBox[{"[", "1", "]"}], "]"}], " ", 
   RowBox[{"(*", 
    RowBox[{"Dataset", " ", "object"}], "*)"}], "\n", 
   RowBox[{
    RowBox[{"fullfactxdsn", "[", 
     RowBox[{"[", "2", "]"}], "]"}], " ", 
    RowBox[{"(*", 
     RowBox[{"metadata", " ", "list"}], "*)"}], "//", "TableForm"}], 
   "\n"}]}]], "Input",
 CellChangeTimes->{{3.7989640985386086`*^9, 3.798964178482577*^9}, {
   3.798964216601469*^9, 3.798964277883608*^9}, {3.7989658278681736`*^9, 
   3.7989658350097*^9}, {3.7990402776206875`*^9, 3.799040288564044*^9}, {
   3.799055336425381*^9, 3.7990553383976517`*^9}, 3.799055799485642*^9, {
   3.79905589445873*^9, 3.799055906875445*^9}, {3.799090102245252*^9, 
   3.799090118947197*^9}, {3.799090149103342*^9, 3.7990901501886435`*^9}, {
   3.79909018258055*^9, 3.7990901958834543`*^9}, {3.799090249607269*^9, 
   3.799090487528311*^9}, {3.79909272221669*^9, 3.7990927409730644`*^9}, {
   3.799096671233078*^9, 3.799096705257679*^9}, {3.7991237478308573`*^9, 
   3.799123764787999*^9}, 3.799123874254898*^9, {3.799123938069258*^9, 
   3.799123942857824*^9}, {3.800294738025921*^9, 3.8002947564382515`*^9}, {
   3.800295823089883*^9, 3.800295876562417*^9}, 3.801646000564537*^9, {
   3.8016460780310493`*^9, 3.801646097843215*^9}},
 CellLabel->"In[2]:=",ExpressionUUID->"4262f132-e770-4993-8eee-2d4f48add61a"],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
    "assign", " ", "the", " ", "Dataset", " ", "object", " ", "returned", " ",
      "by", " ", "the", " ", "doeFactorial", " ", "function", " ", "to", " ", 
     "a", " ", "local", " ", "variable"}], ",", " ", 
    RowBox[{"ds1", ":"}]}], "*)"}], "\n", 
  RowBox[{"ds1", "=", 
   RowBox[{"fullfactxdsn", "[", 
    RowBox[{"[", "1", "]"}], "]"}]}]}]], "Input",
 CellChangeTimes->{{3.798965653277797*^9, 3.798965678791081*^9}, {
   3.7989658109075108`*^9, 3.798965818817095*^9}, 3.799090458062118*^9, {
   3.799090496088519*^9, 3.799090518986068*^9}, 3.799096743428927*^9, 
   3.799124037936768*^9},
 CellLabel->"In[6]:=",ExpressionUUID->"329d1336-63c4-435a-9af7-1110f4f296d9"],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
   "Evaluate", " ", "the", " ", "FullForm", " ", "function", " ", "to", " ", 
    "see", " ", "the", " ", "actual", " ", "structure", " ", "of", " ", "the",
     " ", "ds1", " ", "Dataset", " ", 
    RowBox[{"object", ".", "\n", "This"}], " ", "shows", " ", "that", " ", 
    "the", " ", "Dataset", " ", "object", " ", "is", " ", "an", " ", 
    RowBox[{"association", "."}]}], "*)"}], "\n", 
  RowBox[{"FullForm", "[", "ds1", "]"}]}]], "Input",
 CellLabel->"In[7]:=",ExpressionUUID->"3e5215a3-5e8b-4c3a-b72e-0c0c2ba8dc11"],

Cell["\<\
(* We observe that the structure of the Dataset object is essentially this:
<| 
\t1\[Rule]assoc1,
\t2\[Rule]assoc2,
\t...,
\tn\[Rule]assocN
|>
where each assocK is itself an association.
For example, assoc2 is the Association:
\t<|
\t\t\"Pattern\"\[Rule]\"+--\",
\t\t\"X1\"\[Rule]1.7,
\t\t\"X2\"\[Rule]40,
\t\t\"X3\"\[Rule]1.8
\t|>
*)\
\>", "Text",
 CellChangeTimes->{{3.80258147455448*^9, 3.8025814871487412`*^9}, {
  3.8025815362395916`*^9, 3.802581543003432*^9}},
 FontColor->RGBColor[
  0, 0, 1],ExpressionUUID->"3d339855-a1f6-434b-b856-0f3810c6aea5"],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
    "You", " ", "can", " ", "always", " ", "extract", " ", "just", " ", "the",
      " ", "data", " ", "from", " ", "the", " ", "DataSet", " ", "object"}], 
    ",", " ", 
    RowBox[{
    "free", " ", "from", " ", "all", " ", "the", " ", "nested", "\n", 
     "associations", " ", "as", " ", "follows"}]}], "*)"}], "\n", 
  RowBox[{"dataOnly", "=", 
   RowBox[{"Map", "[", 
    RowBox[{"Values", ",", 
     RowBox[{"Normal", "[", 
      RowBox[{"Values", "[", "ds1", "]"}], "]"}]}], "]"}]}]}]], "Input",
 CellChangeTimes->{{3.802707286640685*^9, 3.802707324286917*^9}, {
  3.8027073606149487`*^9, 3.8027074012247543`*^9}, {3.802707814545568*^9, 
  3.802707842380969*^9}},
 CellLabel->"In[8]:=",ExpressionUUID->"36584846-94b3-41d6-b3ad-aec289547042"],

Cell[BoxData[
 StyleBox[
  RowBox[{"\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{
     RowBox[{
      RowBox[{"--", 
       RowBox[{"--", 
        RowBox[{"-", " ", 
         StyleBox[
          RowBox[{
           StyleBox[
            StyleBox[
             StyleBox[
              StyleBox[
               StyleBox[
                StyleBox[
                 StyleBox[
                  StyleBox[
                   StyleBox["C", "Subsection",
                    FontColor->RGBColor[0., 0.6823529411764706, 0.]], 
                   "Subsection",
                   FontColor->RGBColor[0., 0.6823529411764706, 0.]], 
                  "Subsection",
                  FontColor->RGBColor[0., 0.6823529411764706, 0.]], 
                 "Subsection",
                 FontColor->RGBColor[0., 0.6823529411764706, 0.]], 
                "Subsection",
                FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
               FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
              FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
             FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
            FontColor->RGBColor[0., 0.6823529411764706, 0.]], "om", 
           StyleBox[
            StyleBox[
             StyleBox[
              StyleBox[
               StyleBox["m", "Subsection",
                FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
               FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
              FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
             FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
            FontColor->RGBColor[0., 0.6823529411764706, 0.]], "on"}]]}]}]}], 
      StyleBox[" ", "Subsection",
       FontColor->RGBColor[0., 0.6823529411764706, 0.]], 
      StyleBox[
       RowBox[{
        StyleBox[
         StyleBox[
          StyleBox[
           StyleBox[
            StyleBox["F", "Subsection",
             FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
            FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
           FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
          FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
         FontColor->RGBColor[0., 0.6823529411764706, 0.]], 
        StyleBox[
         StyleBox["ea", "Subsection",
          FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
         FontColor->RGBColor[0., 0.6823529411764706, 0.]], 
        StyleBox[
         StyleBox[
          StyleBox[
           StyleBox[
            StyleBox[
             StyleBox[
              StyleBox[
               StyleBox[
                StyleBox["t", "Subsection",
                 FontColor->RGBColor[0., 0.6823529411764706, 0.]], 
                "Subsection",
                FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
               FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
              FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
             FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
            FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
           FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
          FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
         FontColor->RGBColor[0., 0.6823529411764706, 0.]], 
        StyleBox[
         StyleBox["ur", "Subsection",
          FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
         FontColor->RGBColor[0., 0.6823529411764706, 0.]], 
        StyleBox[
         StyleBox[
          StyleBox[
           StyleBox[
            StyleBox[
             StyleBox[
              StyleBox[
               StyleBox[
                StyleBox["e", "Subsection",
                 FontColor->RGBColor[0., 0.6823529411764706, 0.]], 
                "Subsection",
                FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
               FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
              FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
             FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
            FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
           FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
          FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
         FontColor->RGBColor[0., 0.6823529411764706, 0.]], 
        StyleBox[
         StyleBox[
          StyleBox[
           StyleBox[
            StyleBox[
             StyleBox[
              StyleBox[
               StyleBox[
                StyleBox[
                 StyleBox["s", "Subsection",
                  FontColor->RGBColor[0., 0.6823529411764706, 0.]], 
                 "Subsection",
                 FontColor->RGBColor[0., 0.6823529411764706, 0.]], 
                "Subsection",
                FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
               FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
              FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
             FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
            FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
           FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
          FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
         FontColor->RGBColor[0., 0.6823529411764706, 0.]]}], "Subsection",
       FontColor->RGBColor[0., 0.6823529411764706, 0.]], 
      StyleBox[" ", "Subsection",
       FontColor->RGBColor[0., 0.6823529411764706, 0.]], 
      StyleBox[
       RowBox[{
        StyleBox[
         StyleBox[
          StyleBox[
           StyleBox["o", "Subsection",
            FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
           FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
          FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
         FontColor->RGBColor[0., 0.6823529411764706, 0.]], 
        StyleBox[
         StyleBox[
          StyleBox["f", "Subsection",
           FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
          FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
         FontColor->RGBColor[0., 0.6823529411764706, 0.]]}], "Subsection",
       FontColor->RGBColor[0., 0.6823529411764706, 0.]], 
      StyleBox[" ", "Subsection",
       FontColor->RGBColor[0., 0.6823529411764706, 0.]], 
      StyleBox[
       RowBox[{
        StyleBox[
         StyleBox[
          StyleBox[
           StyleBox[
            StyleBox[
             StyleBox[
              StyleBox["D", "Subsection",
               FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
              FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
             FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
            FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
           FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
          FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
         FontColor->RGBColor[0., 0.6823529411764706, 0.]], "OE"}]], 
      StyleBox[" ", "Subsection",
       FontColor->RGBColor[0., 0.6823529411764706, 0.]], 
      StyleBox[
       RowBox[{
        StyleBox[
         StyleBox[
          StyleBox[
           StyleBox[
            StyleBox[
             StyleBox[
              StyleBox["T", "Subsection",
               FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
              FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
             FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
            FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
           FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
          FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
         FontColor->RGBColor[0., 0.6823529411764706, 0.]], "oo", 
        StyleBox[
         StyleBox[
          StyleBox[
           StyleBox[
            StyleBox["l", "Subsection",
             FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
            FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
           FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
          FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
         FontColor->RGBColor[0., 0.6823529411764706, 0.]], "ki", 
        StyleBox[
         StyleBox[
          StyleBox[
           StyleBox[
            StyleBox["t", "Subsection",
             FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
            FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
           FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
          FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
         FontColor->RGBColor[0., 0.6823529411764706, 0.]]}]], 
      StyleBox[" ", "Subsection",
       FontColor->RGBColor[0., 0.6823529411764706, 0.]], 
      RowBox[{
       RowBox[{
        StyleBox[
         RowBox[{
          StyleBox[
           StyleBox[
            StyleBox[
             StyleBox[
              StyleBox[
               StyleBox[
                StyleBox["F", "Subsection",
                 FontColor->RGBColor[0., 0.6823529411764706, 0.]], 
                "Subsection",
                FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
               FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
              FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
             FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
            FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
           FontColor->RGBColor[0., 0.6823529411764706, 0.]], "un", 
          StyleBox[
           StyleBox[
            StyleBox[
             StyleBox[
              StyleBox["c", "Subsection",
               FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
              FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
             FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
            FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
           FontColor->RGBColor[0., 0.6823529411764706, 0.]], "ti", 
          StyleBox[
           StyleBox[
            StyleBox[
             StyleBox[
              StyleBox["o", "Subsection",
               FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
              FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
             FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
            FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
           FontColor->RGBColor[0., 0.6823529411764706, 0.]], "ns"}]], " ", 
        "--"}], "--"}]}], "-"}], "*)"}]}], "Subsection",
  FontColor->RGBColor[0., 0.6823529411764706, 0.]]], "Input",
 CellChangeTimes->{{3.7611963292526646`*^9, 3.76119633888396*^9}, {
   3.761276924270635*^9, 3.7612769297666917`*^9}, {3.763360704443454*^9, 
   3.763360709717205*^9}, 3.764439462495569*^9, {3.768660195710001*^9, 
   3.768660204877347*^9}, {3.799085170487949*^9, 3.7990851787636786`*^9}, {
   3.7990853150681806`*^9, 3.799085321897171*^9}, 3.799096783452413*^9, {
   3.801311356820518*^9, 3.8013114026801634`*^9}, {3.801627193909681*^9, 
   3.801627222065074*^9}},ExpressionUUID->"abffce31-ea0f-4c48-a4d8-\
192d2044a97f"],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
    "generate", " ", "a", " ", "full", " ", "factorial", " ", "design", " ", 
     "for", " ", "3", " ", 
     RowBox[{"factors", ".", "\n", "X1"}], " ", "has", " ", "2", " ", 
     "levels"}], ",", " ", 
    RowBox[{"X2", " ", "has", " ", "3", " ", "levels"}], ",", " ", 
    RowBox[{"and", " ", "X3", " ", "has", " ", "2", " ", 
     RowBox[{"levels", ".", "\n", "The"}], " ", "values", " ", "in", " ", 
     "the", " ", "X1"}], ",", "X2", ",", 
    RowBox[{"X3", " ", "columns", " ", "are", " ", "factor", " ", 
     RowBox[{"levels", ".", "\n", "By"}], " ", "default"}], ",", " ", 
    RowBox[{
    "the", " ", "patterns", " ", "in", " ", "the", " ", "Pattern", " ", 
     "column", " ", "are", " ", "concatenations", "\n", "of", " ", "factor", 
     " ", "level", " ", "indices", " ", "for", " ", "each", " ", 
     RowBox[{"run", "."}]}]}], "*)"}], "\n", 
  RowBox[{
   RowBox[{
    RowBox[{"factors", "=", 
     RowBox[{"{", 
      RowBox[{"\"\<X1\>\"", ",", "\"\<X2\>\"", ",", "\"\<X3\>\""}], "}"}]}], 
    ";"}], "\n", 
   RowBox[{
    RowBox[{"levelsList", "=", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"0.7", ",", "1.9"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"40", ",", "50", ",", "60"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"1.8", ",", "2.3"}], "}"}]}], "}"}]}], ";"}], "\n", 
   RowBox[{
    RowBox[{"factorialxdsn", "=", 
     RowBox[{"doeFactorial", "[", 
      RowBox[{"factors", ",", "levelsList", ",", 
       RowBox[{"\"\<RandomizeRuns\>\"", "\[Rule]", "False"}]}], "]"}]}], 
    ";"}], "\n", 
   RowBox[{"factorialxdsn", "[", 
    RowBox[{"[", "1", "]"}], "]"}]}]}]], "Input",
 CellChangeTimes->{{3.8013114719112244`*^9, 3.8013114923950086`*^9}, {
   3.801311963673849*^9, 3.801312028749457*^9}, {3.8013121591730933`*^9, 
   3.8013121777818937`*^9}, 3.803187374472619*^9, {3.803187649172869*^9, 
   3.803187679773074*^9}, 3.80318783370129*^9},
 CellLabel->"In[9]:=",ExpressionUUID->"62116a50-c6eb-46b7-a8b7-624f0ace1c08"],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
    "Setting", " ", "the", " ", "\"\<DataRepresentation\>\"", " ", "option", 
     " ", "to", " ", "\"\<DataAreLevelListIndices\>\"", " ", "produces", " ", 
     "a", " ", "design", "\n", "in", " ", "which", " ", "the", " ", "the", 
     " ", "values", " ", "in", " ", "the", " ", "X1"}], ",", "X2", ",", 
    RowBox[{
    "X3", " ", "columns", " ", "are", " ", "factor", " ", "level", " ", 
     RowBox[{"indices", "."}]}]}], " ", "*)"}], "\n", 
  RowBox[{
   RowBox[{
    RowBox[{"factors", "=", 
     RowBox[{"{", 
      RowBox[{"\"\<X1\>\"", ",", "\"\<X2\>\"", ",", "\"\<X3\>\""}], "}"}]}], 
    ";"}], "\n", 
   RowBox[{
    RowBox[{"levelsList", "=", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"0.7", ",", "1.9"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"40", ",", "50", ",", "60"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"1.8", ",", "2.3"}], "}"}]}], "}"}]}], ";"}], "\n", 
   RowBox[{
    RowBox[{"factorialxdsn", "=", 
     RowBox[{"doeFactorial", "[", 
      RowBox[{"factors", ",", "levelsList", ",", 
       RowBox[{"\"\<RandomizeRuns\>\"", "\[Rule]", "False"}], ",", "\n", 
       RowBox[{
       "\"\<DataRepresentation\>\"", "\[Rule]", 
        "\"\<DataAreLevelListIndices\>\""}]}], "]"}]}], ";"}], "\n", 
   RowBox[{"factorialxdsn", "[", 
    RowBox[{"[", "1", "]"}], "]"}]}]}]], "Input",
 CellChangeTimes->{{3.801311921893895*^9, 3.801311953033555*^9}, {
  3.801312132986449*^9, 3.8013121463609915`*^9}, {3.801312194629717*^9, 
  3.801312205384946*^9}},
 CellLabel->"In[13]:=",ExpressionUUID->"5f1a2979-9f2a-4c01-a1a6-3d4e9a2a0995"],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
    "Setting", " ", "the", " ", "\"\<DataRepresentation\>\"", " ", "option", 
     " ", "to", " ", "the", " ", 
     RowBox[{"list", ":", " ", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"\"\<\[Alpha]\>\"", ",", "\"\<\[Beta]\>\""}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{
          "\"\<\[ClubSuit]\>\"", ",", "\"\<\[DiamondSuit]\>\"", ",", 
           "\"\<\[HeartSuit]\>\""}], "}"}]}], "}"}], " ", "produces", " ", 
       "a", " ", "design", "\n", "in", " ", "which", " ", "the", " ", "the", 
       " ", "values", " ", "in", " ", "the", " ", "X1"}]}]}], ",", "X2", ",", 
    RowBox[{
    "X3", " ", "columns", " ", "are", " ", "symbols", " ", "representing", 
     " ", "the", " ", "factor", " ", 
     RowBox[{"levels", "."}]}]}], "*)"}], "\n", 
  RowBox[{
   RowBox[{
    RowBox[{"factors", "=", 
     RowBox[{"{", 
      RowBox[{"\"\<X1\>\"", ",", "\"\<X2\>\"", ",", "\"\<X3\>\""}], "}"}]}], 
    ";"}], "\n", 
   RowBox[{
    RowBox[{"levelsList", "=", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"0.7", ",", "1.9"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"40", ",", "50", ",", "60"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"1.8", ",", "2.3"}], "}"}]}], "}"}]}], ";"}], "\n", 
   RowBox[{
    RowBox[{"factorialxdsn", "=", 
     RowBox[{"doeFactorial", "[", 
      RowBox[{"factors", ",", "levelsList", ",", 
       RowBox[{"\"\<RandomizeRuns\>\"", "\[Rule]", "False"}], ",", "\n", 
       RowBox[{"\"\<DataRepresentation\>\"", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"\"\<\[Alpha]\>\"", ",", "\"\<\[Beta]\>\""}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{
           "\"\<\[ClubSuit]\>\"", ",", "\"\<\[DiamondSuit]\>\"", ",", 
            "\"\<\[HeartSuit]\>\""}], "}"}]}], "}"}]}]}], "]"}]}], ";"}], 
   "\n", 
   RowBox[{"factorialxdsn", "[", 
    RowBox[{"[", "1", "]"}], "]"}]}]}]], "Input",
 CellChangeTimes->{{3.8013124037740645`*^9, 3.8013124489458528`*^9}, {
  3.801646886192857*^9, 3.801646895747888*^9}},
 CellLabel->"In[17]:=",ExpressionUUID->"0a1b5563-5c25-4a50-9de6-bab280aa05bd"],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
    "Setting", " ", "the", " ", "\"\<DataRepresentation\>\"", " ", "option", 
     " ", "to", " ", "the", " ", 
     RowBox[{"list", ":", " ", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"Red", ",", "Green"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"Orange", ",", "Blue", ",", "Purple"}], "}"}]}], "}"}], 
       "\n", "produces", " ", "a", " ", "design", " ", "in", " ", "which", 
       " ", "the", " ", "values", " ", "in", " ", "the", " ", "X1"}]}]}], ",",
     "X2", ",", 
    RowBox[{
    "X3", " ", "columns", " ", "are", " ", "colors", " ", "representing", 
     "\n", "the", " ", "factor", " ", 
     RowBox[{"levels", "."}]}]}], "*)"}], "\n", 
  RowBox[{
   RowBox[{
    RowBox[{"factors", "=", 
     RowBox[{"{", 
      RowBox[{"\"\<X1\>\"", ",", "\"\<X2\>\"", ",", "\"\<X3\>\""}], "}"}]}], 
    ";"}], "\n", 
   RowBox[{
    RowBox[{"levelsList", "=", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"0.7", ",", "1.9"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"40", ",", "50", ",", "60"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"1.8", ",", "2.3"}], "}"}]}], "}"}]}], ";"}], "\n", 
   RowBox[{
    RowBox[{"factorialxdsn", "=", 
     RowBox[{"doeFactorial", "[", 
      RowBox[{"factors", ",", "levelsList", ",", 
       RowBox[{"\"\<RandomizeRuns\>\"", "\[Rule]", "False"}], ",", "\n", 
       RowBox[{"\"\<DataRepresentation\>\"", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"Red", ",", "Green"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"Orange", ",", "Blue", ",", "Purple"}], "}"}]}], "}"}]}]}],
       "]"}]}], ";"}], "\n", 
   RowBox[{"factorialxdsn", "[", 
    RowBox[{"[", "1", "]"}], "]"}]}]}]], "Input",
 CellChangeTimes->{{3.801312582663858*^9, 3.8013126442245483`*^9}, {
  3.801314043659563*^9, 3.801314051612452*^9}, {3.8028862689780707`*^9, 
  3.802886269442786*^9}},
 CellLabel->"In[21]:=",ExpressionUUID->"8185e055-135e-48ea-86fc-86645fa67789"],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
   "Setting", " ", "the", " ", "\"\<PatternRepresentation\>\"", " ", "option",
     " ", "to", " ", "the", " ", 
    RowBox[{"list", ":", " ", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"Red", ",", "Green"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"Orange", ",", "Blue", ",", "Purple"}], "}"}]}], "}"}], "\n",
       "produces", " ", "a", " ", "design", " ", "in", " ", "which", " ", 
      "the", " ", "the", " ", "strings", " ", "in", " ", "the", " ", 
      "\"\<Pattern\>\"", " ", "column", " ", "are", " ", "colors", " ", 
      "representing", "\n", "the", " ", "levels", " ", "of", " ", "the", " ", 
      "factors", " ", "in", " ", "each", " ", 
      RowBox[{"run", "."}]}]}]}], "*)"}], "\n", 
  RowBox[{
   RowBox[{
    RowBox[{"factors", "=", 
     RowBox[{"{", 
      RowBox[{"\"\<X1\>\"", ",", "\"\<X2\>\"", ",", "\"\<X3\>\""}], "}"}]}], 
    ";"}], "\n", 
   RowBox[{
    RowBox[{"levelsList", "=", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"0.7", ",", "1.9"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"40", ",", "50", ",", "60"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"1.8", ",", "2.3"}], "}"}]}], "}"}]}], ";"}], "\n", 
   RowBox[{
    RowBox[{"factorialxdsn", "=", 
     RowBox[{"doeFactorial", "[", 
      RowBox[{"factors", ",", "levelsList", ",", 
       RowBox[{"\"\<RandomizeRuns\>\"", "\[Rule]", "False"}], ",", "\n", 
       RowBox[{"\"\<PatternRepresentation\>\"", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"Red", ",", "Green"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"Orange", ",", "Blue", ",", "Purple"}], "}"}]}], "}"}]}]}],
       "]"}]}], ";"}], "\n", 
   RowBox[{"factorialxdsn", "[", 
    RowBox[{"[", "1", "]"}], "]"}]}]}]], "Input",
 CellChangeTimes->{{3.801313867846581*^9, 3.801313903079526*^9}, {
  3.801314026253852*^9, 3.801314068296899*^9}, {3.8031882016682453`*^9, 
  3.803188214512357*^9}},
 CellLabel->"In[25]:=",ExpressionUUID->"c89d897e-a9cf-455f-a914-2d925861dee9"],

Cell[BoxData[
 StyleBox[
  RowBox[{"\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{
     RowBox[{
      RowBox[{"--", 
       RowBox[{"--", 
        RowBox[{"-", " ", 
         StyleBox[
          RowBox[{
           StyleBox[
            StyleBox[
             StyleBox[
              StyleBox["C", "Subsection",
               FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
              FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
             FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
            FontColor->RGBColor[0., 0.6823529411764706, 0.]], "om", 
           StyleBox[
            StyleBox[
             StyleBox[
              StyleBox[
               StyleBox[
                StyleBox[
                 StyleBox["m", "Subsection",
                  FontColor->RGBColor[0., 0.6823529411764706, 0.]], 
                 "Subsection",
                 FontColor->RGBColor[0., 0.6823529411764706, 0.]], 
                "Subsection",
                FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
               FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
              FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
             FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
            FontColor->RGBColor[0., 0.6823529411764706, 0.]], "on"}]]}]}]}], 
      StyleBox[" ", "Subsection",
       FontColor->RGBColor[0., 0.6823529411764706, 0.]], 
      StyleBox[
       RowBox[{
        StyleBox[
         StyleBox[
          StyleBox[
           StyleBox[
            StyleBox[
             StyleBox[
              StyleBox[
               StyleBox[
                StyleBox["O", "Subsection",
                 FontColor->RGBColor[0., 0.6823529411764706, 0.]], 
                "Subsection",
                FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
               FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
              FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
             FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
            FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
           FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
          FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
         FontColor->RGBColor[0., 0.6823529411764706, 0.]], "pt", 
        StyleBox[
         StyleBox[
          StyleBox[
           StyleBox[
            StyleBox["i", "Subsection",
             FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
            FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
           FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
          FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
         FontColor->RGBColor[0., 0.6823529411764706, 0.]], "on", 
        StyleBox[
         StyleBox[
          StyleBox[
           StyleBox[
            StyleBox["s", "Subsection",
             FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
            FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
           FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
          FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
         FontColor->RGBColor[0., 0.6823529411764706, 0.]]}]], " ", 
      StyleBox[
       RowBox[{
        StyleBox[
         StyleBox[
          StyleBox[
           StyleBox["f", "Subsection",
            FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
           FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
          FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
         FontColor->RGBColor[0., 0.6823529411764706, 0.]], "or"}]], 
      StyleBox[" ", "Subsection",
       FontColor->RGBColor[0., 0.6823529411764706, 0.]], 
      StyleBox[
       RowBox[{
        StyleBox[
         StyleBox[
          StyleBox[
           StyleBox[
            StyleBox[
             StyleBox[
              StyleBox[
               StyleBox[
                StyleBox[
                 StyleBox[
                  StyleBox["D", "Subsection",
                   FontColor->RGBColor[0., 0.6823529411764706, 0.]], 
                  "Subsection",
                  FontColor->RGBColor[0., 0.6823529411764706, 0.]], 
                 "Subsection",
                 FontColor->RGBColor[0., 0.6823529411764706, 0.]], 
                "Subsection",
                FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
               FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
              FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
             FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
            FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
           FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
          FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
         FontColor->RGBColor[0., 0.6823529411764706, 0.]], 
        StyleBox[
         StyleBox[
          StyleBox[
           StyleBox["OE", "Subsection",
            FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
           FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
          FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
         FontColor->RGBColor[0., 0.6823529411764706, 0.]]}], "Subsection",
       FontColor->RGBColor[0., 0.6823529411764706, 0.]], 
      StyleBox[" ", "Subsection",
       FontColor->RGBColor[0., 0.6823529411764706, 0.]], 
      StyleBox[
       RowBox[{
        StyleBox[
         StyleBox[
          StyleBox[
           StyleBox[
            StyleBox[
             StyleBox[
              StyleBox[
               StyleBox[
                StyleBox[
                 StyleBox[
                  StyleBox["T", "Subsection",
                   FontColor->RGBColor[0., 0.6823529411764706, 0.]], 
                  "Subsection",
                  FontColor->RGBColor[0., 0.6823529411764706, 0.]], 
                 "Subsection",
                 FontColor->RGBColor[0., 0.6823529411764706, 0.]], 
                "Subsection",
                FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
               FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
              FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
             FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
            FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
           FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
          FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
         FontColor->RGBColor[0., 0.6823529411764706, 0.]], 
        StyleBox[
         StyleBox[
          StyleBox[
           StyleBox["oo", "Subsection",
            FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
           FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
          FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
         FontColor->RGBColor[0., 0.6823529411764706, 0.]], 
        StyleBox[
         StyleBox[
          StyleBox[
           StyleBox[
            StyleBox[
             StyleBox[
              StyleBox[
               StyleBox[
                StyleBox["l", "Subsection",
                 FontColor->RGBColor[0., 0.6823529411764706, 0.]], 
                "Subsection",
                FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
               FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
              FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
             FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
            FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
           FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
          FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
         FontColor->RGBColor[0., 0.6823529411764706, 0.]], 
        StyleBox[
         StyleBox[
          StyleBox[
           StyleBox["ki", "Subsection",
            FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
           FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
          FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
         FontColor->RGBColor[0., 0.6823529411764706, 0.]], 
        StyleBox[
         StyleBox[
          StyleBox[
           StyleBox[
            StyleBox[
             StyleBox[
              StyleBox[
               StyleBox[
                StyleBox["t", "Subsection",
                 FontColor->RGBColor[0., 0.6823529411764706, 0.]], 
                "Subsection",
                FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
               FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
              FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
             FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
            FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
           FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
          FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
         FontColor->RGBColor[0., 0.6823529411764706, 0.]]}], "Subsection",
       FontColor->RGBColor[0., 0.6823529411764706, 0.]], 
      StyleBox[" ", "Subsection",
       FontColor->RGBColor[0., 0.6823529411764706, 0.]], 
      RowBox[{
       RowBox[{
        StyleBox[
         StyleBox[
          StyleBox[
           StyleBox[
            StyleBox[
             StyleBox[
              RowBox[{
               StyleBox[
                StyleBox[
                 StyleBox[
                  StyleBox[
                   StyleBox[
                    StyleBox[
                    StyleBox["F", "Subsection",
                    FontColor->RGBColor[0., 0.6823529411764706, 0.]], 
                    "Subsection",
                    FontColor->RGBColor[0., 0.6823529411764706, 0.]], 
                    "Subsection",
                    FontColor->RGBColor[0., 0.6823529411764706, 0.]], 
                   "Subsection",
                   FontColor->RGBColor[0., 0.6823529411764706, 0.]], 
                  "Subsection",
                  FontColor->RGBColor[0., 0.6823529411764706, 0.]], 
                 "Subsection",
                 FontColor->RGBColor[0., 0.6823529411764706, 0.]], 
                "Subsection",
                FontColor->RGBColor[0., 0.6823529411764706, 0.]], "un", 
               StyleBox[
                StyleBox[
                 StyleBox[
                  StyleBox[
                   StyleBox["c", "Subsection",
                    FontColor->RGBColor[0., 0.6823529411764706, 0.]], 
                   "Subsection",
                   FontColor->RGBColor[0., 0.6823529411764706, 0.]], 
                  "Subsection",
                  FontColor->RGBColor[0., 0.6823529411764706, 0.]], 
                 "Subsection",
                 FontColor->RGBColor[0., 0.6823529411764706, 0.]], 
                "Subsection",
                FontColor->RGBColor[0., 0.6823529411764706, 0.]], "ti", 
               StyleBox[
                StyleBox[
                 StyleBox[
                  StyleBox[
                   StyleBox["o", "Subsection",
                    FontColor->RGBColor[0., 0.6823529411764706, 0.]], 
                   "Subsection",
                   FontColor->RGBColor[0., 0.6823529411764706, 0.]], 
                  "Subsection",
                  FontColor->RGBColor[0., 0.6823529411764706, 0.]], 
                 "Subsection",
                 FontColor->RGBColor[0., 0.6823529411764706, 0.]], 
                "Subsection",
                FontColor->RGBColor[0., 0.6823529411764706, 0.]], "ns"}]], 
             "Subsection",
             FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
            FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
           FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
          FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
         FontColor->RGBColor[0., 0.6823529411764706, 0.]], "--"}], "--"}]}], 
     "-"}], "*)"}]}], "Subsection",
  FontColor->RGBColor[0., 0.6823529411764706, 0.]]], "Input",
 CellChangeTimes->{{3.7611963292526646`*^9, 3.76119633888396*^9}, {
   3.761276924270635*^9, 3.7612769297666917`*^9}, {3.763360704443454*^9, 
   3.763360709717205*^9}, 3.764439462495569*^9, {3.768660195710001*^9, 
   3.768660204877347*^9}, {3.799085170487949*^9, 3.7990851787636786`*^9}, {
   3.799085530860242*^9, 3.799085533497817*^9}, {3.799579473821085*^9, 
   3.79957948542837*^9}, {3.8015685258871346`*^9, 3.801568532559026*^9}, {
   3.80159568586802*^9, 3.801595691828349*^9}, {3.801627313345066*^9, 
   3.801627327719694*^9}},ExpressionUUID->"ee4a5f61-e1aa-4ecd-a11c-\
ba4aa1cc39ad"],

Cell["\<\
(*We have already provided examples of the DataRepresentation and \
PatternRepresentation options in the
 \"Common Features of DOE Toolkit Functions\" section. *)\
\>", "Text",
 CellChangeTimes->{{3.8015995484596*^9, 3.801599561271668*^9}, {
   3.8015996204211464`*^9, 3.801599631615249*^9}, {3.801647595233074*^9, 
   3.801647624435311*^9}, 3.802886334010123*^9},
 FontColor->RGBColor[
  0, 0, 1],ExpressionUUID->"1649f8a0-d5c6-493a-9af4-fb420049cfe5"],

Cell[BoxData[
 RowBox[{"(*", "Blocking", "*)"}]], "Input",
 CellChangeTimes->{{3.801647579086753*^9, 
  3.801647585738368*^9}},ExpressionUUID->"3615b75d-8255-4164-8156-\
b89b858cfef1"],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
    "evaluate", " ", "the", " ", "doeFactorial", " ", "function", " ", 
     "using", " ", "the", " ", "Blocking", " ", 
     RowBox[{"option", ".", "  ", "We"}], " ", "specify", " ", "a", " ", 
     "blocking", " ", "factor", "\n", " ", "named", " ", "Plot", " ", "which",
      " ", "has", " ", "2", " ", 
     RowBox[{"levels", ":", " ", "1"}]}], ",", 
    RowBox[{
    "2.", "  ", "Rows", " ", "for", " ", "each", " ", "block", " ", "are", 
     " ", "added", " ", "to", " ", "the", " ", 
     RowBox[{"design", "."}]}]}], "*)"}], "\n", 
  RowBox[{
   RowBox[{
    RowBox[{"factors", "=", 
     RowBox[{"{", 
      RowBox[{"\"\<X1\>\"", ",", "\"\<X2\>\"", ",", "\"\<X3\>\""}], "}"}]}], 
    ";"}], "\n", 
   RowBox[{
    RowBox[{"levels", "=", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"5", ",", "10"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"4", ",", "12"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"8", ",", "16"}], "}"}]}], "}"}]}], ";"}], "\n", 
   RowBox[{
    RowBox[{"xdsn", "=", 
     RowBox[{"doeFactorial", "[", 
      RowBox[{"factors", ",", "levels", ",", "\n", 
       RowBox[{"\"\<RandomizeRuns\>\"", "\[Rule]", "False"}], ",", "\n", 
       RowBox[{"\"\<Blocking\>\"", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{"\"\<Plot\>\"", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{"1", ",", "2"}], "}"}]}], "}"}]}]}], "]"}]}], ";"}], "\n", 
   RowBox[{"xdsn", "[", 
    RowBox[{"[", "1", "]"}], "]"}]}]}]], "Input",
 CellChangeTimes->{{3.801647671949565*^9, 3.8016477456689043`*^9}, 
   3.801647906775419*^9, {3.801648275210659*^9, 3.801648293479429*^9}, {
   3.8022358257653847`*^9, 3.8022358266778207`*^9}, {3.802886365955494*^9, 
   3.8028863721796703`*^9}},
 CellLabel->"In[29]:=",ExpressionUUID->"643740e8-8d69-4b2a-9d08-6a978e878d8e"],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
   "change", " ", "blocking", " ", "colors", " ", "to", " ", "light", " ", 
    "red", " ", "and", " ", "orange"}], "*)"}], "\n", 
  RowBox[{
   RowBox[{
    RowBox[{"factors", "=", 
     RowBox[{"{", 
      RowBox[{"\"\<X1\>\"", ",", "\"\<X2\>\"", ",", "\"\<X3\>\""}], "}"}]}], 
    ";"}], "\n", 
   RowBox[{
    RowBox[{"levels", "=", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"5", ",", "10"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"4", ",", "12"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"8", ",", "16"}], "}"}]}], "}"}]}], ";"}], "\n", 
   RowBox[{
    RowBox[{"xdsn", "=", 
     RowBox[{"doeFactorial", "[", 
      RowBox[{"factors", ",", "levels", ",", "\n", 
       RowBox[{"\"\<Blocking\>\"", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{"\"\<Plot\>\"", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{"1", ",", "2"}], "}"}]}], "}"}]}], ",", "\n", 
       RowBox[{"\"\<BlockColors\>\"", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{"LightRed", ",", "Orange"}], "}"}]}]}], "]"}]}], ";"}], "\n", 
   RowBox[{"xdsn", "[", 
    RowBox[{"[", "1", "]"}], "]"}]}]}]], "Input",
 CellChangeTimes->{{3.8016478546180363`*^9, 3.801647901869269*^9}, 
   3.801647971867268*^9, {3.8032227481876593`*^9, 3.803222801703783*^9}, {
   3.8032228443286*^9, 3.803222845600815*^9}, {3.8032229562398505`*^9, 
   3.8032229614216676`*^9}},
 CellLabel->"In[33]:=",ExpressionUUID->"afc01349-8b71-4de7-b044-1a415085bf9c"],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{"set", " ", "BlocksAreRows", " ", "option", " ", "to", " ", 
    RowBox[{"False", ".", " ", "Blocking"}], " ", "columns", " ", "are", " ", 
    "added", " ", "to", " ", "the", " ", "design", " ", "and", " ", "the", 
    " ", "BlockColors", " ", "option", " ", "is", " ", 
    RowBox[{"ignored", "."}]}], "*)"}], "\n", 
  RowBox[{
   RowBox[{
    RowBox[{"factors", "=", 
     RowBox[{"{", 
      RowBox[{"\"\<X1\>\"", ",", "\"\<X2\>\"", ",", "\"\<X3\>\""}], "}"}]}], 
    ";"}], "\n", 
   RowBox[{
    RowBox[{"levels", "=", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"5", ",", "10"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"4", ",", "12"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"8", ",", "16"}], "}"}]}], "}"}]}], ";"}], "\n", 
   RowBox[{
    RowBox[{"xdsn", "=", 
     RowBox[{"doeFactorial", "[", 
      RowBox[{"factors", ",", "levels", ",", "\n", 
       RowBox[{"\"\<Blocking\>\"", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{"\"\<Plot\>\"", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{"1", ",", "2"}], "}"}]}], "}"}]}], ",", "\n", 
       RowBox[{"\"\<BlocksAreRows\>\"", "\[Rule]", "False"}], ",", "\n", 
       RowBox[{"\"\<BlockColors\>\"", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{"Green", ",", "Yellow"}], "}"}]}]}], "]"}]}], ";"}], "\n", 
   RowBox[{"xdsn", "[", 
    RowBox[{"[", "1", "]"}], "]"}]}]}]], "Input",
 CellChangeTimes->{{3.8016481500297523`*^9, 3.801648260726662*^9}},
 CellLabel->"In[37]:=",ExpressionUUID->"c9bb1a2e-b01d-456b-aadc-d3ab1c8af30a"],

Cell[BoxData[
 RowBox[{"(*", 
  RowBox[{"Other", " ", "Common", " ", "Options"}], "*)"}]], "Input",
 CellChangeTimes->{{3.801647641122334*^9, 
  3.8016476498408327`*^9}},ExpressionUUID->"512e9eb2-647d-4552-8fd4-\
237149f5bc4f"],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
   "Evaluate", " ", "the", " ", "doeFactorial", " ", "function", " ", "and", 
    " ", "use", " ", "the", " ", "NumReplicates", " ", "option", " ", "to", 
    " ", "replicate", " ", "each", " ", "run", " ", "in", " ", "the", " ", 
    RowBox[{"design", "."}]}], "*)"}], "\n", 
  RowBox[{
   RowBox[{
    RowBox[{"factors1", "=", 
     RowBox[{"{", 
      RowBox[{"\"\<X1\>\"", ",", "\"\<X2\>\"", ",", "\"\<X3\>\""}], "}"}]}], 
    ";"}], "\n", 
   RowBox[{
    RowBox[{"levelsList1", "=", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"0.7", ",", "2.7"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"40", ",", "60"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"1.8", ",", "2.3", ",", "2.8"}], "}"}]}], "}"}]}], ";"}], 
   "\n", 
   RowBox[{
    RowBox[{"factorialxdsn", " ", "=", 
     RowBox[{"doeFactorial", "[", 
      RowBox[{"factors1", ",", "levelsList1", ",", "\n", 
       RowBox[{"\"\<RandomizeRuns\>\"", "\[Rule]", "False"}], ",", "\n", 
       RowBox[{"\"\<NumReplicates\>\"", "\[Rule]", "1"}]}], "]"}]}], ";"}], 
   "\n", 
   RowBox[{"factorialxdsn", "[", 
    RowBox[{"[", "1", "]"}], "]"}]}]}]], "Input",
 CellChangeTimes->{{3.8022341856595583`*^9, 3.802234219392419*^9}},
 CellLabel->"In[41]:=",ExpressionUUID->"b131b479-dc3c-40cf-aee4-878a23c22530"],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
   "Evaluate", " ", "the", " ", "doeFactorial", " ", "function", " ", "and", 
    " ", "use", " ", "the", " ", "CentralPoints", " ", "option", " ", "to", 
    " ", "add", " ", "some", " ", "central", " ", "points", " ", "to", " ", 
    "the", " ", 
    RowBox[{"design", "."}]}], "*)"}], "\n", 
  RowBox[{
   RowBox[{
    RowBox[{"factors1", "=", 
     RowBox[{"{", 
      RowBox[{"\"\<X1\>\"", ",", "\"\<X2\>\"", ",", "\"\<X3\>\""}], "}"}]}], 
    ";"}], "\n", 
   RowBox[{
    RowBox[{"levelsList1", "=", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"0.7", ",", "2.7"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"40", ",", "60"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"1.8", ",", "2.3", ",", "2.8"}], "}"}]}], "}"}]}], ";"}], 
   "\n", 
   RowBox[{
    RowBox[{"factorialxdsn", " ", "=", 
     RowBox[{"doeFactorial", "[", 
      RowBox[{"factors1", ",", "levelsList1", ",", "\n", 
       RowBox[{"\"\<RandomizeRuns\>\"", "\[Rule]", "False"}], ",", "\n", 
       RowBox[{"\"\<CentralPoints\>\"", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"\"\<Top\>\"", "\[Rule]", "1"}], ",", 
          RowBox[{"\"\<Bottom\>\"", "\[Rule]", "3"}], ",", 
          RowBox[{"\"\<Middle\>\"", "\[Rule]", "2"}], ",", 
          RowBox[{"4", "\[Rule]", "1"}]}], "}"}]}]}], "]"}]}], ";"}], "\n", 
   RowBox[{"factorialxdsn", "[", 
    RowBox[{"[", "1", "]"}], "]"}]}]}]], "Input",
 CellChangeTimes->{{3.801628578285079*^9, 3.801628771851467*^9}, {
   3.801628806991065*^9, 3.8016288130534363`*^9}, {3.801628966494142*^9, 
   3.80162896686909*^9}, {3.801629046862534*^9, 3.801629087064534*^9}, {
   3.801629120438528*^9, 3.801629224797961*^9}, {3.801629256886116*^9, 
   3.8016292762761803`*^9}, {3.8016293079470944`*^9, 3.801629336850209*^9}, 
   3.801629394450365*^9, {3.801629428043126*^9, 3.801629444151033*^9}, {
   3.8016303193919153`*^9, 3.801630323751149*^9}, 3.801630362987857*^9, {
   3.8016304016742373`*^9, 3.801630402439839*^9}, {3.801630731789466*^9, 
   3.80163074361448*^9}, {3.801648662250439*^9, 3.8016486635941944`*^9}, {
   3.801648740214299*^9, 3.80164874093303*^9}, {3.801648898049813*^9, 
   3.8016489139243965`*^9}},
 CellLabel->"In[45]:=",ExpressionUUID->"b625c192-b90b-4834-84d5-c4bcb55c3de9"],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
   "Evaluate", " ", "the", " ", "doeFactorial", " ", "function", " ", "and", 
    " ", "use", " ", "the", " ", "CentralPoints", " ", "option", " ", "with", 
    " ", "the", " ", "NPerFactor", " ", "keyword", " ", "to", " ", "add", " ",
     "3", " ", "central", " ", "points", " ", "to", " ", "the", " ", "top", 
    " ", "of", " ", "the", " ", 
    RowBox[{"design", "."}]}], "*)"}], "\n", 
  RowBox[{
   RowBox[{
    RowBox[{"factors1", "=", 
     RowBox[{"{", 
      RowBox[{"\"\<X1\>\"", ",", "\"\<X2\>\"", ",", "\"\<X3\>\""}], "}"}]}], 
    ";"}], "\n", 
   RowBox[{
    RowBox[{"levelsList1", "=", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"0.7", ",", "2.7"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"40", ",", "60"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"1.8", ",", "2.3", ",", "2.8"}], "}"}]}], "}"}]}], ";"}], 
   "\n", 
   RowBox[{
    RowBox[{"factorialxdsn", " ", "=", 
     RowBox[{"doeFactorial", "[", 
      RowBox[{"factors1", ",", "levelsList1", ",", "\n", 
       RowBox[{"\"\<RandomizeRuns\>\"", "\[Rule]", "False"}], ",", "\n", 
       RowBox[{"\"\<CentralPoints\>\"", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{"\"\<Top\>\"", "\[Rule]", 
          RowBox[{"\"\<NPerFactor\>\"", "\[Rule]", "1"}]}], "}"}]}]}], 
      "]"}]}], ";"}], "\n", 
   RowBox[{"factorialxdsn", "[", 
    RowBox[{"[", "1", "]"}], "]"}]}]}]], "Input",
 CellChangeTimes->{{3.802052065370031*^9, 3.80205208400137*^9}, {
  3.802052119690815*^9, 3.80205215116696*^9}, {3.802234308736702*^9, 
  3.802234311081647*^9}},
 CellLabel->"In[49]:=",ExpressionUUID->"c57169fc-3ba8-4585-b726-36bfd1630222"],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
   "Evaluate", " ", "the", " ", "doeFactorial", " ", "function", " ", "and", 
    " ", "use", " ", "the", " ", "AxialPointGroups", " ", "option", " ", "to",
     " ", "add", " ", "1", " ", "group", " ", "of", " ", "axial", " ", 
    "points", "\n", "to", " ", "the", " ", "bottom", " ", "of", " ", "the", 
    " ", 
    RowBox[{"design", "."}]}], "*)"}], "\n", 
  RowBox[{
   RowBox[{
    RowBox[{"factors1", "=", 
     RowBox[{"{", 
      RowBox[{"\"\<X1\>\"", ",", "\"\<X2\>\"", ",", "\"\<X3\>\""}], "}"}]}], 
    ";"}], "\n", 
   RowBox[{
    RowBox[{"levelsList1", "=", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"0.7", ",", "2.7"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"40", ",", "60"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"1.8", ",", "2.3", ",", "2.8"}], "}"}]}], "}"}]}], ";"}], 
   "\n", 
   RowBox[{
    RowBox[{"factorialxdsn", " ", "=", 
     RowBox[{"doeFactorial", "[", 
      RowBox[{"factors1", ",", "levelsList1", ",", "\n", 
       RowBox[{"\"\<RandomizeRuns\>\"", "\[Rule]", "False"}], ",", "\n", 
       RowBox[{"\"\<AxialPointGroups\>\"", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{"\"\<Spherical\>\"", ",", 
          RowBox[{"{", 
           RowBox[{"\"\<Bottom\>\"", "\[Rule]", "1"}], "}"}]}], "}"}]}]}], 
      "]"}]}], ";"}], "\n", 
   RowBox[{"factorialxdsn", "[", 
    RowBox[{"[", "1", "]"}], "]"}]}]}]], "Input",
 CellChangeTimes->{{3.802052179508732*^9, 3.8020522786981163`*^9}, {
  3.802233822501558*^9, 3.802233864198673*^9}},
 CellLabel->"In[53]:=",ExpressionUUID->"8810afaf-66d3-471c-a6b8-2614d1960fee"],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
   "Use", " ", "the", " ", "MyMetadata", " ", "option", " ", "to", " ", "add",
     " ", "some", " ", "metadata", " ", "to", " ", "Part", " ", "2", " ", 
    "of", " ", "the", " ", "XDesign", " ", "object", " ", "returned", " ", 
    "by", " ", "the", " ", "doeFactorial", " ", 
    RowBox[{"function", "."}]}], "*)"}], "\n", 
  RowBox[{
   RowBox[{
    RowBox[{"factors1", "=", 
     RowBox[{"{", 
      RowBox[{"\"\<X1\>\"", ",", "\"\<X2\>\"", ",", "\"\<X3\>\""}], "}"}]}], 
    ";"}], "\n", 
   RowBox[{
    RowBox[{"levelsList1", "=", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"0.7", ",", "2.7"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"40", ",", "60"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"1.8", ",", "2.3", ",", "2.8"}], "}"}]}], "}"}]}], ";"}], 
   "\n", 
   RowBox[{
    RowBox[{"factorialxdsn", " ", "=", 
     RowBox[{"doeFactorial", "[", 
      RowBox[{"factors1", ",", "levelsList1", ",", "\n", 
       RowBox[{"\"\<MyMetadata\>\"", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{"\"\<Description\>\"", "\[Rule]", 
          RowBox[{"\"\<Generated \>\"", "\n", "     ", "<>", 
           RowBox[{"DateString", "[", 
            RowBox[{"{", 
             RowBox[{
             "\"\<Month\>\"", ",", "\"\</\>\"", ",", "\"\<Day\>\"", ",", 
              "\"\</\>\"", ",", "\"\<Year\>\""}], "}"}], "]"}]}]}], "}"}]}]}],
       "]"}]}], ";"}], "\n", 
   RowBox[{"factorialxdsn", "[", 
    RowBox[{"[", "1", "]"}], "]"}], "\n", 
   RowBox[{
    RowBox[{"factorialxdsn", "[", 
     RowBox[{"[", "2", "]"}], "]"}], "//", "TableForm"}]}]}]], "Input",
 CellChangeTimes->{{3.801648677421879*^9, 3.801648715465014*^9}, {
   3.801648973509098*^9, 3.801648978368332*^9}, {3.801818275760694*^9, 
   3.801818279932404*^9}, 3.8018183105872803`*^9, {3.802071849447431*^9, 
   3.8020718672537785`*^9}, 3.8020720038196936`*^9, {3.802853163883072*^9, 
   3.8028531656173954`*^9}},
 CellLabel->"In[57]:=",ExpressionUUID->"15bb18dc-7ab9-4a43-944d-19a835be01ac"],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
   "Use", " ", "the", " ", "DatasetOpts", " ", "option", " ", "to", " ", 
    "control", " ", "the", " ", "font", " ", "and", " ", "colors", " ", 
    "used", " ", "for", " ", "the", " ", "background", " ", "of", " ", "the", 
    " ", "Dataset", " ", "object"}], "*)"}], "\n", 
  RowBox[{
   RowBox[{
    RowBox[{"factors1", "=", 
     RowBox[{"{", 
      RowBox[{"\"\<X1\>\"", ",", "\"\<X2\>\"", ",", "\"\<X3\>\""}], "}"}]}], 
    ";"}], "\n", 
   RowBox[{
    RowBox[{"levelsList1", "=", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"0.7", ",", "2.7"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"40", ",", "60"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"1.8", ",", "2.3", ",", "2.8"}], "}"}]}], "}"}]}], ";"}], 
   "\n", 
   RowBox[{
    RowBox[{"factorialxdsn", "=", 
     RowBox[{"doeFactorial", "[", 
      RowBox[{"factors1", ",", "levelsList1", ",", 
       RowBox[{"\"\<RandomizeRuns\>\"", "\[Rule]", "False"}], ",", "\n", 
       RowBox[{"\"\<DatasetOpts\>\"", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"HeaderBackground", "\[Rule]", 
           RowBox[{"{", 
            RowBox[{"LightGreen", ",", "Cyan"}], "}"}]}], ",", "\n", 
          "        ", 
          RowBox[{"HeaderStyle", "\[Rule]", "Bold"}]}], "}"}]}]}], "]"}]}], 
    ";"}], "\n", 
   RowBox[{"factorialxdsn", "[", 
    RowBox[{"[", "1", "]"}], "]"}]}]}]], "Input",
 CellChangeTimes->{{3.801633607588468*^9, 3.801633696903309*^9}, {
  3.801634044651638*^9, 3.801634045453765*^9}, {3.801634110870968*^9, 
  3.8016341210894213`*^9}, {3.801818333101135*^9, 3.801818372132395*^9}, {
  3.80181852378878*^9, 3.801818526273125*^9}, {3.8022338969416375`*^9, 
  3.8022338982979946`*^9}, {3.8028532365238085`*^9, 3.802853255243181*^9}},
 CellLabel->"In[62]:=",ExpressionUUID->"fa541b30-9af7-493c-89dc-ae0c5803bc41"],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
   "Use", " ", "the", " ", "RowNumbers", " ", "option", " ", "to", " ", 
    "turn", " ", "off", " ", "the", " ", "column", " ", "of", " ", "row", " ",
     "numbers"}], "*)"}], "\n", 
  RowBox[{
   RowBox[{
    RowBox[{"factors1", "=", 
     RowBox[{"{", 
      RowBox[{"\"\<X1\>\"", ",", "\"\<X2\>\"", ",", "\"\<X3\>\""}], "}"}]}], 
    ";"}], "\n", 
   RowBox[{
    RowBox[{"levelsList1", "=", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"0.7", ",", "2.7"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"40", ",", "60"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"1.8", ",", "2.3", ",", "2.8"}], "}"}]}], "}"}]}], ";"}], 
   "\n", 
   RowBox[{
    RowBox[{"factorialxdsn", "=", 
     RowBox[{"doeFactorial", "[", 
      RowBox[{"factors1", ",", "levelsList1", ",", 
       RowBox[{"\"\<RandomizeRuns\>\"", "\[Rule]", "False"}], ",", "\n", 
       RowBox[{"\"\<RowNumbers\>\"", "\[Rule]", "False"}]}], "]"}]}], ";"}], 
   "\n", 
   RowBox[{"factorialxdsn", "[", 
    RowBox[{"[", "1", "]"}], "]"}]}]}]], "Input",
 CellChangeTimes->{{3.802233914549858*^9, 3.802233951263064*^9}, 
   3.802234057619765*^9, 3.8028866760506597`*^9},
 CellLabel->"In[66]:=",ExpressionUUID->"f4c24ad9-4a18-4856-ba70-4365c4dc03a3"],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
   "Use", " ", "the", " ", "PatternColumn", " ", "option", " ", "to", " ", 
    "turn", " ", "off", " ", "the", " ", "column", " ", "of", " ", "run", " ",
     "patterns"}], "*)"}], "\n", 
  RowBox[{
   RowBox[{
    RowBox[{"factors1", "=", 
     RowBox[{"{", 
      RowBox[{"\"\<X1\>\"", ",", "\"\<X2\>\"", ",", "\"\<X3\>\""}], "}"}]}], 
    ";"}], "\n", 
   RowBox[{
    RowBox[{"levelsList1", "=", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"0.7", ",", "2.7"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"40", ",", "60"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"1.8", ",", "2.3", ",", "2.8"}], "}"}]}], "}"}]}], ";"}], 
   "\n", 
   RowBox[{
    RowBox[{"factorialxdsn", "=", 
     RowBox[{"doeFactorial", "[", 
      RowBox[{"factors1", ",", "levelsList1", ",", 
       RowBox[{"\"\<RandomizeRuns\>\"", "\[Rule]", "False"}], ",", "\n", 
       RowBox[{"\"\<PatternColumn\>\"", "\[Rule]", "False"}]}], "]"}]}], 
    ";"}], "\n", 
   RowBox[{"factorialxdsn", "[", 
    RowBox[{"[", "1", "]"}], "]"}]}]}]], "Input",
 CellChangeTimes->{{3.802234030390532*^9, 3.8022340717695494`*^9}, 
   3.802886665188329*^9},
 CellLabel->"In[70]:=",ExpressionUUID->"a06f66bd-16fc-476d-8a9f-80e50d7ea77f"],

Cell[BoxData[
 StyleBox[
  RowBox[{"\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{
     RowBox[{"--", 
      RowBox[{"--", 
       RowBox[{"-", " ", 
        StyleBox[
         RowBox[{
          StyleBox[
           StyleBox[
            StyleBox[
             StyleBox["B", "Subsection",
              FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
             FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
            FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
           FontColor->RGBColor[0., 0.6823529411764706, 0.]], "ox"}]]}]}]}], 
     StyleBox["-", "Subsection",
      FontColor->RGBColor[0., 0.6823529411764706, 0.]], 
     RowBox[{
      StyleBox[
       RowBox[{
        StyleBox[
         StyleBox[
          StyleBox["B", "Subsection",
           FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
          FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
         FontColor->RGBColor[0., 0.6823529411764706, 0.]], "ehnken"}]], 
      StyleBox[" ", "Subsection",
       FontColor->RGBColor[0., 0.6823529411764706, 0.]], 
      RowBox[{
       RowBox[{
        StyleBox[
         RowBox[{
          StyleBox["De", "Subsection",
           FontColor->RGBColor[0., 0.6823529411764706, 0.]], "si", 
          StyleBox[
           StyleBox[
            StyleBox[
             StyleBox[
              StyleBox["g", "Subsection",
               FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
              FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
             FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
            FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
           FontColor->RGBColor[0., 0.6823529411764706, 0.]], "ns"}]], " ", 
        "--"}], "--"}]}], "-"}], "*)"}]}], "Subsection",
  FontColor->RGBColor[0., 0.6823529411764706, 0.]]], "Input",
 CellChangeTimes->{{3.7611963292526646`*^9, 3.76119633888396*^9}, {
   3.761276924270635*^9, 3.7612769297666917`*^9}, {3.763360704443454*^9, 
   3.763360709717205*^9}, 3.764439462495569*^9, {3.768660195710001*^9, 
   3.768660204877347*^9}, {3.799085170487949*^9, 3.7990851787636786`*^9}, {
   3.7990853150681806`*^9, 3.799085321897171*^9}, 
   3.799096783452413*^9},ExpressionUUID->"45a14e4b-21b1-4a63-9fb6-\
d8db6ab71609"],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
    "Evaluate", " ", "the", " ", "doeBoxBehnken", " ", "function", " ", "to", 
     " ", "generate", " ", "a", " ", "Box"}], "-", 
    RowBox[{
    "Behnken", " ", "design", " ", "for", " ", "3", " ", "factors", " ", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{"each", " ", "of", " ", "which", " ", "is", " ", "3"}], "-", 
        "level"}], ")"}], "."}]}]}], "*)"}], "\n", 
  RowBox[{
   RowBox[{
    RowBox[{"factors1", "=", 
     RowBox[{"{", 
      RowBox[{"\"\<X1\>\"", ",", "\"\<X2\>\"", ",", "\"\<X3\>\""}], "}"}]}], 
    ";"}], "\n", 
   RowBox[{
    RowBox[{"levelsList1", "=", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"0.7", ",", "1.7", ",", "2.7"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"40", ",", "60", ",", "80"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"1.8", ",", "2.3", ",", "2.8"}], "}"}]}], "}"}]}], ";"}], 
   "\n", 
   RowBox[{
    RowBox[{"boxbxdsn", " ", "=", 
     RowBox[{"doeBoxBehnken", "[", 
      RowBox[{"factors1", ",", "levelsList1", ",", 
       RowBox[{"\"\<RandomizeRuns\>\"", "\[Rule]", "False"}]}], "]"}]}], 
    ";"}], "\n", 
   RowBox[{"boxbxdsn", "[", 
    RowBox[{"[", "1", "]"}], "]"}], "\n", 
   RowBox[{
    RowBox[{"boxbxdsn", "[", 
     RowBox[{"[", "2", "]"}], "]"}], "//", "TableForm"}]}]}]], "Input",
 CellChangeTimes->{{3.798639774895694*^9, 3.798639774911277*^9}, {
   3.798639817064091*^9, 3.798639846469449*^9}, {3.798639891704381*^9, 
   3.798639895798026*^9}, {3.7986401032763634`*^9, 3.798640105573189*^9}, {
   3.799091889955866*^9, 3.7990919322070556`*^9}, {3.7990926694921026`*^9, 
   3.79909268524965*^9}, {3.799092800286259*^9, 3.799092872104074*^9}, {
   3.799096801334779*^9, 3.799096816229991*^9}, {3.799124013768533*^9, 
   3.799124013777529*^9}, {3.799739149470785*^9, 3.799739151192162*^9}, 
   3.7997391896714687`*^9, {3.8002996947241063`*^9, 3.8002997040144835`*^9}, {
   3.801497373197794*^9, 3.801497463860306*^9}, {3.801598910085342*^9, 
   3.80159897835303*^9}, {3.801599016516503*^9, 3.801599078579681*^9}, {
   3.801600329483757*^9, 3.80160038276592*^9}, {3.802886623614874*^9, 
   3.8028866249550443`*^9}},
 CellLabel->"In[74]:=",ExpressionUUID->"7e5b2f59-13fb-4d7f-862b-5d87afa64bdb"],

Cell[BoxData[
 StyleBox[
  RowBox[{"\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{
     RowBox[{
      RowBox[{"--", 
       RowBox[{"--", 
        RowBox[{"-", " ", 
         StyleBox[
          RowBox[{
           StyleBox[
            StyleBox[
             StyleBox[
              StyleBox[
               StyleBox[
                StyleBox[
                 StyleBox[
                  StyleBox["C", "Subsection",
                   FontColor->RGBColor[0., 0.6823529411764706, 0.]], 
                  "Subsection",
                  FontColor->RGBColor[0., 0.6823529411764706, 0.]], 
                 "Subsection",
                 FontColor->RGBColor[0., 0.6823529411764706, 0.]], 
                "Subsection",
                FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
               FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
              FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
             FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
            FontColor->RGBColor[0., 0.6823529411764706, 0.]], "en", 
           StyleBox[
            StyleBox[
             StyleBox[
              StyleBox[
               StyleBox[
                StyleBox[
                 StyleBox["t", "Subsection",
                  FontColor->RGBColor[0., 0.6823529411764706, 0.]], 
                 "Subsection",
                 FontColor->RGBColor[0., 0.6823529411764706, 0.]], 
                "Subsection",
                FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
               FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
              FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
             FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
            FontColor->RGBColor[0., 0.6823529411764706, 0.]], "ra", 
           StyleBox[
            StyleBox[
             StyleBox[
              StyleBox[
               StyleBox[
                StyleBox[
                 StyleBox["l", "Subsection",
                  FontColor->RGBColor[0., 0.6823529411764706, 0.]], 
                 "Subsection",
                 FontColor->RGBColor[0., 0.6823529411764706, 0.]], 
                "Subsection",
                FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
               FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
              FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
             FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
            FontColor->RGBColor[0., 0.6823529411764706, 0.]]}]]}]}]}], 
      StyleBox[" ", "Subsection",
       FontColor->RGBColor[0., 0.6823529411764706, 0.]], 
      StyleBox[
       RowBox[{
        StyleBox[
         StyleBox[
          StyleBox[
           StyleBox[
            StyleBox[
             StyleBox[
              StyleBox[
               StyleBox[
                StyleBox["C", "Subsection",
                 FontColor->RGBColor[0., 0.6823529411764706, 0.]], 
                "Subsection",
                FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
               FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
              FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
             FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
            FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
           FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
          FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
         FontColor->RGBColor[0., 0.6823529411764706, 0.]], "om", 
        StyleBox[
         StyleBox[
          StyleBox[
           StyleBox[
            StyleBox["p", "Subsection",
             FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
            FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
           FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
          FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
         FontColor->RGBColor[0., 0.6823529411764706, 0.]], "os", 
        StyleBox[
         StyleBox[
          StyleBox[
           StyleBox[
            StyleBox["i", "Subsection",
             FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
            FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
           FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
          FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
         FontColor->RGBColor[0., 0.6823529411764706, 0.]], "te"}]], 
      StyleBox[" ", "Subsection",
       FontColor->RGBColor[0., 0.6823529411764706, 0.]], 
      RowBox[{
       RowBox[{
        StyleBox[
         RowBox[{
          StyleBox[
           StyleBox[
            StyleBox[
             StyleBox[
              StyleBox[
               StyleBox[
                StyleBox["D", "Subsection",
                 FontColor->RGBColor[0., 0.6823529411764706, 0.]], 
                "Subsection",
                FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
               FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
              FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
             FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
            FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
           FontColor->RGBColor[0., 0.6823529411764706, 0.]], "es", 
          StyleBox[
           StyleBox[
            StyleBox[
             StyleBox[
              StyleBox["i", "Subsection",
               FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
              FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
             FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
            FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
           FontColor->RGBColor[0., 0.6823529411764706, 0.]], "gn", 
          StyleBox[
           StyleBox[
            StyleBox[
             StyleBox[
              StyleBox["s", "Subsection",
               FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
              FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
             FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
            FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
           FontColor->RGBColor[0., 0.6823529411764706, 0.]]}]], " ", "--"}], 
       "--"}]}], "-"}], "*)"}]}], "Subsection",
  FontColor->RGBColor[0., 0.6823529411764706, 0.]]], "Input",
 CellChangeTimes->{{3.7611963292526646`*^9, 3.76119633888396*^9}, {
   3.761276924270635*^9, 3.7612769297666917`*^9}, {3.763360704443454*^9, 
   3.763360709717205*^9}, 3.764439462495569*^9, {3.768660195710001*^9, 
   3.768660204877347*^9}, {3.799085170487949*^9, 3.7990851787636786`*^9}, {
   3.799085360438685*^9, 
   3.799085372995035*^9}},ExpressionUUID->"ee1ca57c-ba3b-4e0f-97bc-\
4a75f6c435af"],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
   "Evaluate", " ", "the", " ", "doeCentralComposite", " ", "function", " ", 
    "to", " ", "generate", " ", "a", " ", "central", " ", "composite", " ", 
    "design", " ", "for", " ", "3", " ", 
    RowBox[{"factors", ".", "\n", "Use"}], " ", "the", " ", 
    "\"\<AxialPointGroups\>\"", " ", "option", " ", "to", " ", "set", " ", 
    "\[Alpha]", " ", "to", " ", "Spherical", " ", "and", " ", "specify", " ", 
    "that", " ", "1", " ", "axial", " ", "point", " ", "group", "\n", 
    "should", " ", "be", " ", "inserted", " ", "at", " ", "the", " ", "top", 
    " ", "of", " ", "the", " ", 
    RowBox[{"design", "."}]}], "*)"}], "\n", 
  RowBox[{
   RowBox[{
    RowBox[{"factors1", "=", 
     RowBox[{"{", 
      RowBox[{"\"\<X1\>\"", ",", "\"\<X2\>\"", ",", "\"\<X3\>\""}], "}"}]}], 
    ";"}], "\n", 
   RowBox[{
    RowBox[{"levels1", "=", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"0.7", ",", "1.7", ",", "2.7"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"40", ",", "50", ",", "60"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"1.8", ",", "2.3", ",", "2.8"}], "}"}]}], "}"}]}], ";"}], 
   "\n", 
   RowBox[{
    RowBox[{"cencompxdsn", "=", 
     RowBox[{"doeCentralComposite", "[", 
      RowBox[{"factors1", ",", "levels1", ",", 
       RowBox[{"\"\<RandomizeRuns\>\"", "\[Rule]", "False"}], ",", "\n", 
       RowBox[{"\"\<AxialPointGroups\>\"", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{"\"\<Spherical\>\"", ",", 
          RowBox[{"{", 
           RowBox[{"\"\<Top\>\"", "\[Rule]", "1"}], "}"}]}], "}"}]}]}], 
      "]"}]}], ";"}], "\n", 
   RowBox[{"cencompxdsn", "[", 
    RowBox[{"[", "1", "]"}], "]"}], "\n", 
   RowBox[{
    RowBox[{"cencompxdsn", "[", 
     RowBox[{"[", "2", "]"}], "]"}], "//", "TableForm"}], "\n"}]}]], "Input",
 CellChangeTimes->{{3.7986400078240376`*^9, 3.7986400078240376`*^9}, {
   3.798640068962883*^9, 3.7986400877455554`*^9}, 3.7986404184820595`*^9, {
   3.799096849333102*^9, 3.799096899727321*^9}, {3.7991240138974557`*^9, 
   3.799124013905446*^9}, {3.799124085369451*^9, 3.799124093416975*^9}, {
   3.801598726813485*^9, 3.8015988433982286`*^9}, {3.801598887008109*^9, 
   3.801598888327749*^9}, {3.8022306712389207`*^9, 3.8022306771434207`*^9}, {
   3.802230725777148*^9, 3.8022307631407366`*^9}, {3.802232021534707*^9, 
   3.802232079112716*^9}, {3.802233149126097*^9, 3.8022331985905423`*^9}, {
   3.8028867416653495`*^9, 3.802886755152068*^9}},
 CellLabel->"In[79]:=",ExpressionUUID->"a9c21af3-61ce-42b8-b7d9-aca1654280c4"],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
   "Evaluate", " ", "the", " ", "doeCentralComposite", " ", "function", " ", 
    "to", " ", "generate", " ", "a", " ", "central", " ", "composite", " ", 
    "design", " ", "for", " ", "4", " ", 
    RowBox[{"factors", ".", " ", "\n", "Specify"}], " ", "the", " ", 
    "ConfoundingRules", " ", "option", " ", "to", " ", "alias", " ", "X4", 
    " ", "to", " ", "X1", "*", 
    RowBox[{"X2", ".", "\n", "This"}], " ", "reduces", " ", "the", " ", 
    "number", " ", "of", " ", "runs", " ", "that", " ", "would", " ", 
    "otherwise", " ", "be", " ", "required", " ", "for", " ", "a", " ", 
    "full", " ", "factorial", " ", 
    RowBox[{"design", "."}]}], "*)"}], "\n", 
  RowBox[{
   RowBox[{
    RowBox[{"factors1", "=", 
     RowBox[{"{", 
      RowBox[{
      "\"\<X1\>\"", ",", "\"\<X2\>\"", ",", "\"\<X3\>\"", ",", "\"\<X4\>\""}],
       "}"}]}], ";"}], "\n", 
   RowBox[{
    RowBox[{"levels1", "=", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"0.7", ",", "1.7", ",", "2.7"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"40", ",", "50", ",", "60"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"1.8", ",", "2.3", ",", "2.8"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0.5", ",", "1.0", ",", "1.5"}], "}"}]}], "}"}]}], ";"}], 
   "\n", 
   RowBox[{
    RowBox[{"cencompxdsn2", "=", 
     RowBox[{"doeCentralComposite", "[", 
      RowBox[{"factors1", ",", "levels1", ",", 
       RowBox[{"\"\<RandomizeRuns\>\"", "\[Rule]", "False"}], ",", "\n", 
       RowBox[{"\"\<ConfoundingRules\>\"", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{"\"\<X4\>\"", "->", 
          RowBox[{"{", 
           RowBox[{"\"\<X1\>\"", ",", "\"\<X2\>\""}], "}"}]}], "}"}]}]}], 
      "]"}]}], ";"}], "\n", 
   RowBox[{"cencompxdsn2", "[", 
    RowBox[{"[", "1", "]"}], "]"}], "\n", 
   RowBox[{
    RowBox[{"cencompxdsn2", "[", 
     RowBox[{"[", "2", "]"}], "]"}], "//", "TableForm"}]}]}]], "Input",
 CellChangeTimes->{{3.8022318820350046`*^9, 3.802231926810874*^9}, {
  3.802231979831622*^9, 3.802231988238583*^9}, {3.8022320991073933`*^9, 
  3.802232190021181*^9}, {3.802232252001464*^9, 3.8022322922752447`*^9}, {
  3.802232624239625*^9, 3.8022326284214597`*^9}, {3.802232666363262*^9, 
  3.802232697732033*^9}, {3.8022332634615755`*^9, 3.802233269964577*^9}, {
  3.802233557394574*^9, 3.802233621352786*^9}, {3.8028870721906357`*^9, 
  3.8028870796110773`*^9}},
 CellLabel->"In[84]:=",ExpressionUUID->"ace606fb-6f75-410d-8c9e-19a32969b6fd"],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
    "Evaluate", " ", "the", " ", "doeCentralComposite", " ", "function", " ", 
     "to", " ", "generate", " ", "the", " ", "previous", " ", "4", " ", 
     "factor", " ", 
     RowBox[{"design", ".", " ", "\n", "The"}], " ", "only", " ", 
     "difference", " ", "is"}], ",", " ", 
    RowBox[{
    "this", " ", "time", " ", "we", " ", "eliminate", " ", "the", " ", 
     "central", " ", "points", " ", "and", " ", "axial", " ", "points", " ", 
     "by", " ", "setting", "\n", "the", " ", "CentralPoints", " ", "and", " ",
      "AxialPointGroups", " ", "options", " ", "to", " ", "the", " ", "empty",
      " ", 
     RowBox[{"list", ".", " ", 
      RowBox[{"Note", ":", " ", 
       RowBox[{
       "in", " ", "general", " ", "this", " ", "is", " ", "not", " ", "a", 
        " ", "good", "\n", 
        RowBox[{"idea", ".", "  ", "Your"}], " ", "design", " ", "shoud", " ",
         "include", " ", "central", " ", "points", " ", "and", " ", "axial", 
        " ", 
        RowBox[{"points", ".", "  ", "The"}], " ", "only", " ", "reason", " ",
         "to", " ", "eliminate", "\n", "these", " ", "points", " ", "is", " ",
         "to", " ", "make", " ", "it", " ", "easier", " ", "to", " ", "check",
         " ", "the", " ", "inspect", " ", 
        RowBox[{"design", "."}]}]}]}]}]}], "*)"}], "\n", 
  RowBox[{
   RowBox[{
    RowBox[{"factors1", "=", 
     RowBox[{"{", 
      RowBox[{
      "\"\<X1\>\"", ",", "\"\<X2\>\"", ",", "\"\<X3\>\"", ",", "\"\<X4\>\""}],
       "}"}]}], ";"}], "\n", 
   RowBox[{
    RowBox[{"levels1", "=", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"0.7", ",", "1.7", ",", "2.7"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"40", ",", "50", ",", "60"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"1.8", ",", "2.3", ",", "2.8"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0.5", ",", "1.0", ",", "1.5"}], "}"}]}], "}"}]}], ";"}], 
   "\n", 
   RowBox[{
    RowBox[{"cencompxdsn2", "=", 
     RowBox[{"doeCentralComposite", "[", 
      RowBox[{"factors1", ",", "levels1", ",", 
       RowBox[{"\"\<RandomizeRuns\>\"", "\[Rule]", "False"}], ",", "\n", 
       RowBox[{"\"\<ConfoundingRules\>\"", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{"\"\<X4\>\"", "->", 
          RowBox[{"{", 
           RowBox[{"\"\<X1\>\"", ",", "\"\<X2\>\""}], "}"}]}], "}"}]}], ",", 
       "\n", 
       RowBox[{"\"\<CentralPoints\>\"", "\[Rule]", 
        RowBox[{"{", "}"}]}], ",", "\n", 
       RowBox[{"\"\<AxialPointGroups\>\"", "\[Rule]", 
        RowBox[{"{", "}"}]}]}], "\n", "]"}]}], ";"}], "\n", 
   RowBox[{"cencompxdsn2", "[", 
    RowBox[{"[", "1", "]"}], "]"}], "\n", 
   RowBox[{
    RowBox[{"cencompxdsn2", "[", 
     RowBox[{"[", "2", "]"}], "]"}], "//", "TableForm"}]}]}]], "Input",
 CellChangeTimes->{{3.802234430094565*^9, 3.8022346668430033`*^9}, {
  3.802234709603206*^9, 3.80223473212436*^9}, {3.8028870522568774`*^9, 
  3.8028870605827627`*^9}},
 CellLabel->"In[89]:=",ExpressionUUID->"092c8098-ad1c-46e7-9fcb-452006f6944c"],

Cell[BoxData[
 StyleBox[
  RowBox[{"\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{
     RowBox[{
      RowBox[{"--", 
       RowBox[{"--", 
        RowBox[{"-", " ", 
         StyleBox[
          RowBox[{
           StyleBox[
            StyleBox[
             StyleBox[
              StyleBox["F", "Subsection",
               FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
              FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
             FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
            FontColor->RGBColor[0., 0.6823529411764706, 0.]], "ul", 
           StyleBox[
            StyleBox[
             StyleBox[
              StyleBox[
               StyleBox[
                StyleBox[
                 StyleBox["l", "Subsection",
                  FontColor->RGBColor[0., 0.6823529411764706, 0.]], 
                 "Subsection",
                 FontColor->RGBColor[0., 0.6823529411764706, 0.]], 
                "Subsection",
                FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
               FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
              FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
             FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
            FontColor->RGBColor[0., 0.6823529411764706, 0.]]}]]}]}]}], 
      StyleBox[" ", "Subsection",
       FontColor->RGBColor[0., 0.6823529411764706, 0.]], 
      StyleBox[
       RowBox[{
        StyleBox[
         StyleBox[
          StyleBox[
           StyleBox[
            StyleBox[
             StyleBox[
              StyleBox[
               StyleBox[
                StyleBox["F", "Subsection",
                 FontColor->RGBColor[0., 0.6823529411764706, 0.]], 
                "Subsection",
                FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
               FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
              FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
             FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
            FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
           FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
          FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
         FontColor->RGBColor[0., 0.6823529411764706, 0.]], "ac", 
        StyleBox[
         StyleBox[
          StyleBox[
           StyleBox[
            StyleBox["t", "Subsection",
             FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
            FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
           FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
          FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
         FontColor->RGBColor[0., 0.6823529411764706, 0.]], "or", 
        StyleBox[
         StyleBox[
          StyleBox[
           StyleBox[
            StyleBox["i", "Subsection",
             FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
            FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
           FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
          FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
         FontColor->RGBColor[0., 0.6823529411764706, 0.]], "al"}]], 
      StyleBox[" ", "Subsection",
       FontColor->RGBColor[0., 0.6823529411764706, 0.]], 
      RowBox[{
       RowBox[{
        StyleBox[
         RowBox[{
          StyleBox[
           StyleBox[
            StyleBox[
             StyleBox[
              StyleBox[
               StyleBox[
                StyleBox["D", "Subsection",
                 FontColor->RGBColor[0., 0.6823529411764706, 0.]], 
                "Subsection",
                FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
               FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
              FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
             FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
            FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
           FontColor->RGBColor[0., 0.6823529411764706, 0.]], "es", 
          StyleBox[
           StyleBox[
            StyleBox[
             StyleBox[
              StyleBox["i", "Subsection",
               FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
              FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
             FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
            FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
           FontColor->RGBColor[0., 0.6823529411764706, 0.]], "gn", 
          StyleBox[
           StyleBox[
            StyleBox[
             StyleBox[
              StyleBox["s", "Subsection",
               FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
              FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
             FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
            FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
           FontColor->RGBColor[0., 0.6823529411764706, 0.]]}]], " ", "--"}], 
       "--"}]}], "-"}], "*)"}]}], "Subsection",
  FontColor->RGBColor[0., 0.6823529411764706, 0.]]], "Input",
 CellChangeTimes->{{3.7611963292526646`*^9, 3.76119633888396*^9}, {
   3.761276924270635*^9, 3.7612769297666917`*^9}, {3.763360704443454*^9, 
   3.763360709717205*^9}, 3.764439462495569*^9, {3.768660195710001*^9, 
   3.768660204877347*^9}, {3.799085170487949*^9, 3.7990851787636786`*^9}, {
   3.799085383591869*^9, 
   3.799085389341933*^9}},ExpressionUUID->"bfe348ad-ef36-45ea-a624-\
f80b31b0147f"],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
    "Evaluate", " ", "the", " ", "doeFactorial", " ", "function", " ", "to", 
     " ", "generate", " ", "a", " ", "full", " ", "factorial", " ", "design", 
     " ", "for", " ", "3", " ", "factors"}], ",", "\n", 
    RowBox[{"each", " ", "of", " ", "which", " ", "has", " ", "2", " ", 
     RowBox[{"levels", ".", "  ", "As"}], " ", "usual"}], ",", " ", 
    RowBox[{
    "we", " ", "set", " ", "the", " ", "RandomizeRuns", " ", "option", " ", 
     "to", " ", "False"}], ",", " ", 
    RowBox[{
     RowBox[{"so", " ", "the", "\n", "same", " ", "non"}], "-", 
     RowBox[{
     "random", " ", "order", " ", "of", " ", "runs", " ", "is", " ", 
      "produced", " ", "each", " ", "time", " ", "you", " ", "evaluate", " ", 
      "the", " ", 
      RowBox[{"code", "."}]}]}]}], "*)"}], "\n", 
  RowBox[{
   RowBox[{
    RowBox[{"factors1", "=", 
     RowBox[{"{", 
      RowBox[{"\"\<X1\>\"", ",", "\"\<X2\>\"", ",", "\"\<X3\>\""}], "}"}]}], 
    ";"}], "\n", 
   RowBox[{
    RowBox[{"levels1", "=", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"0.7", ",", "1.9"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"40", ",", "60"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"13.2", ",", "13.9"}], "}"}]}], "}"}]}], ";"}], "\n", 
   RowBox[{
    RowBox[{"fullfactxdsn", "=", 
     RowBox[{"doeFactorial", "[", 
      RowBox[{"factors1", ",", "levels1", ",", 
       RowBox[{"\"\<RandomizeRuns\>\"", "\[Rule]", "False"}]}], "]"}]}], 
    ";"}], "\n", 
   RowBox[{"fullfactxdsn", "[", 
    RowBox[{"[", "1", "]"}], "]"}], "\n", 
   RowBox[{
    RowBox[{"fullfactxdsn", "[", 
     RowBox[{"[", "2", "]"}], "]"}], "//", "TableForm"}]}]}]], "Input",
 CellChangeTimes->{{3.804550018166392*^9, 3.8045500788692927`*^9}},
 CellLabel->
  "In[122]:=",ExpressionUUID->"42c75962-d175-4b4d-80c7-d9c9c3482838"],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
    "Evaluate", " ", "the", " ", "doeFactorial", " ", "function", " ", "to", 
     " ", "generate", " ", "a", " ", "full", " ", "factorial", " ", "design", 
     " ", "for", " ", "the", " ", "same", " ", "set", "\n", "of", " ", 
     "factors", " ", "and", " ", "levels", " ", "as", " ", 
     RowBox[{"before", ".", "  ", "This"}], " ", "time"}], ",", " ", 
    RowBox[{
    "we", " ", "do", " ", "not", " ", "set", " ", "the", " ", "RandomizeRuns",
      " ", "option"}], ",", " ", 
    RowBox[{"so", " ", "by", "\n", "default"}], ",", " ", 
    RowBox[{"it", " ", "will", " ", "be", " ", "set", " ", "to", " ", 
     RowBox[{"True", ".", "  ", "If"}], " ", "you", " ", "evaluate", " ", 
     "this", " ", "code", " ", "a", " ", "few", " ", "times", " ", "without", 
     " ", "making", "\n", "any", " ", "changes", " ", "you", " ", "will", " ",
      "see", " ", "that", " ", "the", " ", "runs", " ", "produced", " ", "by",
      " ", "the", " ", "doeFactorial", " ", "function", " ", "are", " ", 
     "randomly", "\n", "ordered", " ", "and", " ", "that", " ", "their", " ", 
     "order", " ", "is", " ", "different", " ", "each", " ", 
     RowBox[{"time", "."}]}]}], "*)"}], "\n", 
  RowBox[{
   RowBox[{
    RowBox[{"factors1", "=", 
     RowBox[{"{", 
      RowBox[{"\"\<X1\>\"", ",", "\"\<X2\>\"", ",", "\"\<X3\>\""}], "}"}]}], 
    ";"}], "\n", 
   RowBox[{
    RowBox[{"levels1", "=", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"0.7", ",", "1.9"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"40", ",", "60"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"13.2", ",", "13.9"}], "}"}]}], "}"}]}], ";"}], "\n", 
   RowBox[{
    RowBox[{"fullfactxdsn", "=", 
     RowBox[{"doeFactorial", "[", 
      RowBox[{"factors1", ",", "levels1"}], "]"}]}], ";"}], "\n", 
   RowBox[{"fullfactxdsn", "[", 
    RowBox[{"[", "1", "]"}], "]"}], "\n", 
   RowBox[{
    RowBox[{"fullfactxdsn", "[", 
     RowBox[{"[", "2", "]"}], "]"}], "//", "TableForm"}]}]}]], "Input",
 CellChangeTimes->{{3.804389125950571*^9, 3.804389170685274*^9}, {
   3.804389244028722*^9, 3.8043893982461696`*^9}, {3.804389508528841*^9, 
   3.804389542147089*^9}, {3.804389752924552*^9, 3.8043898089566855`*^9}, {
   3.8045501221662917`*^9, 3.804550152838311*^9}, 
   3.804550258610171*^9},ExpressionUUID->"c3e5acd9-2f14-4248-9079-\
a87e7e68f1b5"],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
    "Evaluate", " ", "the", " ", "doeFactorial", " ", "function", " ", "to", 
     " ", "generate", " ", "a", " ", "full", " ", "factorial", " ", "design", 
     " ", "for", " ", "the", " ", "same", " ", "set", "\n", "of", " ", 
     "factors", " ", "and", " ", "levels", " ", "as", " ", 
     RowBox[{"before", ".", "  ", "Once"}], " ", "again"}], ",", " ", 
    RowBox[{
    "we", " ", "leave", " ", "the", " ", "RandomizeRuns", " ", "option", " ", 
     "set", " ", "to", " ", "its", "\n", "default", " ", 
     RowBox[{
      RowBox[{"(", "True", ")"}], ".", "  ", "However"}]}], ",", " ", 
    RowBox[{
    "this", " ", "time", " ", "we", " ", "set", " ", "the", " ", 
     "RandomNumberSeed", " ", "option", " ", "to", " ", "a", " ", "specific", 
     " ", 
     RowBox[{"number", ".", "\n", "As"}], " ", "a", " ", "result"}], ",", " ", 
    RowBox[{
    "the", " ", "same", " ", "set", " ", "of", " ", "randomly", " ", 
     "ordered", " ", "runs", " ", "will", " ", "be", " ", "produced", " ", 
     "each", " ", "time", " ", "our", " ", "code", " ", "is", "\n", 
     RowBox[{"evaluated", "."}]}]}], "*)"}], "\n", 
  RowBox[{
   RowBox[{
    RowBox[{"factors1", "=", 
     RowBox[{"{", 
      RowBox[{"\"\<X1\>\"", ",", "\"\<X2\>\"", ",", "\"\<X3\>\""}], "}"}]}], 
    ";"}], "\n", 
   RowBox[{
    RowBox[{"levels1", "=", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"0.7", ",", "1.9"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"40", ",", "60"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"13.2", ",", "13.9"}], "}"}]}], "}"}]}], ";"}], "\n", 
   RowBox[{
    RowBox[{"fullfactxdsn", "=", 
     RowBox[{"doeFactorial", "[", 
      RowBox[{"factors1", ",", "levels1", ",", "\n", 
       RowBox[{"\"\<RandomNumberSeed\>\"", "\[Rule]", "107"}]}], "]"}]}], 
    ";"}], "\n", 
   RowBox[{"fullfactxdsn", "[", 
    RowBox[{"[", "1", "]"}], "]"}], "\n", 
   RowBox[{
    RowBox[{"fullfactxdsn", "[", 
     RowBox[{"[", "2", "]"}], "]"}], "//", "TableForm"}]}]}]], "Input",
 CellChangeTimes->{{3.804388822543182*^9, 3.804388994542506*^9}, {
  3.804389418001216*^9, 3.804389475014395*^9}, {3.804389572785522*^9, 
  3.804389642950839*^9}, {3.804389680951*^9, 3.804389682080713*^9}, {
  3.8043897234830403`*^9, 3.8043897377787833`*^9}},
 CellLabel->
  "In[352]:=",ExpressionUUID->"b771f314-df06-48ed-a981-fcb8f43b41c3"],

Cell[BoxData[
 RowBox[{"\n", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
     RowBox[{
     "Evaluate", " ", "the", " ", "doeFactorial", " ", "function", " ", "to", 
      " ", "generate", " ", "a", " ", "full", " ", "factorial", " ", "design",
       " ", "for", " ", "4", " ", 
      RowBox[{"factors", ".", "\n", "X1"}], " ", "is", " ", "a", " ", "2"}], 
     "-", 
     RowBox[{"level", " ", "factor"}]}], ",", " ", 
    RowBox[{
     RowBox[{"X2", " ", "is", " ", "a", " ", "4"}], "-", 
     RowBox[{"level", " ", "factor"}]}], ",", " ", 
    RowBox[{
     RowBox[{"X3", " ", "is", " ", "a", " ", "3"}], "-", 
     RowBox[{"level", " ", "factor"}]}], ",", " ", 
    RowBox[{
     RowBox[{"and", " ", "X4", " ", "is", " ", "a", " ", "6"}], "-", 
     RowBox[{"level", "\n", 
      RowBox[{"factor", ".", "  ", "The"}], " ", "resulting", " ", "design", 
      " ", "has", " ", "144", " ", 
      RowBox[{"runs", ".", "\n", "Notice"}], " ", "the", " ", "vertical", " ",
       "scrollbar", " ", "on", " ", "the", " ", "left", " ", "side", " ", 
      "of", " ", "the", " ", "data", " ", "grid", " ", "and", " ", "the", 
      "\n", "chevron", " ", "controls", " ", "at", " ", "the", " ", "bottom", 
      " ", "of", " ", "the", " ", "data", " ", 
      RowBox[{"grid", "."}]}]}]}], "*)"}], "\n", 
  RowBox[{
   RowBox[{
    RowBox[{"factors1", "=", 
     RowBox[{"{", 
      RowBox[{
      "\"\<X1\>\"", ",", "\"\<X2\>\"", ",", "\"\<X3\>\"", ",", "\"\<X4\>\""}],
       "}"}]}], ";"}], "\n", 
   RowBox[{
    RowBox[{"levels1", "=", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"0.7", ",", "1.9"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"40", ",", "50", ",", "60", ",", "70"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"1.8", ",", "2.3", ",", "2.8"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
        "100", ",", "110", ",", "120", ",", "130", ",", "140", ",", "150"}], 
        "}"}]}], "}"}]}], ";"}], "\n", 
   RowBox[{
    RowBox[{"fullfactxdsn", "=", 
     RowBox[{"doeFactorial", "[", 
      RowBox[{"factors1", ",", "levels1", ",", 
       RowBox[{"\"\<RandomizeRuns\>\"", "\[Rule]", "False"}]}], "]"}]}], 
    ";"}], "\n", 
   RowBox[{"fullfactxdsn", "[", 
    RowBox[{"[", "1", "]"}], "]"}], "\n", 
   RowBox[{
    RowBox[{"fullfactxdsn", "[", 
     RowBox[{"[", "2", "]"}], "]"}], "//", "TableForm"}], "\n"}]}]], "Input",
 CellChangeTimes->{{3.7986406740549407`*^9, 3.798640688299004*^9}, {
   3.798640722641733*^9, 3.7986407233760843`*^9}, {3.799096931675248*^9, 
   3.7990969634938183`*^9}, {3.799124013971406*^9, 3.799124013979403*^9}, {
   3.8015985112524695`*^9, 3.801598661553414*^9}, 3.801600505765478*^9, {
   3.80223277375394*^9, 3.802232775923169*^9}, {3.802887118252337*^9, 
   3.802887121670236*^9}, {3.8043900015838833`*^9, 3.804390013810151*^9}, {
   3.804390117060341*^9, 3.804390190976756*^9}, {3.8043902216509047`*^9, 
   3.804390222301504*^9}, {3.80439028071691*^9, 3.804390308107039*^9}, {
   3.804549923853847*^9, 3.8045499266279864`*^9}, {3.936550226733562*^9, 
   3.9365502358950453`*^9}},ExpressionUUID->"761ea202-b484-4034-a5e2-\
76d40e6f1cc7"],

Cell[BoxData[
 StyleBox[
  RowBox[{"\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{
     RowBox[{
      RowBox[{"--", 
       RowBox[{"--", 
        RowBox[{"-", " ", 
         StyleBox[
          RowBox[{
           StyleBox[
            StyleBox[
             StyleBox[
              StyleBox["F", "Subsection",
               FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
              FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
             FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
            FontColor->RGBColor[0., 0.6823529411764706, 0.]], "ra", 
           StyleBox[
            StyleBox[
             StyleBox[
              StyleBox[
               StyleBox[
                StyleBox[
                 StyleBox[
                  StyleBox["c", "Subsection",
                   FontColor->RGBColor[0., 0.6823529411764706, 0.]], 
                  "Subsection",
                  FontColor->RGBColor[0., 0.6823529411764706, 0.]], 
                 "Subsection",
                 FontColor->RGBColor[0., 0.6823529411764706, 0.]], 
                "Subsection",
                FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
               FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
              FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
             FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
            FontColor->RGBColor[0., 0.6823529411764706, 0.]], "ti", 
           StyleBox[
            StyleBox[
             StyleBox[
              StyleBox[
               StyleBox[
                StyleBox[
                 StyleBox[
                  StyleBox["o", "Subsection",
                   FontColor->RGBColor[0., 0.6823529411764706, 0.]], 
                  "Subsection",
                  FontColor->RGBColor[0., 0.6823529411764706, 0.]], 
                 "Subsection",
                 FontColor->RGBColor[0., 0.6823529411764706, 0.]], 
                "Subsection",
                FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
               FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
              FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
             FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
            FontColor->RGBColor[0., 0.6823529411764706, 0.]], "na", 
           StyleBox[
            StyleBox[
             StyleBox[
              StyleBox[
               StyleBox[
                StyleBox[
                 StyleBox[
                  StyleBox["l", "Subsection",
                   FontColor->RGBColor[0., 0.6823529411764706, 0.]], 
                  "Subsection",
                  FontColor->RGBColor[0., 0.6823529411764706, 0.]], 
                 "Subsection",
                 FontColor->RGBColor[0., 0.6823529411764706, 0.]], 
                "Subsection",
                FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
               FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
              FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
             FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
            FontColor->RGBColor[0., 0.6823529411764706, 0.]]}]]}]}]}], 
      StyleBox[" ", "Subsection",
       FontColor->RGBColor[0., 0.6823529411764706, 0.]], 
      StyleBox[
       RowBox[{
        StyleBox[
         StyleBox[
          StyleBox[
           StyleBox["F", "Subsection",
            FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
           FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
          FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
         FontColor->RGBColor[0., 0.6823529411764706, 0.]], "ac", 
        StyleBox[
         StyleBox[
          StyleBox[
           StyleBox[
            StyleBox[
             StyleBox["t", "Subsection",
              FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
             FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
            FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
           FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
          FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
         FontColor->RGBColor[0., 0.6823529411764706, 0.]], "or", 
        StyleBox[
         StyleBox[
          StyleBox[
           StyleBox[
            StyleBox[
             StyleBox["i", "Subsection",
              FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
             FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
            FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
           FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
          FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
         FontColor->RGBColor[0., 0.6823529411764706, 0.]], "al"}]], 
      StyleBox[" ", "Subsection",
       FontColor->RGBColor[0., 0.6823529411764706, 0.]], 
      RowBox[{
       RowBox[{
        StyleBox[
         RowBox[{
          StyleBox[
           StyleBox[
            StyleBox[
             StyleBox["D", "Subsection",
              FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
             FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
            FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
           FontColor->RGBColor[0., 0.6823529411764706, 0.]], "es", 
          StyleBox[
           StyleBox[
            StyleBox[
             StyleBox[
              StyleBox[
               StyleBox["i", "Subsection",
                FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
               FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
              FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
             FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
            FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
           FontColor->RGBColor[0., 0.6823529411764706, 0.]], "gn", 
          StyleBox[
           StyleBox[
            StyleBox[
             StyleBox[
              StyleBox[
               StyleBox["s", "Subsection",
                FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
               FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
              FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
             FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
            FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
           FontColor->RGBColor[0., 0.6823529411764706, 0.]]}]], " ", "--"}], 
       "--"}]}], "-"}], "*)"}]}], "Subsection",
  FontColor->RGBColor[0., 0.6823529411764706, 0.]]], "Input",
 CellChangeTimes->{{3.7611963292526646`*^9, 3.76119633888396*^9}, {
   3.761276924270635*^9, 3.7612769297666917`*^9}, {3.763360704443454*^9, 
   3.763360709717205*^9}, 3.764439462495569*^9, {3.768660195710001*^9, 
   3.768660204877347*^9}, {3.799085170487949*^9, 3.7990851787636786`*^9}, {
   3.7990854067949305`*^9, 
   3.7990854163736973`*^9}},ExpressionUUID->"4b94577b-f9ed-433b-9723-\
761cacbfdb74"],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
    RowBox[{"Evaluate", " ", "the", " ", "doeFractional", " ", 
     RowBox[{"function", ".", "  ", "There"}], " ", "are", " ", "3", " ", 
     "factors"}], ",", " ", 
    RowBox[{"each", " ", "of", " ", "which", " ", "has", " ", "3", " ", 
     RowBox[{"levels", ".", "\n", "We"}], " ", "confound", " ", "X3", " ", 
     "with", " ", "X1", " ", "and", " ", "X2", " ", "by", " ", "specifying", 
     " ", "the", " ", "ConfoundingRules", " ", 
     RowBox[{"option", "."}]}]}], "*)"}], "\n", 
  RowBox[{
   RowBox[{
    RowBox[{"factors1", "=", 
     RowBox[{"{", 
      RowBox[{"\"\<X1\>\"", ",", "\"\<X2\>\"", ",", "\"\<X3\>\""}], "}"}]}], 
    ";"}], "\n", 
   RowBox[{
    RowBox[{"levels1", "=", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"0.7", ",", "1.9", ",", "3.1"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"40", ",", "50", ",", "60"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"1.8", ",", "2.3", ",", "2.8"}], "}"}]}], "}"}]}], ";"}], 
   "\n", 
   RowBox[{
    RowBox[{"confRules1", "=", 
     RowBox[{"{", 
      RowBox[{"\"\<X3\>\"", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{"\"\<X1\>\"", ",", "\"\<X2\>\""}], "}"}]}], "}"}]}], ";"}], 
   "\n", 
   RowBox[{
    RowBox[{"fractfactxdsn", "=", 
     RowBox[{"doeFractional", "[", 
      RowBox[{"factors1", ",", "levels1", ",", 
       RowBox[{"\"\<RandomizeRuns\>\"", "\[Rule]", "False"}], ",", "\n", 
       RowBox[{"\"\<ConfoundingRules\>\"", "->", "confRules1"}]}], "]"}]}], 
    ";"}], "\n", 
   RowBox[{"fractfactxdsn", "[", 
    RowBox[{"[", "1", "]"}], "]"}], "\n", 
   RowBox[{
    RowBox[{"fractfactxdsn", "[", 
     RowBox[{"[", "2", "]"}], "]"}], "//", "TableForm"}]}]}]], "Input",
 CellChangeTimes->{{3.804548359388654*^9, 3.80454837097825*^9}, {
  3.8045486916162148`*^9, 3.804548722260071*^9}},
 CellLabel->"In[15]:=",ExpressionUUID->"c936b592-2c0e-4a95-9958-3011b20f7ae9"],

Cell[BoxData[
 RowBox[{"(*", 
  RowBox[{
   RowBox[{
   "Evaluate", " ", "the", " ", "doeFractional", " ", "function", " ", "for", 
    " ", "4", " ", "factors"}], ",", " ", 
   RowBox[{"each", " ", "of", " ", "which", " ", "has", " ", "2", " ", 
    RowBox[{"levels", ".", "\n", "We"}], " ", "will", " ", "alias", " ", "X4",
     " ", "to", " ", "the", " ", "interaction", " ", "of", " ", "X1"}], ",", 
   "X2", ",", 
   RowBox[{"&", 
    RowBox[{"X3", "."}]}]}], "  ", "\n", "*)"}]], "Input",
 CellChangeTimes->{{3.804549130431769*^9, 3.804549189084803*^9}, {
  3.804549282822397*^9, 
  3.804549357397261*^9}},ExpressionUUID->"70d0c46f-e091-4aa1-9b1b-\
85f10636a92f"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"factors1", "=", 
   RowBox[{"{", 
    RowBox[{
    "\"\<X1\>\"", ",", "\"\<X2\>\"", ",", "\"\<X3\>\"", ",", "\"\<X4\>\""}], 
    "}"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"levels1", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"0.7", ",", "1.9"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"40", ",", "50"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"1.8", ",", "2.8"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"100", ",", "150"}], "}"}]}], "}"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"confRules1", "=", 
   RowBox[{"{", 
    RowBox[{"\"\<X4\>\"", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{"\"\<X1\>\"", ",", "\"\<X2\>\"", ",", "\"\<X3\>\""}], "}"}]}], 
    "}"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"fractfactxdsn2", "=", 
   RowBox[{"doeFractional", "[", 
    RowBox[{"factors1", ",", "levels1", ",", 
     RowBox[{"\"\<RandomizeRuns\>\"", "\[Rule]", "False"}], ",", "\n", 
     RowBox[{"\"\<ConfoundingRules\>\"", "->", "confRules1"}]}], "]"}]}], 
  ";"}], "\n", 
 RowBox[{"fractfactxdsn2", "[", 
  RowBox[{"[", "1", "]"}], "]"}], "\n", 
 RowBox[{
  RowBox[{"fractfactxdsn2", "[", 
   RowBox[{"[", "2", "]"}], "]"}], "//", "TableForm"}]}], "Input",
 CellChangeTimes->{{3.804549218432971*^9, 3.804549219894258*^9}},
 CellLabel->"In[41]:=",ExpressionUUID->"667b254c-081c-430e-922a-23c759bf4f49"],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
    "Evaluate", " ", "the", " ", "doeFractional", " ", "function", " ", 
     "again", " ", "for", " ", "the", " ", "previous", " ", "4", " ", 
     "factors"}], ",", " ", 
    RowBox[{"each", " ", "of", " ", "which", " ", "has", " ", "2", " ", 
     RowBox[{"levels", ".", "\n", "We"}], " ", "will", " ", "once", " ", 
     "again", " ", "alias", " ", "X4", " ", "to", " ", "the", " ", 
     "interaction", " ", "of", " ", "X1"}], ",", "X2", ",", 
    RowBox[{"&", 
     RowBox[{"X3", ".", "\n", "This"}], " ", "time"}], ",", " ", 
    RowBox[{
     RowBox[{
     "we", " ", "customize", " ", "the", " ", "interaction", " ", "of", " ", 
      "the", " ", "2"}], "-", 
     RowBox[{
     "level", " ", "factors", " ", "involved", " ", "by", " ", "specifying", 
      " ", "the", "\n", "\"\<InteractionTable2x2\>\"", " ", 
      RowBox[{"option", ".", "  ", "We"}], " ", "assign", " ", "to", " ", 
      "the", " ", "\"\<InteractionTable2x2\>\"", " ", "option", " ", "our", 
      " ", "own", " ", "2", "x2", " ", "interaction", " ", 
      RowBox[{"table", "."}]}]}]}], "*)"}], "\n", 
  RowBox[{
   RowBox[{
    RowBox[{"my2x2InteractionTable", " ", "=", " ", "\n", 
     RowBox[{"{", "\n", 
      RowBox[{
       RowBox[{
        RowBox[{"{", 
         RowBox[{"1", ",", "1"}], "}"}], "\[Rule]", "2"}], ",", "\n", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"1", ",", "2"}], "}"}], "\[Rule]", "2"}], ",", "\n", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"2", ",", "1"}], "}"}], "\[Rule]", "1"}], ",", "\n", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"2", ",", "2"}], "}"}], "\[Rule]", "1"}]}], "\n", "}"}]}], 
    ";"}], "\n", 
   RowBox[{
    RowBox[{"factors1", "=", 
     RowBox[{"{", 
      RowBox[{
      "\"\<X1\>\"", ",", "\"\<X2\>\"", ",", "\"\<X3\>\"", ",", "\"\<X4\>\""}],
       "}"}]}], ";"}], "\n", 
   RowBox[{
    RowBox[{"levels1", "=", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"0.7", ",", "1.9"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"40", ",", "50"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"1.8", ",", "2.8"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"100", ",", "150"}], "}"}]}], "}"}]}], ";"}], "\n", 
   RowBox[{
    RowBox[{"confRules1", "=", 
     RowBox[{"{", 
      RowBox[{"\"\<X4\>\"", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{"\"\<X1\>\"", ",", "\"\<X2\>\"", ",", "\"\<X3\>\""}], "}"}]}],
       "}"}]}], ";"}], "\n", 
   RowBox[{
    RowBox[{"fractfactxdsn2", "=", 
     RowBox[{"doeFractional", "[", 
      RowBox[{"factors1", ",", "levels1", ",", 
       RowBox[{"\"\<RandomizeRuns\>\"", "\[Rule]", "False"}], ",", "\n", 
       RowBox[{"\"\<ConfoundingRules\>\"", "->", "confRules1"}], ",", "\n", 
       RowBox[{
       "\"\<InteractionTable2x2\>\"", "\[Rule]", "my2x2InteractionTable"}]}], 
      "]"}]}], ";"}], "\n", 
   RowBox[{"fractfactxdsn2", "[", 
    RowBox[{"[", "1", "]"}], "]"}], "\n", 
   RowBox[{
    RowBox[{"fractfactxdsn2", "[", 
     RowBox[{"[", "2", "]"}], "]"}], "//", "TableForm"}]}]}]], "Input",
 CellChangeTimes->{{3.80454841436906*^9, 3.804548479292248*^9}, {
   3.804548658760151*^9, 3.8045486677014956`*^9}, 3.804548764808414*^9, {
   3.80454896819323*^9, 3.804549096742082*^9}, {3.804549302329028*^9, 
   3.8045493034873276`*^9}, {3.8045493837067327`*^9, 3.804549388353863*^9}, {
   3.8045495737601957`*^9, 3.8045495764947314`*^9}, {3.8045496128227205`*^9, 
   3.8045496156975765`*^9}, {3.8045496866977463`*^9, 3.804549688556662*^9}, {
   3.80454972802224*^9, 
   3.804549734244071*^9}},ExpressionUUID->"4e04d8d0-e67a-4c7c-9724-\
a286f462d29d"],

Cell[BoxData[
 RowBox[{"\n", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{
        "Evaluate", " ", "the", " ", "doeFractional", " ", "function", " ", 
         "to", " ", "generate", " ", "a", " ", "fractional", " ", "factorial",
          " ", "design", " ", "for", " ", "6", " ", 
         RowBox[{"factors", ".", "\n", "X4"}], " ", "is", " ", "confounded", 
         " ", "with", " ", 
         RowBox[{"factors", ":", " ", "X1"}]}], " ", "&"}], " ", 
       RowBox[{"X2", ".", "\n", "X5"}], " ", "is", " ", "confounded", " ", 
       "with", " ", "X2"}], " ", "&"}], " ", 
     RowBox[{"X3", ".", "\n", "X6"}], " ", "is", " ", "confounded", " ", 
     "with", " ", "X1"}], ",", "X2", ",", "X3"}], "*)"}], "\n", 
  RowBox[{
   RowBox[{
    RowBox[{"factors1", "=", 
     RowBox[{"{", 
      RowBox[{
      "\"\<X1\>\"", ",", "\"\<X2\>\"", ",", "\"\<X3\>\"", ",", "\"\<X4\>\"", 
       ",", "\"\<X5\>\"", ",", "\"\<X6\>\""}], "}"}]}], ";"}], "\n", 
   RowBox[{
    RowBox[{"levels1", "=", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"0.7", ",", "1.9"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"40", ",", "50"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"1.8", ",", "2.8"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0.5", ",", "1.5"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"3", ",", "9"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"100", ",", "130"}], "}"}]}], "}"}]}], ";"}], "\n", 
   RowBox[{
    RowBox[{"confRules1", "=", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"\"\<X4\>\"", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{"\"\<X1\>\"", ",", "\"\<X2\>\""}], "}"}]}], ",", 
       RowBox[{"\"\<X5\>\"", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{"\"\<X2\>\"", ",", "\"\<X3\>\""}], "}"}]}], ",", 
       RowBox[{"\"\<X6\>\"", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{"\"\<X1\>\"", ",", "\"\<X2\>\"", ",", "\"\<X3\>\""}], 
         "}"}]}]}], "}"}]}], ";"}], "\n", 
   RowBox[{
    RowBox[{"fractfactxdsn", "=", 
     RowBox[{"doeFractional", "[", 
      RowBox[{"factors1", ",", "levels1", ",", 
       RowBox[{"\"\<RandomizeRuns\>\"", "\[Rule]", "False"}], ",", "\n", 
       RowBox[{"\"\<ConfoundingRules\>\"", "->", "confRules1"}]}], "]"}]}], 
    ";"}], "\n", 
   RowBox[{"fractfactxdsn", "[", 
    RowBox[{"[", "1", "]"}], "]"}], "\n", 
   RowBox[{
    RowBox[{"fractfactxdsn", "[", 
     RowBox[{"[", "2", "]"}], "]"}], "//", "TableForm"}]}]}]], "Input",
 CellChangeTimes->{{3.798640796388614*^9, 3.798640806747723*^9}, 
   3.798640886547521*^9, {3.7986409195777903`*^9, 3.798640930209505*^9}, {
   3.799096996194243*^9, 3.799097033619293*^9}, {3.7991240141173162`*^9, 
   3.799124014124315*^9}, {3.7999892262857695`*^9, 3.7999892712136707`*^9}, {
   3.801598419350704*^9, 3.801598503211428*^9}, {3.801846344926068*^9, 
   3.8018463649098825`*^9}, {3.801847285315471*^9, 3.801847293096498*^9}, {
   3.802230956818963*^9, 3.802231017221336*^9}, {3.802231050367243*^9, 
   3.802231060988152*^9}, {3.802231313676509*^9, 3.8022315238163643`*^9}, {
   3.8022318139409122`*^9, 3.802231816496729*^9}, 3.802232981759091*^9, {
   3.802887138532878*^9, 3.80288716558881*^9}, {3.804548512260357*^9, 
   3.8045485348851995`*^9}, {3.804548627446878*^9, 3.804548640369308*^9}, {
   3.9365502460116053`*^9, 
   3.936550249707036*^9}},ExpressionUUID->"7a281dac-95a1-409e-8c05-\
fb10b300112d"],

Cell[BoxData[
 StyleBox[
  RowBox[{"\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{
     RowBox[{
      RowBox[{"--", 
       RowBox[{"--", 
        RowBox[{"-", " ", 
         StyleBox[
          RowBox[{
           StyleBox[
            StyleBox[
             StyleBox[
              StyleBox["M", "Subsection",
               FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
              FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
             FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
            FontColor->RGBColor[0., 0.6823529411764706, 0.]], "ix", 
           StyleBox[
            StyleBox[
             StyleBox[
              StyleBox[
               StyleBox[
                StyleBox[
                 StyleBox["t", "Subsection",
                  FontColor->RGBColor[0., 0.6823529411764706, 0.]], 
                 "Subsection",
                 FontColor->RGBColor[0., 0.6823529411764706, 0.]], 
                "Subsection",
                FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
               FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
              FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
             FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
            FontColor->RGBColor[0., 0.6823529411764706, 0.]], "ur", 
           StyleBox[
            StyleBox[
             StyleBox[
              StyleBox[
               StyleBox[
                StyleBox[
                 StyleBox["e", "Subsection",
                  FontColor->RGBColor[0., 0.6823529411764706, 0.]], 
                 "Subsection",
                 FontColor->RGBColor[0., 0.6823529411764706, 0.]], 
                "Subsection",
                FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
               FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
              FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
             FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
            FontColor->RGBColor[0., 0.6823529411764706, 0.]]}]]}]}]}], 
      StyleBox[" ", "Subsection",
       FontColor->RGBColor[0., 0.6823529411764706, 0.]], 
      RowBox[{
       RowBox[{
        StyleBox[
         RowBox[{
          StyleBox[
           StyleBox[
            StyleBox[
             StyleBox[
              StyleBox[
               StyleBox[
                StyleBox[
                 StyleBox[
                  StyleBox["D", "Subsection",
                   FontColor->RGBColor[0., 0.6823529411764706, 0.]], 
                  "Subsection",
                  FontColor->RGBColor[0., 0.6823529411764706, 0.]], 
                 "Subsection",
                 FontColor->RGBColor[0., 0.6823529411764706, 0.]], 
                "Subsection",
                FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
               FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
              FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
             FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
            FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
           FontColor->RGBColor[0., 0.6823529411764706, 0.]], "es", 
          StyleBox[
           StyleBox[
            StyleBox[
             StyleBox[
              StyleBox["i", "Subsection",
               FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
              FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
             FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
            FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
           FontColor->RGBColor[0., 0.6823529411764706, 0.]], "gn", 
          StyleBox[
           StyleBox[
            StyleBox[
             StyleBox[
              StyleBox["s", "Subsection",
               FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
              FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
             FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
            FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
           FontColor->RGBColor[0., 0.6823529411764706, 0.]]}]], " ", "--"}], 
       "--"}]}], "-"}], "*)"}]}], "Subsection",
  FontColor->RGBColor[0., 0.6823529411764706, 0.]]], "Input",
 CellChangeTimes->{{3.7611963292526646`*^9, 3.76119633888396*^9}, {
   3.761276924270635*^9, 3.7612769297666917`*^9}, {3.763360704443454*^9, 
   3.763360709717205*^9}, 3.764439462495569*^9, {3.768660195710001*^9, 
   3.768660204877347*^9}, {3.799085170487949*^9, 3.7990851787636786`*^9}, {
   3.7990854315203915`*^9, 
   3.799085436971321*^9}},ExpressionUUID->"55bf1b53-235b-448b-9e94-\
ff6109adfe44"],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
   "Evaluate", " ", "the", " ", "doeMixture", " ", "function", " ", "to", " ",
     "generate", " ", "a", " ", "Simplex", " ", "Lattice", " ", "mixture", 
    " ", "design", " ", "for", " ", "3", " ", 
    RowBox[{"factors", "."}]}], "*)"}], "\n", 
  RowBox[{
   RowBox[{
    RowBox[{"factors1", "=", 
     RowBox[{"{", 
      RowBox[{"\"\<X1\>\"", ",", "\"\<X2\>\"", ",", "\"\<X3\>\""}], "}"}]}], 
    ";"}], "\n", 
   RowBox[{
    RowBox[{"mixtxdsn", "=", 
     RowBox[{"doeMixture", "[", 
      RowBox[{"factors1", ",", 
       RowBox[{"\"\<RandomizeRuns\>\"", "\[Rule]", "False"}], ",", "\n", 
       RowBox[{"\"\<PatternIsBarChart\>\"", "\[Rule]", "True"}]}], "]"}]}], 
    ";"}], "\n", 
   RowBox[{"mixtxdsn", "[", 
    RowBox[{"[", "1", "]"}], "]"}], "\n", 
   RowBox[{
    RowBox[{"mixtxdsn", "[", 
     RowBox[{"[", "2", "]"}], "]"}], "//", "TableForm"}]}]}]], "Input",
 CellChangeTimes->{{3.7986409820226717`*^9, 3.7986409962525587`*^9}, {
  3.7986411887801275`*^9, 3.798641212343443*^9}, {3.799097051604034*^9, 
  3.7990970795534678`*^9}, {3.799124014202263*^9, 3.7991240142102613`*^9}, {
  3.799124140222472*^9, 3.79912414675213*^9}, {3.801497652212899*^9, 
  3.801497659944137*^9}, {3.801497928279349*^9, 3.801497928513675*^9}, {
  3.801498002727493*^9, 3.8014980032961407`*^9}, {3.801598260126177*^9, 
  3.801598389997546*^9}, {3.802888893183839*^9, 3.802888893766483*^9}, {
  3.804354773313218*^9, 3.804354784157222*^9}, {3.80435500013596*^9, 
  3.804355013118832*^9}, {3.8043556067211447`*^9, 3.804355623376915*^9}},
 CellLabel->"In[62]:=",ExpressionUUID->"f47151da-99c5-48f9-8ba5-7d3bdc3d9e29"],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
   "Evaluate", " ", "the", " ", "doeMixture", " ", "function", " ", "to", " ",
     "generate", " ", "a", " ", "Simplex", " ", "Centroid", " ", "mixture", 
    " ", "design", " ", "for", " ", "4", " ", 
    RowBox[{"factors", "."}]}], "*)"}], "\n", 
  RowBox[{
   RowBox[{
    RowBox[{"factors1", "=", 
     RowBox[{"{", 
      RowBox[{
      "\"\<X1\>\"", ",", "\"\<X2\>\"", ",", "\"\<X3\>\"", ",", "\"\<X4\>\""}],
       "}"}]}], ";"}], "\n", 
   RowBox[{
    RowBox[{"mixtxdsn", "=", 
     RowBox[{"doeMixture", "[", 
      RowBox[{"factors1", ",", 
       RowBox[{"\"\<MixtureType\>\"", "\[Rule]", "\"\<SimplexCentroid\>\""}], 
       ",", "\n", 
       RowBox[{"\"\<RandomizeRuns\>\"", "\[Rule]", "False"}]}], "]"}]}], 
    ";"}], "\n", 
   RowBox[{"mixtxdsn", "[", 
    RowBox[{"[", "1", "]"}], "]"}], "\n", 
   RowBox[{
    RowBox[{"mixtxdsn", "[", 
     RowBox[{"[", "2", "]"}], "]"}], "//", "TableForm"}]}]}]], "Input",
 CellChangeTimes->{{3.804231131160841*^9, 3.804231161112995*^9}},
 CellLabel->"In[39]:=",ExpressionUUID->"7e9b509e-8ea0-47c8-91e6-4531438f9381"],

Cell[BoxData[
 StyleBox[
  RowBox[{"\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{
     RowBox[{
      RowBox[{"--", 
       RowBox[{"--", 
        RowBox[{"-", " ", 
         StyleBox[
          RowBox[{
           StyleBox["Or", "Subsection",
            FontColor->RGBColor[0., 0.6823529411764706, 0.]], "th", 
           StyleBox[
            StyleBox[
             StyleBox["o", "Subsection",
              FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
             FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
            FontColor->RGBColor[0., 0.6823529411764706, 0.]], "go", 
           StyleBox[
            StyleBox[
             StyleBox["n", "Subsection",
              FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
             FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
            FontColor->RGBColor[0., 0.6823529411764706, 0.]], "al"}]]}]}]}], 
      StyleBox[" ", "Subsection",
       FontColor->RGBColor[0., 0.6823529411764706, 0.]], 
      RowBox[{
       RowBox[{
        StyleBox[
         RowBox[{
          StyleBox[
           StyleBox[
            StyleBox[
             StyleBox["D", "Subsection",
              FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
             FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
            FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
           FontColor->RGBColor[0., 0.6823529411764706, 0.]], "es", 
          StyleBox[
           StyleBox[
            StyleBox[
             StyleBox[
              StyleBox[
               StyleBox["i", "Subsection",
                FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
               FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
              FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
             FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
            FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
           FontColor->RGBColor[0., 0.6823529411764706, 0.]], "gn", 
          StyleBox[
           StyleBox[
            StyleBox[
             StyleBox[
              StyleBox[
               StyleBox["s", "Subsection",
                FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
               FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
              FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
             FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
            FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
           FontColor->RGBColor[0., 0.6823529411764706, 0.]]}]], " ", "--"}], 
       "--"}]}], "-"}], "*)"}]}], "Subsection",
  FontColor->RGBColor[0., 0.6823529411764706, 0.]]], "Input",
 CellChangeTimes->{{3.7611963292526646`*^9, 3.76119633888396*^9}, {
   3.761276924270635*^9, 3.7612769297666917`*^9}, {3.763360704443454*^9, 
   3.763360709717205*^9}, 3.764439462495569*^9, {3.768660195710001*^9, 
   3.768660204877347*^9}, {3.799085170487949*^9, 3.7990851787636786`*^9}, {
   3.7990854067949305`*^9, 3.7990854163736973`*^9}, {3.800476248204665*^9, 
   3.8004762525687847`*^9}},ExpressionUUID->"009d2d6e-4275-4412-8718-\
cff3e764e098"],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
   "Evaluate", " ", "the", " ", "doeOrthogonal", " ", "function", " ", "to", 
    " ", "generate", " ", "a", " ", "design", " ", "for", " ", "4", " ", 
    "factors", " ", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{
       RowBox[{"each", " ", "of", " ", "which", " ", "is", " ", "2"}], "-", 
       "level"}], ")"}], ".", "\n", "The"}], " ", "column", " ", "vectors", 
    " ", "in", " ", "the", " ", "resulting", " ", "design", " ", "are", " ", 
    "balanced", " ", "and", " ", "mutually", " ", 
    RowBox[{"orthogonal", "."}]}], "*)"}], "\n", 
  RowBox[{
   RowBox[{
    RowBox[{"factors1", "=", 
     RowBox[{"{", 
      RowBox[{
      "\"\<X1\>\"", ",", "\"\<X2\>\"", ",", "\"\<X3\>\"", ",", "\"\<X4\>\""}],
       "}"}]}], ";"}], "\n", 
   RowBox[{
    RowBox[{"levels1", "=", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"0.7", ",", "1.9"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"40", ",", "50"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"1.8", ",", "2.8"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0.5", ",", "1.5"}], "}"}]}], "}"}]}], ";"}], "\n", 
   RowBox[{
    RowBox[{"orthogxdsn", "=", 
     RowBox[{"doeOrthogonal", "[", 
      RowBox[{"factors1", ",", "levels1", ",", 
       RowBox[{"\"\<RandomizeRuns\>\"", "\[Rule]", "False"}]}], "]"}]}], 
    ";"}], "\n", 
   RowBox[{"orthogxdsn", "[", 
    RowBox[{"[", "1", "]"}], "]"}], "\n", 
   RowBox[{
    RowBox[{"orthogxdsn", "[", 
     RowBox[{"[", "2", "]"}], "]"}], "//", "TableForm"}]}]}]], "Input",
 CellChangeTimes->{{3.798640796388614*^9, 3.798640806747723*^9}, 
   3.798640886547521*^9, {3.7986409195777903`*^9, 3.798640930209505*^9}, {
   3.799096996194243*^9, 3.799097033619293*^9}, {3.7991240141173162`*^9, 
   3.799124014124315*^9}, {3.7999892262857695`*^9, 3.7999892712136707`*^9}, {
   3.800476279405793*^9, 3.800476316581529*^9}, {3.801597550841186*^9, 
   3.801597676352723*^9}, 3.8028890609920535`*^9, {3.804388485060191*^9, 
   3.8043884868256617`*^9}, {3.9374747614815693`*^9, 3.937474770916292*^9}, {
   3.937535352792759*^9, 3.937535410127647*^9}, {3.937848396938919*^9, 
   3.93784841079391*^9}},ExpressionUUID->"d312d15e-8615-45c8-b597-\
25167677402b"],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
   "Evaluate", " ", "the", " ", "doeOrthogonal", " ", "function", " ", "to", 
    " ", "generate", " ", "a", " ", "design", " ", "for", " ", "4", " ", 
    "factors", " ", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{
       RowBox[{
       "the", " ", "first", " ", "two", " ", "factors", " ", "are", " ", 
        "2"}], "-", 
       RowBox[{
       "level", "\n", "and", " ", "the", " ", "last", " ", "two", " ", 
        "factors", " ", "are", " ", "3"}], "-", "level"}], ")"}], ".", "  ", 
     "The"}], " ", "column", " ", "vectors", " ", "in", " ", "the", " ", 
    "resulting", " ", "design", " ", "are", " ", "balanced", " ", "and", " ", 
    "mutually", "\n", 
    RowBox[{"orthogonal", "."}]}], "*)"}], "\n", 
  RowBox[{
   RowBox[{
    RowBox[{"factors1", "=", 
     RowBox[{"{", 
      RowBox[{
      "\"\<X1\>\"", ",", "\"\<X2\>\"", ",", "\"\<X3\>\"", ",", "\"\<X4\>\""}],
       "}"}]}], ";"}], "\n", 
   RowBox[{
    RowBox[{"levels1", "=", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"0.7", ",", "1.9"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"40", ",", "50"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"10.5", ",", "20.5", ",", "30.5"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"100", ",", "150", ",", "200"}], "}"}]}], "}"}]}], ";"}], 
   "\n", 
   RowBox[{
    RowBox[{"orthogxdsn", "=", 
     RowBox[{"doeOrthogonal", "[", 
      RowBox[{"factors1", ",", "levels1", ",", 
       RowBox[{"\"\<RandomizeRuns\>\"", "\[Rule]", "False"}]}], "]"}]}], 
    ";"}], "\n", 
   RowBox[{"orthogxdsn", "[", 
    RowBox[{"[", "1", "]"}], "]"}], "\n", 
   RowBox[{
    RowBox[{"orthogxdsn", "[", 
     RowBox[{"[", "2", "]"}], "]"}], "//", "TableForm"}]}]}]], "Input",
 CellChangeTimes->{{3.798640796388614*^9, 3.798640806747723*^9}, 
   3.798640886547521*^9, {3.7986409195777903`*^9, 3.798640930209505*^9}, {
   3.799096996194243*^9, 3.799097033619293*^9}, {3.7991240141173162`*^9, 
   3.799124014124315*^9}, {3.7999892262857695`*^9, 3.7999892712136707`*^9}, {
   3.800476279405793*^9, 3.800476316581529*^9}, {3.801597550841186*^9, 
   3.801597676352723*^9}, 3.8028890609920535`*^9, {3.804388445388139*^9, 
   3.8043885817285395`*^9}, {3.937474794818255*^9, 3.9374747993717422`*^9}, {
   3.9375354376103354`*^9, 3.937535475744389*^9}, {3.937848426065175*^9, 
   3.9378484350423822`*^9}},ExpressionUUID->"020ef2c6-bdeb-40dd-ab1b-\
05a4fc7d84b3"],

Cell[BoxData[
 StyleBox[
  RowBox[{"\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{
     RowBox[{
      RowBox[{"--", 
       RowBox[{"--", 
        RowBox[{"-", " ", 
         StyleBox[
          RowBox[{
           StyleBox[
            StyleBox[
             StyleBox[
              StyleBox["O", "Subsection",
               FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
              FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
             FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
            FontColor->RGBColor[0., 0.6823529411764706, 0.]], "pt", 
           StyleBox[
            StyleBox[
             StyleBox[
              StyleBox[
               StyleBox[
                StyleBox[
                 StyleBox["i", "Subsection",
                  FontColor->RGBColor[0., 0.6823529411764706, 0.]], 
                 "Subsection",
                 FontColor->RGBColor[0., 0.6823529411764706, 0.]], 
                "Subsection",
                FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
               FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
              FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
             FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
            FontColor->RGBColor[0., 0.6823529411764706, 0.]], "ma", 
           StyleBox[
            StyleBox[
             StyleBox[
              StyleBox[
               StyleBox[
                StyleBox[
                 StyleBox["l", "Subsection",
                  FontColor->RGBColor[0., 0.6823529411764706, 0.]], 
                 "Subsection",
                 FontColor->RGBColor[0., 0.6823529411764706, 0.]], 
                "Subsection",
                FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
               FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
              FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
             FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
            FontColor->RGBColor[0., 0.6823529411764706, 0.]]}]]}]}]}], 
      StyleBox[" ", "Subsection",
       FontColor->RGBColor[0., 0.6823529411764706, 0.]], 
      RowBox[{
       RowBox[{
        StyleBox[
         RowBox[{
          StyleBox[
           StyleBox[
            StyleBox[
             StyleBox[
              StyleBox[
               StyleBox[
                StyleBox[
                 StyleBox[
                  StyleBox["D", "Subsection",
                   FontColor->RGBColor[0., 0.6823529411764706, 0.]], 
                  "Subsection",
                  FontColor->RGBColor[0., 0.6823529411764706, 0.]], 
                 "Subsection",
                 FontColor->RGBColor[0., 0.6823529411764706, 0.]], 
                "Subsection",
                FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
               FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
              FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
             FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
            FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
           FontColor->RGBColor[0., 0.6823529411764706, 0.]], "es", 
          StyleBox[
           StyleBox[
            StyleBox[
             StyleBox[
              StyleBox["i", "Subsection",
               FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
              FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
             FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
            FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
           FontColor->RGBColor[0., 0.6823529411764706, 0.]], "gn", 
          StyleBox[
           StyleBox[
            StyleBox[
             StyleBox[
              StyleBox["s", "Subsection",
               FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
              FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
             FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
            FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
           FontColor->RGBColor[0., 0.6823529411764706, 0.]]}]], " ", "--"}], 
       "--"}]}], "-"}], "*)"}]}], "Subsection",
  FontColor->RGBColor[0., 0.6823529411764706, 0.]]], "Input",
 CellChangeTimes->{{3.7611963292526646`*^9, 3.76119633888396*^9}, {
   3.761276924270635*^9, 3.7612769297666917`*^9}, {3.763360704443454*^9, 
   3.763360709717205*^9}, 3.764439462495569*^9, {3.768660195710001*^9, 
   3.768660204877347*^9}, {3.799085170487949*^9, 3.7990851787636786`*^9}, {
   3.799085448346052*^9, 
   3.799085451484621*^9}},ExpressionUUID->"96a232e0-f881-423b-802f-\
70aebfbbfad7"],

Cell[TextData[StyleBox["(*We begin by evaluating the doeFactorial function to \
create a full factorial design data set.  We will then evaluate the \
doeOptimal function to select a subset of the runs from the factorial design \
that maximizes our optimality criterion.*)",
 FontColor->RGBColor[0, 0, 1]]], "Text",
 CellChangeTimes->{
  3.933336569960325*^9},ExpressionUUID->"9b0dd10f-d2ff-4c0d-8c84-\
8059d75852cb"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"factors1", "=", 
   RowBox[{"{", 
    RowBox[{
    "\"\<X1\>\"", ",", "\"\<X2\>\"", ",", "\"\<X3\>\"", ",", "\"\<X4\>\""}], 
    "}"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"levels1", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"0.7", ",", "1.7"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"40", ",", "60"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"1.8", ",", "2.8"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"100", ",", "150"}], "}"}]}], "}"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"fullfactxdsn", "=", 
   RowBox[{"doeFactorial", "[", 
    RowBox[{"factors1", ",", "levels1", ",", "\n", 
     RowBox[{"\"\<PatternColumn\>\"", "\[Rule]", "False"}], ",", "\n", 
     RowBox[{"\"\<RandomizeRuns\>\"", "\[Rule]", "False"}]}], "]"}]}], 
  ";"}], "\n", 
 RowBox[{"fullfactxdsn", "[", 
  RowBox[{"[", "1", "]"}], "]"}], "\n", 
 RowBox[{
  RowBox[{"fullfactxdsn", "[", 
   RowBox[{"[", "2", "]"}], "]"}], "//", "TableForm"}], "\n"}], "Input",
 CellChangeTimes->{{3.7986417305758653`*^9, 3.798641747090888*^9}, {
   3.798641788271642*^9, 3.798641817552061*^9}, {3.798641850566661*^9, 
   3.798641862597554*^9}, {3.798641899874439*^9, 3.7986419090304165`*^9}, {
   3.798642353871623*^9, 3.798642363511938*^9}, 3.7986425046092587`*^9, {
   3.7990971163371005`*^9, 3.799097162138941*^9}, {3.7991240142942057`*^9, 
   3.799124014302202*^9}, {3.8002997218961916`*^9, 3.800299734249245*^9}, 
   3.801497792498931*^9, {3.8015978402752085`*^9, 3.801598036136903*^9}, {
   3.801600734025309*^9, 3.801600737295266*^9}, {3.933336560413529*^9, 
   3.933336562274586*^9}},
 CellLabel->"In[7]:=",ExpressionUUID->"5c59f11c-64aa-4754-add4-c0e94cdfa967"],

Cell["\<\
(*Evaluate the doeOptimal function to generate a D-Optimal design of 10 runs \
selected from the runs contained in fullfactxdsn.
Use D-optimality criterion.*)\
\>", "Text",
 CellChangeTimes->{
  3.933336432136997*^9, {3.933336464950961*^9, 3.933336470387093*^9}},
 FontColor->RGBColor[
  0, 0, 1],ExpressionUUID->"f3cb719f-279f-4640-8581-c0355234ab85"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"nRuns1", "=", "10"}], ";"}], "\n", 
 RowBox[{
  RowBox[{"optimal10rxdsn", "=", 
   RowBox[{"doeOptimal", "[", 
    RowBox[{"fullfactxdsn", ",", "nRuns1", ",", 
     RowBox[{"\"\<RandomizeRuns\>\"", "\[Rule]", "False"}], ",", "\n", 
     RowBox[{"\"\<OptimalityCriterion\>\"", "\[Rule]", "\"\<D\>\""}]}], 
    "]"}]}], ";"}], "\n", 
 RowBox[{"optimal10rxdsn", "[", 
  RowBox[{"[", "1", "]"}], "]"}], "\n", 
 RowBox[{
  RowBox[{"optimal10rxdsn", "[", 
   RowBox[{"[", "2", "]"}], "]"}], "//", "TableForm"}]}], "Input",
 CellChangeTimes->{{3.798641270466665*^9, 3.798641288035914*^9}, 
   3.7986416797959247`*^9, {3.798641715513814*^9, 3.798641716232501*^9}, {
   3.798641925201763*^9, 3.798641954763399*^9}, {3.798642005038182*^9, 
   3.798642006553733*^9}, 3.7986422515414796`*^9, {3.798642292935901*^9, 
   3.79864230399811*^9}, 3.798642444972059*^9, {3.799097180532311*^9, 
   3.799097231136683*^9}, 3.799124014366166*^9, {3.7991241736637745`*^9, 
   3.799124273412417*^9}, 3.799124813677254*^9, {3.799125436732694*^9, 
   3.799125554347405*^9}, {3.801597720170462*^9, 3.801597810408614*^9}, 
   3.801598074836917*^9, 3.8015981159076023`*^9, {3.802888964166465*^9, 
   3.802888966429074*^9}, {3.933336295749712*^9, 3.933336326338076*^9}, {
   3.933336411106526*^9, 3.933336421676547*^9}, 3.933336479291385*^9, {
   3.933571472553706*^9, 3.933571505858841*^9}, {3.933573863319536*^9, 
   3.9335738637881393`*^9}, {3.9373653324590693`*^9, 3.937365340658801*^9}, {
   3.937367399505535*^9, 3.937367430327231*^9}, 3.9373699155311327`*^9, {
   3.937534792842792*^9, 3.937534898133645*^9}, {3.93753498931805*^9, 
   3.937535020314693*^9}, {3.9378484523766127`*^9, 3.937848458088004*^9}, {
   3.937849591056147*^9, 
   3.937849593081275*^9}},ExpressionUUID->"e01e2a33-0992-4878-8430-\
b5d3634216be"],

Cell["\<\
(*Evaluate the doeOptimal function to generate an optimal design of 10 runs \
selected from the runs contained in fullfactxdsn.
Use G-optimality criterion.*)\
\>", "Text",
 CellChangeTimes->{{3.8040493841819754`*^9, 3.804049422680819*^9}, {
  3.8040627772254715`*^9, 3.804062817033946*^9}, {3.804551434564907*^9, 
  3.8045514350412517`*^9}},
 FontColor->RGBColor[
  0, 0, 1],ExpressionUUID->"7134fce0-3c8c-477a-b272-4bffb29509c1"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"nRuns1", "=", "10"}], ";"}], "\n", 
 RowBox[{
  RowBox[{"optimal10rxdsn", "=", 
   RowBox[{"doeOptimal", "[", 
    RowBox[{"fullfactxdsn", ",", "nRuns1", ",", 
     RowBox[{"\"\<RandomizeRuns\>\"", "\[Rule]", "False"}], ",", "\n", 
     RowBox[{"\"\<OptimalityCriterion\>\"", "\[Rule]", "\"\<G\>\""}]}], 
    "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"optimal10rxdsn", "[", 
  RowBox[{"[", "1", "]"}], "]"}], "\n", 
 RowBox[{
  RowBox[{"optimal10rxdsn", "[", 
   RowBox[{"[", "2", "]"}], "]"}], "//", "TableForm"}]}], "Input",
 CellChangeTimes->{
  3.804049429662537*^9, 3.8040549601949267`*^9, 3.8040550023335238`*^9, 
   3.9333364848690863`*^9, {3.933336523960371*^9, 3.933336551137847*^9}, 
   3.933336593170882*^9, {3.937367565314108*^9, 3.937367565978964*^9}, {
   3.937535049956491*^9, 3.9375350951036777`*^9}, 3.937535236449263*^9, {
   3.937848469736004*^9, 
   3.93784848199734*^9}},ExpressionUUID->"e34b9601-a8f2-4574-bb20-\
d29c21b93b97"],

Cell["\<\
(*Evaluate the doeOptimal function to generate an optimal design of 10 runs \
selected from the runs contained in fullfactxdsn.
Use Coordinate Exchange method and D-optimality criterion (the default)*)\
\>", "Text",
 CellChangeTimes->{{3.8040493841819754`*^9, 3.804049422680819*^9}, {
  3.804062553939806*^9, 3.804062568142501*^9}, {3.8040628435758677`*^9, 
  3.804062873949878*^9}},
 FontColor->RGBColor[
  0, 0, 1],ExpressionUUID->"645055a1-9d0c-47e1-87b0-1442b7581c7f"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"nRuns1", "=", "10"}], ";"}], "\n", 
 RowBox[{
  RowBox[{"optimal10rxdsn", "=", 
   RowBox[{"doeOptimal", "[", 
    RowBox[{"fullfactxdsn", ",", "nRuns1", ",", 
     RowBox[{"\"\<RandomizeRuns\>\"", "\[Rule]", "False"}], ",", "\n", 
     RowBox[{"\"\<Method\>\"", "\[Rule]", "\"\<CoordinateExchange\>\""}]}], 
    "]"}]}], ";"}], "\n", 
 RowBox[{"optimal10rxdsn", "[", 
  RowBox[{"[", "1", "]"}], "]"}], "\n", 
 RowBox[{
  RowBox[{"optimal10rxdsn", "[", 
   RowBox[{"[", "2", "]"}], "]"}], "//", "TableForm"}]}], "Input",
 CellChangeTimes->{{3.804062589360589*^9, 3.804062609829766*^9}, 
   3.804062913572441*^9, 3.933336489735495*^9, {3.933336528460815*^9, 
   3.933336548403185*^9}, 3.933336596567703*^9, {3.937367602038425*^9, 
   3.937367602775508*^9}, {3.9375351232907457`*^9, 3.9375351244175673`*^9}, {
   3.937535157599519*^9, 3.937535179264948*^9}, 3.937535248132312*^9, {
   3.9378484884620132`*^9, 
   3.9378484987451143`*^9}},ExpressionUUID->"4a9c91bb-d61e-4772-9bd4-\
66a0de74528e"],

Cell["\<\
(*Evaluate the doeOptimal function to generate an optimal design of 10 runs \
selected from the runs contained in fullfactxdsn.
Use A-optimality criterion.
Specify NumIterations and StartingIndices options*)\
\>", "Text",
 CellChangeTimes->{{3.804063029557819*^9, 3.804063126917157*^9}, {
  3.804063410245229*^9, 3.804063429004679*^9}, {3.804063468987808*^9, 
  3.804063477628164*^9}},
 FontColor->RGBColor[
  0, 0, 1],ExpressionUUID->"161c9258-9f34-4dc1-9fe9-fa9e2a96890e"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"nRuns1", "=", "10"}], ";"}], "\n", 
 RowBox[{
  RowBox[{"optimal10rxdsn", "=", 
   RowBox[{"doeOptimal", "[", 
    RowBox[{"fullfactxdsn", ",", "nRuns1", ",", 
     RowBox[{"\"\<RandomizeRuns\>\"", "\[Rule]", "False"}], ",", "\n", 
     RowBox[{"\"\<OptimalityCriterion\>\"", "\[Rule]", "\"\<A\>\""}], ",", 
     "\n", 
     RowBox[{"\"\<Method\>\"", "\[Rule]", "\"\<CoordinateExchange\>\""}], ",",
      "\n", 
     RowBox[{"\"\<NumIterations\>\"", "\[Rule]", "8"}], ",", 
     RowBox[{"\"\<StartingIndices\>\"", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
       "1", ",", "3", ",", "5", ",", "6", ",", "7", ",", "9", ",", "11", ",", 
        "13", ",", "15", ",", "16"}], "}"}]}]}], "]"}]}], ";"}], "\n", 
 RowBox[{"optimal10rxdsn", "[", 
  RowBox[{"[", "1", "]"}], "]"}], "\n", 
 RowBox[{
  RowBox[{"optimal10rxdsn", "[", 
   RowBox[{"[", "2", "]"}], "]"}], "//", "TableForm"}]}], "Input",
 CellChangeTimes->{{3.80406313399502*^9, 3.804063168197119*^9}, {
   3.804063272746143*^9, 3.804063275761633*^9}, {3.804063440113708*^9, 
   3.804063448425949*^9}, {3.804063529268658*^9, 3.804063529924929*^9}, {
   3.804063571611086*^9, 3.8040635740485277`*^9}, {3.80406360468818*^9, 
   3.804063624882004*^9}, {3.804068821338815*^9, 3.804068919932583*^9}, 
   3.933336493975006*^9, {3.933336532436902*^9, 3.933336544114008*^9}, 
   3.933336598252853*^9, {3.937367629591488*^9, 3.937367630287857*^9}, {
   3.937535135145111*^9, 3.937535183739504*^9}, 3.9375352963949957`*^9, {
   3.937848510226939*^9, 
   3.9378485206482077`*^9}},ExpressionUUID->"64ca4b42-feca-4e66-8d34-\
468ec3265128"],

Cell["\<\
(*Evaluate the doeOptimal function to generate an optimal design of 10 runs \
selected from the runs contained in fullfactxdsn.
Use D-optimality criterion.
Specify Exhaustive Method*)\
\>", "Text",
 CellChangeTimes->{{3.804063029557819*^9, 3.804063126917157*^9}, {
   3.804063410245229*^9, 3.804063429004679*^9}, {3.804063468987808*^9, 
   3.804063477628164*^9}, {3.804069027850252*^9, 3.8040690420373096`*^9}, 
   3.933573926873475*^9},
 FontColor->RGBColor[
  0, 0, 1],ExpressionUUID->"9b46c05f-2988-489f-bf5e-ceadc3c7eebf"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"nRuns1", "=", "10"}], ";"}], "\n", 
 RowBox[{
  RowBox[{"optimal10rxdsn", "=", 
   RowBox[{"doeOptimal", "[", 
    RowBox[{"fullfactxdsn", ",", "nRuns1", ",", 
     RowBox[{"\"\<RandomizeRuns\>\"", "\[Rule]", "False"}], ",", "\n", 
     RowBox[{"\"\<OptimalityCriterion\>\"", "\[Rule]", "\"\<D\>\""}], ",", 
     "\n", 
     RowBox[{"\"\<Method\>\"", "\[Rule]", "\"\<Exhaustive\>\""}]}], "]"}]}], 
  ";"}], "\n", 
 RowBox[{"optimal10rxdsn", "[", 
  RowBox[{"[", "1", "]"}], "]"}], "\n", 
 RowBox[{
  RowBox[{"optimal10rxdsn", "[", 
   RowBox[{"[", "2", "]"}], "]"}], "//", "TableForm"}]}], "Input",
 CellChangeTimes->{{3.8040689859593344`*^9, 3.804069005005615*^9}, 
   3.933336498938794*^9, {3.933336535426411*^9, 3.933336540701046*^9}, 
   3.9333366012719393`*^9, {3.937367662006176*^9, 3.937367676408622*^9}, {
   3.937535143088484*^9, 3.937535150806991*^9}, {3.937535187395132*^9, 
   3.937535188005248*^9}, 3.9375353012881823`*^9, {3.9378485245541*^9, 
   3.937848534264542*^9}},ExpressionUUID->"b02f34ba-3ab9-46c4-91d5-\
43f3507cc5a1"],

Cell[BoxData[
 StyleBox[
  RowBox[{"\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{
     RowBox[{
      RowBox[{"--", 
       RowBox[{"--", 
        RowBox[{"-", " ", 
         StyleBox[
          RowBox[{
           StyleBox[
            StyleBox[
             StyleBox[
              StyleBox["A", "Subsection",
               FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
              FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
             FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
            FontColor->RGBColor[0., 0.6823529411764706, 0.]], "ug", 
           StyleBox[
            StyleBox[
             StyleBox[
              StyleBox[
               StyleBox[
                StyleBox[
                 StyleBox["m", "Subsection",
                  FontColor->RGBColor[0., 0.6823529411764706, 0.]], 
                 "Subsection",
                 FontColor->RGBColor[0., 0.6823529411764706, 0.]], 
                "Subsection",
                FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
               FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
              FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
             FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
            FontColor->RGBColor[0., 0.6823529411764706, 0.]], "en", 
           StyleBox[
            StyleBox[
             StyleBox[
              StyleBox[
               StyleBox[
                StyleBox[
                 StyleBox["t", "Subsection",
                  FontColor->RGBColor[0., 0.6823529411764706, 0.]], 
                 "Subsection",
                 FontColor->RGBColor[0., 0.6823529411764706, 0.]], 
                "Subsection",
                FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
               FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
              FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
             FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
            FontColor->RGBColor[0., 0.6823529411764706, 0.]], "in", 
           StyleBox[
            StyleBox[
             StyleBox[
              StyleBox[
               StyleBox[
                StyleBox[
                 StyleBox["g", "Subsection",
                  FontColor->RGBColor[0., 0.6823529411764706, 0.]], 
                 "Subsection",
                 FontColor->RGBColor[0., 0.6823529411764706, 0.]], 
                "Subsection",
                FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
               FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
              FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
             FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
            FontColor->RGBColor[0., 0.6823529411764706, 0.]]}]]}]}]}], 
      StyleBox[" ", "Subsection",
       FontColor->RGBColor[0., 0.6823529411764706, 0.]], 
      StyleBox[
       StyleBox[
        StyleBox[
         StyleBox[
          StyleBox[
           StyleBox[
            StyleBox[
             StyleBox[
              StyleBox["a", "Subsection",
               FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
              FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
             FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
            FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
           FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
          FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
         FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
        FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
       FontColor->RGBColor[0., 0.6823529411764706, 0.]], 
      StyleBox[" ", "Subsection",
       FontColor->RGBColor[0., 0.6823529411764706, 0.]], 
      RowBox[{
       RowBox[{
        StyleBox[
         RowBox[{
          StyleBox[
           StyleBox[
            StyleBox[
             StyleBox[
              StyleBox[
               StyleBox[
                StyleBox["D", "Subsection",
                 FontColor->RGBColor[0., 0.6823529411764706, 0.]], 
                "Subsection",
                FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
               FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
              FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
             FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
            FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
           FontColor->RGBColor[0., 0.6823529411764706, 0.]], "es", 
          StyleBox[
           StyleBox[
            StyleBox[
             StyleBox[
              StyleBox["i", "Subsection",
               FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
              FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
             FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
            FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
           FontColor->RGBColor[0., 0.6823529411764706, 0.]], "gn"}]], " ", 
        "--"}], "--"}]}], "-"}], "*)"}]}], "Subsection",
  FontColor->RGBColor[0., 0.6823529411764706, 0.]]], "Input",
 CellChangeTimes->{{3.7611963292526646`*^9, 3.76119633888396*^9}, {
   3.761276924270635*^9, 3.7612769297666917`*^9}, {3.763360704443454*^9, 
   3.763360709717205*^9}, 3.764439462495569*^9, {3.768660195710001*^9, 
   3.768660204877347*^9}, {3.799085170487949*^9, 3.7990851787636786`*^9}, {
   3.799085530860242*^9, 3.799085533497817*^9}, {3.799579473821085*^9, 
   3.79957948542837*^9}, {3.8015685258871346`*^9, 
   3.801568532559026*^9}},ExpressionUUID->"d18d68e6-8759-4e21-90c4-\
f7e4f03f4863"],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
   "Suppose", " ", "you", " ", "start", " ", "with", " ", "a", " ", "full", 
    " ", "factorial", " ", "design"}], "*)"}], "\n", 
  RowBox[{
   RowBox[{
    RowBox[{"fullfactxdsn", "=", 
     RowBox[{"doeFactorial", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"\"\<X1\>\"", ",", "\"\<X2\>\"", ",", "\"\<X3\>\""}], "}"}], 
       ",", "\n", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0.7", ",", "1.7"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"40", ",", "60"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"100", ",", "125"}], "}"}]}], "}"}], ",", 
       RowBox[{"\"\<RandomizeRuns\>\"", "\[Rule]", "False"}]}], "]"}]}], 
    ";"}], "\n", 
   RowBox[{"fullfactxdsn", "[", 
    RowBox[{"[", "1", "]"}], "]"}]}]}]], "Input",
 CellChangeTimes->{{3.801568718855643*^9, 3.8015687372305765`*^9}, {
   3.801569607958502*^9, 3.8015696167552366`*^9}, {3.802052330433327*^9, 
   3.802052344667295*^9}, {3.80205360787722*^9, 3.802053621566059*^9}, {
   3.80205397645916*^9, 3.802053983416249*^9}, 3.8028890944215183`*^9},
 CellLabel->
  "In[1576]:=",ExpressionUUID->"414ab67b-19b5-4024-9a5f-b5597cb164bd"],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
   "Use", " ", "the", " ", "doeAugment", " ", "function", " ", "to", " ", 
    "add", " ", "1", " ", "central", " ", "point", " ", "at", " ", "the", " ",
     "top", " ", "and", " ", "1", " ", "at", " ", "the", " ", 
    RowBox[{"bottom", "."}]}], "*)"}], "\n", 
  RowBox[{"xdsnAugmented", "=", 
   RowBox[{"doeAugment", "[", 
    RowBox[{"fullfactxdsn", ",", 
     RowBox[{"\"\<CentralPoints\>\"", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"\"\<Top\>\"", "\[Rule]", "1"}], ",", 
        RowBox[{"\"\<Bottom\>\"", "\[Rule]", "1"}]}], "}"}]}]}], 
    "]"}]}]}]], "Input",
 CellChangeTimes->{{3.8028391246139503`*^9, 3.802839144492676*^9}, {
   3.802840165586402*^9, 3.802840226773693*^9}, 3.802889120830292*^9},
 CellLabel->
  "In[1578]:=",ExpressionUUID->"a94b17d0-b32c-40cf-a13c-09c3daecc5fa"],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
   "continue", " ", "to", " ", "augment", " ", "the", " ", "design", " ", 
    "by", " ", "adding", " ", "1", " ", "central", " ", "point", " ", "at", 
    " ", "row", " ", "3."}], "*)"}], "\n", 
  RowBox[{
   RowBox[{
    RowBox[{"xdsnAugmented", " ", "=", " ", 
     RowBox[{"doeAugment", "[", 
      RowBox[{"xdsnAugmented", ",", 
       RowBox[{"\"\<CentralPoints\>\"", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{"3", "\[Rule]", "1"}], "}"}]}]}], "]"}]}], ";"}], "\n", 
   RowBox[{"xdsnAugmented", "[", 
    RowBox[{"[", "1", "]"}], "]"}]}]}]], "Input",
 CellChangeTimes->{{3.8015687506672945`*^9, 3.801568899131482*^9}, 
   3.801568935076324*^9, {3.8015689686183014`*^9, 3.801568987030711*^9}, {
   3.801569480640614*^9, 3.801569496815866*^9}, {3.801569629599319*^9, 
   3.801569633728778*^9}, {3.8015696725868273`*^9, 3.80157001194848*^9}, {
   3.801570048118383*^9, 3.8015700972470655`*^9}, 3.8015738451045895`*^9, {
   3.801573883501216*^9, 3.801574087583956*^9}, {3.8015741552996864`*^9, 
   3.801574250946691*^9}, {3.802488022286343*^9, 3.802488022290339*^9}, {
   3.8024968800764675`*^9, 3.802496889745259*^9}, {3.80288935380892*^9, 
   3.80288946561024*^9}},
 CellLabel->
  "In[1579]:=",ExpressionUUID->"c9069bef-6705-475a-8b7e-c7ce70dc7965"],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
   "continue", " ", "to", " ", "augment", " ", "the", " ", "design", " ", 
    "by", " ", "adding", " ", "replicates"}], "*)"}], "\n", 
  RowBox[{
   RowBox[{
    RowBox[{"xdsnAugmented", " ", "=", " ", 
     RowBox[{"doeAugment", "[", 
      RowBox[{"xdsnAugmented", ",", 
       RowBox[{"\"\<NumReplicates\>\"", "\[Rule]", "1"}]}], "]"}]}], ";"}], 
   "\n", 
   RowBox[{"xdsnAugmented", "[", 
    RowBox[{"[", "1", "]"}], "]"}]}]}]], "Input",
 CellChangeTimes->{{3.801569518937231*^9, 3.801569536884169*^9}, 
   3.802488022301337*^9, 3.802496902760195*^9, 3.802889243723765*^9, {
   3.802889497182842*^9, 3.8028895140569553`*^9}},
 CellLabel->
  "In[1583]:=",ExpressionUUID->"92f02159-808e-4211-a950-8947886264f1"],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
   "continue", " ", "to", " ", "augment", " ", "the", " ", "design", " ", 
    "by", " ", "adding", " ", "a", " ", "blocking", " ", "factor"}], "*)"}], 
  "\n", 
  RowBox[{
   RowBox[{
    RowBox[{"xdsnAugmented", " ", "=", " ", 
     RowBox[{"doeAugment", "[", 
      RowBox[{"xdsnAugmented", ",", "\n", 
       RowBox[{"\"\<Blocking\>\"", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{"\"\<Blocks\>\"", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{"\"\<A\>\"", ",", "\"\<B\>\""}], "}"}]}], "}"}]}]}], 
      "]"}]}], ";"}], "\n", 
   RowBox[{"xdsnAugmented", "[", 
    RowBox[{"[", "1", "]"}], "]"}]}]}]], "Input",
 CellChangeTimes->{{3.801569005818463*^9, 3.8015690700157347`*^9}, {
   3.801569152652298*^9, 3.801569159363162*^9}, {3.801569197110705*^9, 
   3.8015692004468164`*^9}, 3.80248802231133*^9, {3.802488238385917*^9, 
   3.802488240599025*^9}, 3.802496905548027*^9, {3.8028892017196264`*^9, 
   3.802889212038618*^9}, 3.802889271069747*^9, {3.802889522409825*^9, 
   3.8028895266122437`*^9}},
 CellLabel->
  "In[1585]:=",ExpressionUUID->"6eb859fd-c32d-4718-932f-448eff824525"],

Cell[BoxData[
 StyleBox[
  RowBox[{"\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{
     RowBox[{
      RowBox[{"--", 
       RowBox[{"--", 
        RowBox[{"-", " ", 
         StyleBox[
          RowBox[{"T", 
           StyleBox[
            StyleBox[
             StyleBox["a", "Subsection",
              FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
             FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
            FontColor->RGBColor[0., 0.6823529411764706, 0.]], "gu", 
           StyleBox[
            StyleBox[
             StyleBox["c", "Subsection",
              FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
             FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
            FontColor->RGBColor[0., 0.6823529411764706, 0.]], "hi"}]]}]}]}], 
      StyleBox[" ", "Subsection",
       FontColor->RGBColor[0., 0.6823529411764706, 0.]], 
      RowBox[{
       RowBox[{
        StyleBox[
         RowBox[{
          StyleBox[
           StyleBox[
            StyleBox[
             StyleBox[
              StyleBox[
               StyleBox[
                StyleBox["D", "Subsection",
                 FontColor->RGBColor[0., 0.6823529411764706, 0.]], 
                "Subsection",
                FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
               FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
              FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
             FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
            FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
           FontColor->RGBColor[0., 0.6823529411764706, 0.]], "es", 
          StyleBox[
           StyleBox[
            StyleBox[
             StyleBox[
              StyleBox["i", "Subsection",
               FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
              FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
             FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
            FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
           FontColor->RGBColor[0., 0.6823529411764706, 0.]], "gn", 
          StyleBox[
           StyleBox[
            StyleBox[
             StyleBox[
              StyleBox["s", "Subsection",
               FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
              FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
             FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
            FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
           FontColor->RGBColor[0., 0.6823529411764706, 0.]]}]], " ", "--"}], 
       "--"}]}], "-"}], "*)"}]}], "Subsection",
  FontColor->RGBColor[0., 0.6823529411764706, 0.]]], "Input",
 CellChangeTimes->{{3.7611963292526646`*^9, 3.76119633888396*^9}, {
   3.761276924270635*^9, 3.7612769297666917`*^9}, {3.763360704443454*^9, 
   3.763360709717205*^9}, 3.764439462495569*^9, {3.768660195710001*^9, 
   3.768660204877347*^9}, {3.799085170487949*^9, 3.7990851787636786`*^9}, {
   3.799085530860242*^9, 3.799085533497817*^9}, {3.799579473821085*^9, 
   3.79957948542837*^9}, {3.8015685258871346`*^9, 3.801568532559026*^9}, {
   3.8041258234065437`*^9, 
   3.8041258312031765`*^9}},ExpressionUUID->"5e5654f9-2c28-497f-95a3-\
4c81e8d56715"],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
    "Define", " ", "Taguchi", " ", "multiplication", " ", "table", " ", "for",
      " ", "2"}], "-", 
    RowBox[{"level", " ", "factor", " ", 
     RowBox[{"interaction", ".", "\n", "Define"}], " ", "lists", " ", "of", 
     " ", "factors", " ", "and", " ", 
     RowBox[{"levels", ".", "  ", "These"}], " ", "will", " ", "be", " ", 
     "used", " ", "in", " ", "the", " ", "examples", " ", 
     RowBox[{"below", "."}]}]}], "*)"}], "\n", 
  RowBox[{
   RowBox[{
    RowBox[{"tag2x2LevelMult", "=", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        RowBox[{"{", 
         RowBox[{"1", ",", "1"}], "}"}], "\[Rule]", "1"}], ",", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"1", ",", "2"}], "}"}], "\[Rule]", "2"}], ",", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"2", ",", "1"}], "}"}], "\[Rule]", "2"}], ",", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"2", ",", "2"}], "}"}], "\[Rule]", "1"}]}], "}"}]}], ";"}], 
   "\n", 
   RowBox[{
    RowBox[{"factors1", "=", 
     RowBox[{"{", 
      RowBox[{
      "\"\<X1\>\"", ",", "\"\<X2\>\"", ",", "\"\<X3\>\"", ",", "\"\<X4\>\"", 
       ",", "\"\<X5\>\"", ",", "\"\<X6\>\""}], "}"}]}], ";"}], "\n", 
   RowBox[{
    RowBox[{"levelsListAll2Level", "=", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"1.1", ",", "1.9"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"2.2", ",", "2.8"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"3.3", ",", "3.7"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"4.1", ",", "4.8"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"5.2", ",", "5.6"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"6.0", ",", "6.6"}], "}"}]}], "}"}]}], ";"}], 
   "\n"}]}]], "Input",
 CellChangeTimes->{{3.8041258554367537`*^9, 3.8041258554367537`*^9}, {
  3.804125950293169*^9, 3.8041259619022255`*^9}, {3.804126378205808*^9, 
  3.804126425641828*^9}},
 CellLabel->"In[6]:=",ExpressionUUID->"5c1899c4-da8e-41b9-bf21-8692819924e0"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"xdsn3factorsL4", "=", 
   RowBox[{"doeFractional", "[", 
    RowBox[{
     RowBox[{"factors1", "[", 
      RowBox[{"[", 
       RowBox[{"1", ";;", "3"}], "]"}], "]"}], ",", 
     RowBox[{"levelsListAll2Level", "[", 
      RowBox[{"[", 
       RowBox[{"1", ";;", "3"}], "]"}], "]"}], ",", 
     RowBox[{"\"\<ConfoundingRules\>\"", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"\"\<X3\>\"", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{"\"\<X1\>\"", ",", "\"\<X2\>\""}], "}"}]}], "}"}]}], ",", 
     RowBox[{"\"\<InteractionTable2x2\>\"", "\[Rule]", "tag2x2LevelMult"}]}], 
    "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"xdsn3factorsL4", "[", 
  RowBox[{"[", "1", "]"}], "]"}], "\n", 
 RowBox[{"xdsn3factorsL4", "[", 
  RowBox[{"[", "2", "]"}], "]"}]}], "Input",
 CellChangeTimes->{{3.80412594710577*^9, 3.80412594710577*^9}, {
  3.8041264380008583`*^9, 3.8041264792751284`*^9}, {3.804126527258004*^9, 
  3.804126531132928*^9}},
 CellLabel->"In[14]:=",ExpressionUUID->"d832e0ca-7bf9-4349-8c4d-ef544df82a66"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"xdsn4factorsL8", "=", 
   RowBox[{"doeFractional", "[", 
    RowBox[{
     RowBox[{"factors1", "[", 
      RowBox[{"[", 
       RowBox[{"1", ";;", "4"}], "]"}], "]"}], ",", 
     RowBox[{"levelsListAll2Level", "[", 
      RowBox[{"[", 
       RowBox[{"1", ";;", "4"}], "]"}], "]"}], ",", 
     RowBox[{"\"\<ConfoundingRules\>\"", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"\"\<X4\>\"", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{"\"\<X1\>\"", ",", "\"\<X2\>\"", ",", "\"\<X3\>\""}], 
         "}"}]}], "}"}]}], ",", 
     RowBox[{"\"\<InteractionTable2x2\>\"", "\[Rule]", "tag2x2LevelMult"}]}], 
    "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"xdsn4factorsL8", "[", 
  RowBox[{"[", "1", "]"}], "]"}], "\n", 
 RowBox[{"xdsn4factorsL8", "[", 
  RowBox[{"[", "2", "]"}], "]"}]}], "Input",
 CellChangeTimes->{{3.804126501790054*^9, 3.804126518602028*^9}, {
  3.8041265971933236`*^9, 3.804126599130808*^9}},
 CellLabel->"In[20]:=",ExpressionUUID->"8fedae24-96e2-4a7e-a9ab-42c4f61f4ac9"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"xdsn5factorsL8", "=", 
   RowBox[{"doeFractional", "[", 
    RowBox[{
     RowBox[{"factors1", "[", 
      RowBox[{"[", 
       RowBox[{"1", ";;", "5"}], "]"}], "]"}], ",", 
     RowBox[{"levelsListAll2Level", "[", 
      RowBox[{"[", 
       RowBox[{"1", ";;", "5"}], "]"}], "]"}], ",", 
     RowBox[{"\"\<ConfoundingRules\>\"", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"\"\<X4\>\"", "\[Rule]", 
         RowBox[{"{", 
          RowBox[{"\"\<X1\>\"", ",", "\"\<X2\>\""}], "}"}]}], ",", 
        RowBox[{"\"\<X5\>\"", "\[Rule]", 
         RowBox[{"{", 
          RowBox[{"\"\<X1\>\"", ",", "\"\<X3\>\""}], "}"}]}]}], "}"}]}], ",", 
     RowBox[{"\"\<InteractionTable2x2\>\"", "\[Rule]", "tag2x2LevelMult"}]}], 
    "]"}]}], ";"}], "\n", 
 RowBox[{"xdsn5factorsL8", "[", 
  RowBox[{"[", "1", "]"}], "]"}], "\n", 
 RowBox[{"xdsn5factorsL8", "[", 
  RowBox[{"[", "2", "]"}], "]"}]}], "Input",
 CellChangeTimes->{{3.8041266186301556`*^9, 3.8041266330984707`*^9}},
 CellLabel->"In[23]:=",ExpressionUUID->"2e8020c9-ea58-4c4d-b1dd-4e1ce984132a"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"xdsn5factorsL16", "=", 
   RowBox[{"doeFractional", "[", 
    RowBox[{
     RowBox[{"factors1", "[", 
      RowBox[{"[", 
       RowBox[{"1", ";;", "5"}], "]"}], "]"}], ",", 
     RowBox[{"levelsListAll2Level", "[", 
      RowBox[{"[", 
       RowBox[{"1", ";;", "5"}], "]"}], "]"}], ",", 
     RowBox[{"\"\<ConfoundingRules\>\"", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"\"\<X5\>\"", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{
         "\"\<X1\>\"", ",", "\"\<X2\>\"", ",", "\"\<X3\>\"", ",", 
          "\"\<X4\>\""}], "}"}]}], "}"}]}], ",", 
     RowBox[{"\"\<InteractionTable2x2\>\"", "\[Rule]", "tag2x2LevelMult"}]}], 
    "]"}]}], ";"}], "\n", 
 RowBox[{"xdsn5factorsL16", "[", 
  RowBox[{"[", "1", "]"}], "]"}], "\n", 
 RowBox[{"xdsn5factorsL16", "[", 
  RowBox[{"[", "2", "]"}], "]"}]}], "Input",
 CellChangeTimes->{{3.8041266788157787`*^9, 3.804126692862234*^9}},
 CellLabel->"In[26]:=",ExpressionUUID->"ccf01137-8406-4235-b452-a7310a88aa75"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"xdsn6factorsL8", "=", 
   RowBox[{"doeFractional", "[", 
    RowBox[{
     RowBox[{"factors1", "[", 
      RowBox[{"[", 
       RowBox[{"1", ";;", "6"}], "]"}], "]"}], ",", 
     RowBox[{"levelsListAll2Level", "[", 
      RowBox[{"[", 
       RowBox[{"1", ";;", "6"}], "]"}], "]"}], ",", 
     RowBox[{"\"\<ConfoundingRules\>\"", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"\"\<X4\>\"", "\[Rule]", 
         RowBox[{"{", 
          RowBox[{"\"\<X1\>\"", ",", "\"\<X2\>\""}], "}"}]}], ",", 
        RowBox[{"\"\<X5\>\"", "\[Rule]", 
         RowBox[{"{", 
          RowBox[{"\"\<X1\>\"", ",", "\"\<X3\>\""}], "}"}]}], ",", 
        RowBox[{"\"\<X6\>\"", "\[Rule]", 
         RowBox[{"{", 
          RowBox[{"\"\<X2\>\"", ",", "\"\<X3\>\""}], "}"}]}]}], "}"}]}], ",", 
     "\n", 
     RowBox[{"\"\<InteractionTable2x2\>\"", "\[Rule]", "tag2x2LevelMult"}]}], 
    "]"}]}], ";"}], "\n", 
 RowBox[{"xdsn6factorsL8", "[", 
  RowBox[{"[", "1", "]"}], "]"}], "\n", 
 RowBox[{"xdsn6factorsL8", "[", 
  RowBox[{"[", "2", "]"}], "]"}]}], "Input",
 CellChangeTimes->{{3.804126711752256*^9, 3.8041267299861045`*^9}},
 CellLabel->"In[29]:=",ExpressionUUID->"ad55d693-e7d0-4586-92dd-2b2d6000a3a6"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"xdsn6factorsL16", "=", 
   RowBox[{"doeFractional", "[", 
    RowBox[{
     RowBox[{"factors1", "[", 
      RowBox[{"[", 
       RowBox[{"1", ";;", "6"}], "]"}], "]"}], ",", 
     RowBox[{"levelsListAll2Level", "[", 
      RowBox[{"[", 
       RowBox[{"1", ";;", "6"}], "]"}], "]"}], ",", 
     RowBox[{"\"\<ConfoundingRules\>\"", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"\"\<X5\>\"", "\[Rule]", 
         RowBox[{"{", 
          RowBox[{"\"\<X1\>\"", ",", "\"\<X3\>\"", ",", "\"\<X4\>\""}], 
          "}"}]}], ",", 
        RowBox[{"\"\<X6\>\"", "\[Rule]", 
         RowBox[{"{", 
          RowBox[{"\"\<X2\>\"", ",", "\"\<X3\>\"", ",", "\"\<X4\>\""}], 
          "}"}]}]}], "}"}]}], ",", "\n", 
     RowBox[{"\"\<InteractionTable2x2\>\"", "\[Rule]", "tag2x2LevelMult"}]}], 
    "]"}]}], ";"}], "\n", 
 RowBox[{"xdsn6factorsL16", "[", 
  RowBox[{"[", "1", "]"}], "]"}], "\n", 
 RowBox[{"xdsn6factorsL16", "[", 
  RowBox[{"[", "2", "]"}], "]"}], "\n"}], "Input",
 CellChangeTimes->{{3.8041267632037745`*^9, 3.804126780156371*^9}},
 CellLabel->"In[32]:=",ExpressionUUID->"cb36e471-5741-4883-9f83-860021c89224"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"xdsn6factorsL32", "=", 
   RowBox[{"doeFractional", "[", 
    RowBox[{
     RowBox[{"factors1", "[", 
      RowBox[{"[", 
       RowBox[{"1", ";;", "6"}], "]"}], "]"}], ",", 
     RowBox[{"levelsListAll2Level", "[", 
      RowBox[{"[", 
       RowBox[{"1", ";;", "6"}], "]"}], "]"}], ",", 
     RowBox[{"\"\<ConfoundingRules\>\"", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"\"\<X6\>\"", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{
         "\"\<X1\>\"", ",", "\"\<X2\>\"", ",", "\"\<X3\>\"", ",", 
          "\"\<X4\>\"", ",", "\"\<X5\>\""}], "}"}]}], "}"}]}], ",", "\n", 
     RowBox[{"\"\<InteractionTable2x2\>\"", "\[Rule]", "tag2x2LevelMult"}]}], 
    "]"}]}], ";"}], "\n", 
 RowBox[{"xdsn6factorsL32", "[", 
  RowBox[{"[", "1", "]"}], "]"}], "\n", 
 RowBox[{"xdsn6factorsL32", "[", 
  RowBox[{"[", "2", "]"}], "]"}]}], "Input",
 CellChangeTimes->{{3.804126804858728*^9, 3.804126820467657*^9}},
 CellLabel->"In[35]:=",ExpressionUUID->"40a3094a-aab5-48bb-a9f8-0b42b200f2ac"],

Cell[BoxData[
 StyleBox[
  RowBox[{"\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{
     RowBox[{
      RowBox[{"--", 
       RowBox[{"--", 
        RowBox[{"-", 
         StyleBox[
          StyleBox[
           StyleBox[
            StyleBox[
             StyleBox[
              StyleBox[" ", "Subsection",
               FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
              FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
             FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
            FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
           FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
          FontColor->RGBColor[0., 0.6823529411764706, 0.]], 
         StyleBox[
          RowBox[{
           StyleBox[
            StyleBox[
             StyleBox[
              StyleBox[
               StyleBox[
                StyleBox[
                 StyleBox[
                  StyleBox["O", "Subsection",
                   FontColor->RGBColor[0., 0.6823529411764706, 0.]], 
                  "Subsection",
                  FontColor->RGBColor[0., 0.6823529411764706, 0.]], 
                 "Subsection",
                 FontColor->RGBColor[0., 0.6823529411764706, 0.]], 
                "Subsection",
                FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
               FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
              FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
             FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
            FontColor->RGBColor[0., 0.6823529411764706, 0.]], "bt", 
           StyleBox[
            StyleBox[
             StyleBox["a", "Subsection",
              FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
             FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
            FontColor->RGBColor[0., 0.6823529411764706, 0.]], "in", 
           StyleBox[
            StyleBox[
             StyleBox["i", "Subsection",
              FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
             FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
            FontColor->RGBColor[0., 0.6823529411764706, 0.]], "ng"}]]}]}]}], 
      " ", 
      StyleBox[
       RowBox[{
        StyleBox[
         StyleBox[
          StyleBox[
           StyleBox[
            StyleBox[
             StyleBox[
              StyleBox["V", "Subsection",
               FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
              FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
             FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
            FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
           FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
          FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
         FontColor->RGBColor[0., 0.6823529411764706, 0.]], "er", 
        StyleBox[
         StyleBox[
          StyleBox[
           StyleBox[
            StyleBox["s", "Subsection",
             FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
            FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
           FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
          FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
         FontColor->RGBColor[0., 0.6823529411764706, 0.]], "i", 
        StyleBox[
         StyleBox[
          StyleBox[
           StyleBox[
            StyleBox["o", "Subsection",
             FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
            FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
           FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
          FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
         FontColor->RGBColor[0., 0.6823529411764706, 0.]], 
        StyleBox[
         StyleBox[
          StyleBox[
           StyleBox[
            StyleBox[
             StyleBox["n", "Subsection",
              FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
             FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
            FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
           FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
          FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
         FontColor->RGBColor[0., 0.6823529411764706, 0.]]}]], 
      StyleBox[" ", "Subsection",
       FontColor->RGBColor[0., 0.6823529411764706, 0.]], 
      RowBox[{
       RowBox[{
        StyleBox[
         RowBox[{
          StyleBox[
           StyleBox[
            StyleBox[
             StyleBox[
              StyleBox[
               StyleBox[
                StyleBox["I", "Subsection",
                 FontColor->RGBColor[0., 0.6823529411764706, 0.]], 
                "Subsection",
                FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
               FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
              FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
             FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
            FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
           FontColor->RGBColor[0., 0.6823529411764706, 0.]], "nf", 
          StyleBox[
           StyleBox[
            StyleBox[
             StyleBox[
              StyleBox["o", "Subsection",
               FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
              FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
             FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
            FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
           FontColor->RGBColor[0., 0.6823529411764706, 0.]], "rm", 
          StyleBox[
           StyleBox[
            StyleBox[
             StyleBox[
              StyleBox["a", "Subsection",
               FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
              FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
             FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
            FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
           FontColor->RGBColor[0., 0.6823529411764706, 0.]], "ti", 
          StyleBox[
           StyleBox[
            StyleBox[
             StyleBox[
              StyleBox["o", "Subsection",
               FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
              FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
             FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
            FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
           FontColor->RGBColor[0., 0.6823529411764706, 0.]], 
          StyleBox[
           StyleBox[
            StyleBox[
             StyleBox[
              StyleBox[
               StyleBox["n", "Subsection",
                FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
               FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
              FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
             FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
            FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
           FontColor->RGBColor[0., 0.6823529411764706, 0.]]}]], " ", "--"}], 
       "--"}]}], "-"}], "*)"}]}], "Subsection",
  FontColor->RGBColor[0., 0.6823529411764706, 0.]]], "Input",
 CellChangeTimes->{{3.7611963292526646`*^9, 3.76119633888396*^9}, {
   3.761276924270635*^9, 3.7612769297666917`*^9}, {3.763360704443454*^9, 
   3.763360709717205*^9}, 3.764439462495569*^9, {3.768660195710001*^9, 
   3.768660204877347*^9}, {3.799085170487949*^9, 3.7990851787636786`*^9}, {
   3.799085530860242*^9, 3.799085533497817*^9}, {3.799579473821085*^9, 
   3.79957948542837*^9}, {3.804127533199027*^9, 3.804127550901562*^9}, 
   3.930389583825555*^9},ExpressionUUID->"9d98aec9-b14b-4b84-8f10-\
034ed60c3f2c"],

Cell["\<\
(*You can always determine which version of the DOE Toolkit you are running \
in your notebook by evaluating
the doeToolkitVersion function:*)\
\>", "Text",
 CellChangeTimes->{{3.804127575940592*^9, 3.804127575956215*^9}, {
   3.8041278947744412`*^9, 3.804127937226242*^9}, 3.804127980146736*^9, {
   3.8041280595528555`*^9, 3.804128060615323*^9}},
 FontColor->RGBColor[
  0, 0, 1],ExpressionUUID->"202df4e6-08fb-42b0-95c4-81ba61962142"],

Cell[BoxData[
 RowBox[{"doeToolkitVersion", "[", "]"}]], "Input",
 CellChangeTimes->{{3.804128063240224*^9, 3.804128063240224*^9}},
 CellLabel->"In[46]:=",ExpressionUUID->"51a21e43-acff-4940-80b2-2f612dec42a4"],

Cell[BoxData[
 StyleBox[
  RowBox[{"\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{
     RowBox[{
      RowBox[{"--", 
       RowBox[{"--", 
        RowBox[{"-", " ", 
         StyleBox[
          RowBox[{
           StyleBox["De", "Subsection",
            FontColor->RGBColor[0., 0.6823529411764706, 0.]], "si", 
           StyleBox[
            StyleBox[
             StyleBox[
              StyleBox[
               StyleBox[
                StyleBox[
                 StyleBox["r", "Subsection",
                  FontColor->RGBColor[0., 0.6823529411764706, 0.]], 
                 "Subsection",
                 FontColor->RGBColor[0., 0.6823529411764706, 0.]], 
                "Subsection",
                FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
               FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
              FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
             FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
            FontColor->RGBColor[0., 0.6823529411764706, 0.]], "ab", 
           StyleBox[
            StyleBox[
             StyleBox[
              StyleBox[
               StyleBox[
                StyleBox[
                 StyleBox["i", "Subsection",
                  FontColor->RGBColor[0., 0.6823529411764706, 0.]], 
                 "Subsection",
                 FontColor->RGBColor[0., 0.6823529411764706, 0.]], 
                "Subsection",
                FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
               FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
              FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
             FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
            FontColor->RGBColor[0., 0.6823529411764706, 0.]], "li", 
           StyleBox[
            StyleBox[
             StyleBox[
              StyleBox[
               StyleBox[
                StyleBox[
                 StyleBox["t", "Subsection",
                  FontColor->RGBColor[0., 0.6823529411764706, 0.]], 
                 "Subsection",
                 FontColor->RGBColor[0., 0.6823529411764706, 0.]], 
                "Subsection",
                FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
               FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
              FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
             FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
            FontColor->RGBColor[0., 0.6823529411764706, 0.]], "y"}]]}]}]}], 
      StyleBox[" ", "Subsection",
       FontColor->RGBColor[0., 0.6823529411764706, 0.]], 
      RowBox[{
       RowBox[{
        RowBox[{
         StyleBox[
          RowBox[{"M", 
           StyleBox[
            StyleBox[
             StyleBox[
              StyleBox[
               StyleBox[
                StyleBox[
                 StyleBox["a", "Subsection",
                  FontColor->RGBColor[0., 0.6823529411764706, 0.]], 
                 "Subsection",
                 FontColor->RGBColor[0., 0.6823529411764706, 0.]], 
                "Subsection",
                FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
               FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
              FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
             FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
            FontColor->RGBColor[0., 0.6823529411764706, 0.]], "ni", 
           StyleBox[
            StyleBox[
             StyleBox[
              StyleBox[
               StyleBox[
                StyleBox[
                 StyleBox["p", "Subsection",
                  FontColor->RGBColor[0., 0.6823529411764706, 0.]], 
                 "Subsection",
                 FontColor->RGBColor[0., 0.6823529411764706, 0.]], 
                "Subsection",
                FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
               FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
              FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
             FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
            FontColor->RGBColor[0., 0.6823529411764706, 0.]], "ul", 
           StyleBox[
            StyleBox[
             StyleBox[
              StyleBox[
               StyleBox[
                StyleBox[
                 StyleBox["a", "Subsection",
                  FontColor->RGBColor[0., 0.6823529411764706, 0.]], 
                 "Subsection",
                 FontColor->RGBColor[0., 0.6823529411764706, 0.]], 
                "Subsection",
                FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
               FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
              FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
             FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
            FontColor->RGBColor[0., 0.6823529411764706, 0.]], "to"}]], 
         StyleBox[
          StyleBox[
           StyleBox[
            StyleBox[
             StyleBox[
              StyleBox[
               StyleBox["r", "Subsection",
                FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
               FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
              FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
             FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
            FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
           FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
          FontColor->RGBColor[0., 0.6823529411764706, 0.]]}], " ", "--"}], 
       "--"}]}], "-"}], "*)"}]}], "Subsection",
  FontColor->RGBColor[0., 0.6823529411764706, 0.]]], "Input",
 CellChangeTimes->{{3.7611963292526646`*^9, 3.76119633888396*^9}, {
   3.761276924270635*^9, 3.7612769297666917`*^9}, {3.763360704443454*^9, 
   3.763360709717205*^9}, 3.764439462495569*^9, {3.768660195710001*^9, 
   3.768660204877347*^9}, {3.799085170487949*^9, 3.7990851787636786`*^9}, {
   3.799085530860242*^9, 3.799085533497817*^9}, {3.799579473821085*^9, 
   3.79957948542837*^9}},ExpressionUUID->"f7e7d1a5-3d24-4adc-896d-\
be452cd9a8f2"],

Cell[TextData[StyleBox["(*\nThis section illustrates how to use the \
doeDesirability function.  We construct a model based on the example\n\
provided by Derringer and Suich[1].\n\n In the D&S model, there are 4 \
responses: {abrasion, modulus, elong, and hardness}, each of which is a\n \
function of the same 3 independent variables (aka factors): {silica, silane, \
and sulfur}.  The goal is to\n find a combination of settings for the 3 \
independent variables that will maximize the overall desirability\n of the 4 \
associated responses and to explore the desirability of alternate factor \
settings.\n\n The original D&S experiment was conducted using a central \
composite design.\n \
------------------------------------------------------------------------------\
--------------------------\n [1] George Derringer & Ronald Suich (1980) \
Simultaneous Optimization of Several  Response Variables,\n Journal of \
Quality Technology, 12:4, 214-219,  DOI: 10.1080/00224065.1980.11980968\n*)",
 FontColor->RGBColor[0, 0, 1]]], "Text",
 CellChangeTimes->{{3.799165999178585*^9, 3.799166217274932*^9}, {
   3.7991683594025354`*^9, 3.799168361772044*^9}, {3.799168929252871*^9, 
   3.799168964108407*^9}, {3.799169038640168*^9, 3.799169235822676*^9}, {
   3.799169315097959*^9, 3.799169343624994*^9}, {3.799170498442746*^9, 
   3.799170500799791*^9}, 3.7995794338696127`*^9, {3.7995799668688583`*^9, 
   3.799579980101688*^9}, {3.79958366859212*^9, 3.799583721170135*^9}, {
   3.799583858675006*^9, 3.799583869344908*^9}, {3.802838347679761*^9, 
   3.8028383874474297`*^9}, {3.8030091468997946`*^9, 
   3.803009158554634*^9}},ExpressionUUID->"fe3f9cf5-7670-4eaa-8355-\
ba48a3cd212b"],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{"First", ",", " ", 
    RowBox[{
     RowBox[{
      RowBox[{
      "we", " ", "define", " ", "lists", " ", "for", " ", "the", " ", "names",
        " ", "of", " ", "the", " ", "factors", " ", "and", " ", "their", " ", 
       "levels", " ", "in", " ", "the", " ", "D"}], "&"}], "S", " ", 
     RowBox[{"experiment", "."}]}]}], "*)"}], "\n", 
  RowBox[{
   RowBox[{
    RowBox[{"factorNames", "=", 
     RowBox[{"{", 
      RowBox[{
      "\"\<Silica\>\"", ",", "\"\<Silane\>\"", ",", "\"\<Sulfur\>\""}], 
      "}"}]}], ";"}], "\n", 
   RowBox[{
    RowBox[{"silicaLevels", "=", 
     RowBox[{"{", 
      RowBox[{"0.7", ",", "1.7"}], "}"}]}], ";"}], "\n", 
   RowBox[{
    RowBox[{"silaneLevels", "=", 
     RowBox[{"{", 
      RowBox[{"40", ",", "60"}], "}"}]}], ";"}], "\n", 
   RowBox[{
    RowBox[{"sulfurLevels", "=", 
     RowBox[{"{", 
      RowBox[{"1.8", ",", "2.8"}], "}"}]}], ";"}], "\n", 
   RowBox[{
    RowBox[{"factorLevelLists", "=", 
     RowBox[{"{", 
      RowBox[{"silicaLevels", ",", "silaneLevels", ",", "sulfurLevels"}], 
      "}"}]}], ";"}]}]}]], "Input",
 CellChangeTimes->{{3.799164371699821*^9, 3.7991644361431227`*^9}, {
   3.7991644803182545`*^9, 3.799164575061738*^9}, {3.799168565001129*^9, 
   3.799168596384451*^9}, {3.799582099549158*^9, 3.799582103208881*^9}, 
   3.799582139891558*^9, {3.799583728650996*^9, 3.7995837989699097`*^9}, {
   3.802840465352242*^9, 3.802840478445405*^9}, {3.802841189087042*^9, 
   3.802841197832691*^9}, 3.803184030520056*^9},
 CellLabel->"In[7]:=",ExpressionUUID->"b854de45-ffb4-4834-84dd-1ad4688533f8"],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{"Next", ",", " ", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{
       "we", " ", "evaluate", " ", "the", " ", "doeCentralComposite", " ", 
        "function", " ", "to", " ", "generate", " ", "an", " ", 
        "experimental", "\n", "design", " ", "for", " ", "the", " ", 
        "factors", " ", "and", " ", "levels", " ", "in", " ", "the", " ", 
        "D"}], "&"}], "S", " ", 
      RowBox[{"experiment", ".", "  ", "The"}], " ", "Dataset", " ", 
      "component", " ", "of", "\n", "the", " ", "2"}], "-", 
     RowBox[{
     "part", " ", "list", " ", "returned", " ", "by", " ", "the", " ", 
      "doeCentralComposite", " ", "function", " ", "will", " ", "serve", " ", 
      "as", " ", "the", "\n", "source", " ", "of", " ", "various", " ", 
      "input", " ", "parameters", " ", "to", " ", "the", " ", 
      "doeDesirability", " ", 
      RowBox[{"function", ".", "\n", "Note"}], " ", "that", " ", "we", " ", 
      "set", " ", "alpha", " ", "to", " ", "a", " ", "specific", " ", 
      "value"}]}], ",", " ", 
    RowBox[{
     RowBox[{
      RowBox[{
      "which", " ", "is", " ", "the", " ", "value", " ", "used", " ", "by", 
       " ", "D"}], "&"}], 
     RowBox[{"S", "."}]}]}], "*)"}], "\n", 
  RowBox[{
   RowBox[{
    RowBox[{"cencompDandSxdsn", "=", 
     RowBox[{"doeCentralComposite", "[", 
      RowBox[{"factorNames", ",", "factorLevelLists", "\n", ",", 
       RowBox[{"\"\<RandomizeRuns\>\"", "\[Rule]", "False"}], "\n", ",", 
       RowBox[{"\"\<AxialPointGroups\>\"", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{"1.634", ",", 
          RowBox[{"{", 
           RowBox[{"\"\<Bottom\>\"", "\[Rule]", "1"}], "}"}]}], "}"}]}], "\n",
        ",", 
       RowBox[{"\"\<CentralPoints\>\"", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{"\"\<Bottom\>\"", "\[Rule]", 
          RowBox[{"\"\<NPerFactor\>\"", "\[Rule]", "2"}]}], "}"}]}]}], "\n", 
      "]"}]}], ";"}], "\n", 
   RowBox[{"cencompDandSxdsn", "[", 
    RowBox[{"[", "1", "]"}], "]"}]}]}]], "Input",
 CellChangeTimes->{{3.7991644507794094`*^9, 3.7991644749420156`*^9}, {
   3.7991645511287827`*^9, 3.7991645516160574`*^9}, {3.799164584075383*^9, 
   3.799164632593023*^9}, {3.799164909679138*^9, 3.799164910374689*^9}, {
   3.799164994440236*^9, 3.7991649984437647`*^9}, {3.7991675597089252`*^9, 
   3.7991675680654187`*^9}, 3.799168609187216*^9, {3.799210711898392*^9, 
   3.799210995911942*^9}, 3.799579433916442*^9, {3.7995799885839615`*^9, 
   3.799580001053995*^9}, {3.799580043104125*^9, 3.799580057310266*^9}, 
   3.79958214436535*^9, {3.7995837791965218`*^9, 3.799583822610037*^9}, {
   3.8002997495163574`*^9, 3.800299759362574*^9}, 3.802838347726636*^9, {
   3.802840398461707*^9, 3.8028404134960346`*^9}, {3.8028455062584186`*^9, 
   3.802845547944902*^9}, {3.802851272632896*^9, 3.802851276695319*^9}, {
   3.802851640286351*^9, 3.802851643899189*^9}, {3.803008364484903*^9, 
   3.80300836528541*^9}, 3.803184034654513*^9, {3.803193403317297*^9, 
   3.803193431552957*^9}, {3.803193464475727*^9, 3.8031935008753715`*^9}, {
   3.803193531191747*^9, 3.8031935338730965`*^9}, 3.803193589709794*^9, {
   3.8031936200191774`*^9, 3.8031937273732295`*^9}, {3.80319402595481*^9, 
   3.803194154505333*^9}},
 CellLabel->"In[12]:=",ExpressionUUID->"4efcb39c-6960-4a1b-bf9d-bb379762dd5c"],

Cell["\<\
(*Step 1: Define vectors for the observed effects in your model. These \
vectors are the observed values for the effect variables that were obtained \
by running your experiment. In this example, the observed effects are \
abrasion, modulus, elong, and hardness.*)\
\>", "Text",
 CellChangeTimes->{{3.7995838906017246`*^9, 3.799583986891694*^9}},
 FontColor->RGBColor[
  0, 0, 1],ExpressionUUID->"dc0edb1b-2f5e-4973-a567-3e32d6f3f908"],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"effectNames", " ", "=", " ", 
    RowBox[{"{", 
     RowBox[{
     "\"\<Abrasion\>\"", ",", "\"\<Modulus\>\"", ",", "\"\<Elong\>\"", ",", 
      "\"\<Hardness\>\""}], "}"}]}], ";"}], "\n"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"abrasion", "=", 
    RowBox[{"{", 
     RowBox[{
     "102.", ",", "120.", ",", "117.", ",", "198.", ",", "103.", ",", "132.", 
      ",", "132.", ",", "139.", ",", "102.", ",", "154.", ",", "96.", ",", 
      "163.", ",", "116.", ",", "153.", ",", "133.", ",", "133.", ",", "140.",
       ",", "142.", ",", "145.", ",", "142."}], "}"}]}], ";"}], 
  "\n"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"modulus", "=", 
    RowBox[{"{", 
     RowBox[{
     "900.", ",", "860.", ",", "800.", ",", "2294.", ",", "490.", ",", 
      "1289.", ",", "1270.", ",", "1090.", ",", "770.", ",", "1690.", ",", 
      "700.", ",", "1540.", ",", "2184.", ",", "1784.", ",", "1300.", ",", 
      "1300.", ",", "1145.", ",", "1090.", ",", "1260.", ",", "1344."}], 
     "}"}]}], ";"}], "\n"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"elong", "=", 
    RowBox[{"{", 
     RowBox[{
     "470.", ",", "410.", ",", "570.", ",", "240.", ",", "640.", ",", "270.", 
      ",", "410.", ",", "380.", ",", "590.", ",", "260.", ",", "520.", ",", 
      "380.", ",", "520.", ",", "290.", ",", "380.", ",", "380.", ",", "430.",
       ",", "430.", ",", "390.", ",", "390."}], "}"}]}], ";"}], 
  "\n"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"hardness", "=", 
   RowBox[{"{", 
    RowBox[{
    "67.5", ",", "65.", ",", "77.5", ",", "74.5", ",", "62.5", ",", "67.", 
     ",", "78.", ",", "70.", ",", "76.", ",", "70.", ",", "63.", ",", "75.", 
     ",", "65.", ",", "71.", ",", "70.", ",", "68.5", ",", "68.", ",", "68.", 
     ",", "69.", ",", "70."}], "}"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.799582644935355*^9, 3.799582644978331*^9}, {
  3.803184592683654*^9, 3.803184594382611*^9}},
 CellLabel->"In[14]:=",ExpressionUUID->"24a45d14-f6e1-4fba-a449-b465d505d0a2"],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
   "examine", " ", "the", " ", "effect", " ", "vectors", " ", "in", " ", 
    "MatrixForm"}], "*)"}], "\n", 
  RowBox[{
   RowBox[{"Transpose", "[", 
    RowBox[{"{", 
     RowBox[{"abrasion", ",", "modulus", ",", "elong", ",", "hardness"}], 
     "}"}], "]"}], "//", "MatrixForm"}]}]], "Input",
 CellChangeTimes->{{3.7995840064456596`*^9, 3.799584025022326*^9}, {
  3.799584122563319*^9, 3.7995841246847777`*^9}},
 CellLabel->"In[19]:=",ExpressionUUID->"c2a8ec9e-9afd-4d19-b120-d31dd409ee07"],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
    "Assign", " ", "the", " ", "Dataset", " ", "object", " ", "generated", 
     " ", "by", " ", "the", " ", "doeCentralComposite", " ", "function", " ", 
     "to", " ", "a", " ", "local", " ", "variable"}], ",", " ", 
    RowBox[{"ds1", "."}]}], "*)"}], "\n", 
  RowBox[{"ds1", "=", 
   RowBox[{"cencompDandSxdsn", "[", 
    RowBox[{"[", "1", "]"}], "]"}]}]}]], "Input",
 CellChangeTimes->{{3.799165731043969*^9, 3.7991657454689455`*^9}, {
  3.799211066431019*^9, 3.799211123645464*^9}},
 CellLabel->"In[20]:=",ExpressionUUID->"71ec2915-20dc-4201-abd5-daf917325a45"],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
    RowBox[{"Optional", ":", " ", 
     RowBox[{
     "For", " ", "the", " ", "sake", " ", "of", " ", "visualizing", " ", 
      "the", " ", "extended", " ", "design", " ", "matrix"}]}], ",", " ", 
    RowBox[{
    "we", " ", "create", " ", "Dataset", " ", "ds2", " ", "by", " ", "adding",
      " ", "columns", " ", "for", " ", "the", " ", "observed", " ", 
     RowBox[{"effects", "."}]}]}], "*)"}], "\n", 
  RowBox[{
   RowBox[{
    RowBox[{"ds2", "=", 
     RowBox[{"Dataset", "[", 
      RowBox[{"MapIndexed", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"Append", "[", 
          RowBox[{"#1", ",", 
           RowBox[{"<|", 
            RowBox[{"\"\<Abrasion\>\"", "\[Rule]", 
             RowBox[{"abrasion", "[", 
              RowBox[{"[", 
               RowBox[{"First", "[", 
                RowBox[{"First", "[", "#2", "]"}], "]"}], "]"}], "]"}]}], 
            "|>"}]}], "]"}], "&"}], ",", 
        RowBox[{"Normal", "[", "ds1", "]"}]}], "]"}], "]"}]}], ";"}], "\n", 
   RowBox[{
    RowBox[{"ds2", "=", 
     RowBox[{"Dataset", "[", 
      RowBox[{"MapIndexed", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"Append", "[", 
          RowBox[{"#1", ",", 
           RowBox[{"<|", 
            RowBox[{"\"\<Modulus\>\"", "\[Rule]", 
             RowBox[{"modulus", "[", 
              RowBox[{"[", 
               RowBox[{"First", "[", 
                RowBox[{"First", "[", "#2", "]"}], "]"}], "]"}], "]"}]}], 
            "|>"}]}], "]"}], "&"}], ",", 
        RowBox[{"Normal", "[", "ds2", "]"}]}], "]"}], "]"}]}], ";"}], "\n", 
   RowBox[{
    RowBox[{"ds2", "=", 
     RowBox[{"Dataset", "[", 
      RowBox[{"MapIndexed", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"Append", "[", 
          RowBox[{"#1", ",", 
           RowBox[{"<|", 
            RowBox[{"\"\<Elong\>\"", "\[Rule]", 
             RowBox[{"elong", "[", 
              RowBox[{"[", 
               RowBox[{"First", "[", 
                RowBox[{"First", "[", "#2", "]"}], "]"}], "]"}], "]"}]}], 
            "|>"}]}], "]"}], "&"}], ",", 
        RowBox[{"Normal", "[", "ds2", "]"}]}], "]"}], "]"}]}], ";"}], "\n", 
   RowBox[{"ds2", "=", 
    RowBox[{"Dataset", "[", 
     RowBox[{"MapIndexed", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"Append", "[", 
         RowBox[{"#1", ",", 
          RowBox[{"<|", 
           RowBox[{"\"\<Hardness\>\"", "\[Rule]", 
            RowBox[{"hardness", "[", 
             RowBox[{"[", 
              RowBox[{"First", "[", 
               RowBox[{"First", "[", "#2", "]"}], "]"}], "]"}], "]"}]}], 
           "|>"}]}], "]"}], "&"}], ",", 
       RowBox[{"Normal", "[", "ds2", "]"}]}], "]"}], "]"}]}]}]}]], "Input",
 CellChangeTimes->{{3.7991657012838583`*^9, 3.7991657090106473`*^9}, {
  3.799165760457784*^9, 3.799165883488906*^9}, {3.799165929604686*^9, 
  3.799165946997233*^9}, {3.7991666459003377`*^9, 3.799166681709762*^9}, {
  3.7992111354017797`*^9, 3.799211166702072*^9}, {3.799582967418887*^9, 
  3.799582972276833*^9}, {3.799584057357044*^9, 3.799584061061987*^9}, {
  3.8028406405235796`*^9, 3.802840667430777*^9}},
 CellLabel->"In[21]:=",ExpressionUUID->"103d764c-1eb9-4e62-b04d-3d3603e31e54"],

Cell["\<\
(*Step 2: Define vectors (derived from the Dataset object ds1) for the \
factors in your model.*)\
\>", "Text",
 CellChangeTimes->{3.8030084401144395`*^9},
 FontColor->RGBColor[
  0, 0, 1],ExpressionUUID->"0e196619-20c0-4e5a-b294-f6146d48fc54"],

Cell[BoxData[{
 RowBox[{"silica", " ", "=", " ", 
  RowBox[{"Values", "[", 
   RowBox[{"Normal", "[", 
    RowBox[{"ds1", "[", 
     RowBox[{"[", 
      RowBox[{"All", ",", "2"}], "]"}], "]"}], "]"}], "]"}]}], "\n", 
 RowBox[{"silane", " ", "=", " ", 
  RowBox[{"Values", "[", 
   RowBox[{"Normal", "[", 
    RowBox[{"ds1", "[", 
     RowBox[{"[", 
      RowBox[{"All", ",", "3"}], "]"}], "]"}], "]"}], "]"}]}], "\n", 
 RowBox[{"sulfur", " ", "=", " ", 
  RowBox[{"Values", "[", 
   RowBox[{"Normal", "[", 
    RowBox[{"ds1", "[", 
     RowBox[{"[", 
      RowBox[{"All", ",", "4"}], "]"}], "]"}], "]"}], "]"}]}]}], "Input",
 CellChangeTimes->{{3.7991663523227344`*^9, 3.7991665356055975`*^9}, {
   3.799166637638421*^9, 3.7991666401488757`*^9}, {3.799166694324724*^9, 
   3.7991667075170803`*^9}, {3.799166855619413*^9, 3.799166905689311*^9}, {
   3.7991671385697975`*^9, 3.799167143959427*^9}, {3.7991675334370556`*^9, 
   3.799167535696329*^9}, 3.799167812873911*^9, {3.799582990962309*^9, 
   3.799582999067216*^9}, 3.799583196398737*^9, {3.799584080097009*^9, 
   3.79958408661494*^9}, {3.799584454638286*^9, 3.799584457157524*^9}, {
   3.802841352041005*^9, 3.802841355369034*^9}, {3.8028413953368306`*^9, 
   3.802841418338321*^9}, {3.8030084260630713`*^9, 3.803008429639878*^9}},
 CellLabel->"In[25]:=",ExpressionUUID->"438ba31d-d8af-401c-9b47-890b866d5e57"],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
   "examine", " ", "the", " ", "factor", " ", "vectors", " ", "in", " ", 
    "MatrixForm"}], "*)"}], "\n", 
  RowBox[{
   RowBox[{"Transpose", "[", 
    RowBox[{"{", 
     RowBox[{"silica", ",", "silane", ",", "sulfur"}], "}"}], "]"}], "//", 
   "MatrixForm"}]}]], "Input",
 CellChangeTimes->{{3.799166548096874*^9, 3.799166566796084*^9}, {
  3.799584095571022*^9, 3.799584147100358*^9}},
 CellLabel->"In[28]:=",ExpressionUUID->"d89c2837-c724-404e-9ef7-b6936af78b89"],

Cell["\<\
(*Step 3: Create a fitted model for each of the effects in your model.*)\
\>", "Text",
 CellChangeTimes->{{3.799166735981743*^9, 3.799166759220935*^9}, {
   3.7991668016729736`*^9, 3.79916681388374*^9}, 3.803008413493792*^9},
 FontColor->RGBColor[
  0, 0, 1],ExpressionUUID->"9d95da71-0612-44eb-ac0d-4a14d84d98ed"],

Cell[TextData[{
 "(*We shall use the ",
 StyleBox["NonlinearModelFit",
  FontWeight->"Bold"],
 " function to model each effect.\n  We first declare some local variables:\n \
 form1:        provides NonlinearModelFit with the structure it should use to \
construct the nonlinear model (in this case, we want the\n                    \
    FittedModel object that ",
 StyleBox["NonlinearModelFit",
  FontWeight->"Bold"],
 " constructs to be a second-degree polynomial).\n  betas1:      provides the \
names of the beta values to be estimated.\n  xnames1: provides the names for \
the variables in the model.\n*)"
}], "Text",
 CellChangeTimes->{
  3.795109502453663*^9, {3.7951095599957747`*^9, 3.795109571964408*^9}, {
   3.7951595227445283`*^9, 3.795159526103463*^9}, {3.7951606170002413`*^9, 
   3.795160633350175*^9}, 3.7958313888928556`*^9, {3.7991671737870436`*^9, 
   3.799167235470834*^9}, {3.7992106769357834`*^9, 3.7992106814987907`*^9}, {
   3.79958415969766*^9, 3.799584180350378*^9}},
 FontColor->RGBColor[
  0, 0, 1],ExpressionUUID->"dfd68dc5-e6b9-4318-97cf-d99f63c23056"],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
    "Our", " ", "model", " ", "will", " ", "have", " ", "an", " ", 
     "Intercept"}], ",", " ", 
    RowBox[{"so", " ", "we", " ", "define", " ", "an", " ", "Intercept", " ", 
     RowBox[{"variable", "."}]}]}], "*)"}], "\n", 
  RowBox[{"intercept", "=", 
   RowBox[{"Table", "[", 
    RowBox[{"1", ",", 
     RowBox[{"{", 
      RowBox[{"i", ",", "1", ",", 
       RowBox[{"Length", "[", "abrasion", "]"}]}], "}"}]}], 
    "]"}]}]}]], "Input",
 CellChangeTimes->{{3.799167019397377*^9, 3.7991670491503177`*^9}, 
   3.799584356153116*^9},
 CellLabel->"In[29]:=",ExpressionUUID->"756a882d-37ee-4c88-aa1d-86c75c77c8cd"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"Clear", "[", 
   RowBox[{
   "form1", ",", "betas1", ",", "xnames1", ",", "b0", ",", "b1", ",", "b2", 
    ",", "b3", ",", "b4", ",", "b5", ",", "b6", ",", "b7", ",", "b8", ",", 
    "b9", ",", "x0", ",", "x1", ",", "x2", ",", "x3"}], "]"}], ";"}], "\n", 
 RowBox[{
  RowBox[{"form1", "=", 
   RowBox[{
    RowBox[{"b0", " ", "x0"}], " ", "+", " ", 
    RowBox[{"b1", " ", "x1"}], " ", "+", " ", 
    RowBox[{"b2", " ", "x2"}], " ", "+", " ", 
    RowBox[{"b3", " ", "x3"}], " ", "+", " ", 
    RowBox[{"b4", " ", 
     RowBox[{"(", 
      RowBox[{"x1", " ", "x1"}], ")"}]}], " ", "+", 
    RowBox[{"b5", " ", 
     RowBox[{"(", 
      RowBox[{"x2", " ", "x2"}], ")"}]}], " ", "+", 
    RowBox[{"b6", " ", 
     RowBox[{"(", 
      RowBox[{"x3", " ", "x3"}], ")"}]}], "  ", "+", " ", 
    RowBox[{"b7", " ", 
     RowBox[{"(", 
      RowBox[{"x1", " ", "x2"}], ")"}]}], " ", "+", 
    RowBox[{"b8", " ", 
     RowBox[{"(", 
      RowBox[{"x1", " ", "x3"}], ")"}]}], " ", "+", 
    RowBox[{"b9", " ", 
     RowBox[{"(", 
      RowBox[{"x2", " ", "x3"}], ")"}]}]}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"betas1", "=", 
   RowBox[{"{", 
    RowBox[{
    "b0", ",", "b1", ",", "b2", ",", "b3", ",", "b4", ",", "b5", ",", "b6", 
     ",", "b7", ",", "b8", ",", "b9"}], "}"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"xnames1", "=", 
   RowBox[{"{", 
    RowBox[{"x0", ",", "x1", ",", "x2", ",", "x3"}], "}"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.799167229057585*^9, 3.799167241656685*^9}, {
  3.7995843670251637`*^9, 3.799584417001829*^9}},
 CellLabel->"In[30]:=",ExpressionUUID->"878d1385-c8b3-4fd3-b5ee-3b42703e5c86"],

Cell[BoxData[
 RowBox[{
  RowBox[{"Clear", "[", 
   RowBox[{
   "abrasionFitNonL", ",", "modulusFitNonL", ",", "elongFitNonL", ",", 
    "hardnessFitNonL", ",", "fittedModelList"}], "]"}], ";"}]], "Input",
 CellChangeTimes->{{3.802851897424071*^9, 3.8028518975849733`*^9}},
 CellLabel->"In[34]:=",ExpressionUUID->"99262192-b4a2-4d5f-8dfd-212df87e3103"],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{"Fit", " ", "Abrasion"}], "*)"}], "\n", 
  RowBox[{
   RowBox[{
    RowBox[{"abrasionFitNonL", " ", "=", " ", 
     RowBox[{"NonlinearModelFit", "[", 
      RowBox[{
       RowBox[{"Transpose", "[", 
        RowBox[{"{", 
         RowBox[{
         "intercept", ",", "silica", ",", "silane", ",", "sulfur", ",", 
          "abrasion"}], "}"}], "]"}], ",", "form1", ",", "betas1", ",", 
       "xnames1"}], "]"}]}], ";"}], "\n", 
   RowBox[{"abrasionFitNonL", "[", "\"\<BestFit\>\"", "]"}], "\n", 
   RowBox[{
   "abrasionFitNonL", "[", "\"\<ParameterTable\>\"", "]"}]}]}]], "Input",
 CellChangeTimes->{{3.799167290777118*^9, 3.7991672930491776`*^9}, {
  3.7991673642911654`*^9, 3.799167371991847*^9}},
 CellLabel->"In[35]:=",ExpressionUUID->"11912c87-ad4a-4c9a-a8c4-1670a4e680ad"],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{"test", " ", "the", " ", "fitted", " ", "model"}], "*)"}], "\n", 
  RowBox[{"abrasionFitNonL", "[", 
   RowBox[{"1", ",", "1.2", ",", "50", ",", "2.3"}], "]"}]}]], "Input",
 CellChangeTimes->{{3.7991673329729943`*^9, 3.7991673370723944`*^9}},
 CellLabel->"In[38]:=",ExpressionUUID->"d525cee4-b1d7-4d60-9476-af1306fd20ef"],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{"Fit", " ", "Modulus"}], "*)"}], "\n", 
  RowBox[{
   RowBox[{
    RowBox[{"modulusFitNonL", " ", "=", " ", 
     RowBox[{"NonlinearModelFit", "[", 
      RowBox[{
       RowBox[{"Transpose", "[", 
        RowBox[{"{", 
         RowBox[{
         "intercept", ",", "silica", ",", "silane", ",", "sulfur", ",", 
          "modulus"}], "}"}], "]"}], ",", "form1", ",", "betas1", ",", 
       "xnames1"}], "]"}]}], ";"}], "\n", 
   RowBox[{"modulusFitNonL", "[", "\"\<BestFit\>\"", "]"}], "\n", 
   RowBox[{
   "modulusFitNonL", "[", "\"\<ParameterTable\>\"", "]"}]}]}]], "Input",
 CellChangeTimes->{{3.799167384043548*^9, 3.799167397525094*^9}},
 CellLabel->"In[39]:=",ExpressionUUID->"d229f022-a7ce-4a74-a3c1-1cd7346a3b22"],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{"Fit", " ", "Elong"}], "*)"}], "\n", 
  RowBox[{
   RowBox[{
    RowBox[{"elongFitNonL", " ", "=", " ", 
     RowBox[{"NonlinearModelFit", "[", 
      RowBox[{
       RowBox[{"Transpose", "[", 
        RowBox[{"{", 
         RowBox[{
         "intercept", ",", "silica", ",", "silane", ",", "sulfur", ",", 
          "elong"}], "}"}], "]"}], ",", "form1", ",", "betas1", ",", 
       "xnames1"}], "]"}]}], ";"}], "\n", 
   RowBox[{"elongFitNonL", "[", "\"\<BestFit\>\"", "]"}], "\n", 
   RowBox[{"elongFitNonL", "[", "\"\<ParameterTable\>\"", "]"}]}]}]], "Input",
 CellChangeTimes->{{3.799167418984081*^9, 3.799167434004365*^9}},
 CellLabel->"In[42]:=",ExpressionUUID->"97226771-1b3b-4b71-beb1-b385951cea0f"],

Cell["\<\
(*D&S observe that none of the interaction terms for the original Elong model \
are significant as can be seen by checking the P-values for b4..b9.  So, they \
revised their model for Elong by dropping the interaction terms as follows:*)\
\>", "Text",
 CellChangeTimes->{{3.799169368630927*^9, 3.7991694612524796`*^9}, {
  3.7991695852947683`*^9, 3.799169614078818*^9}, {3.799170531246426*^9, 
  3.799170580747921*^9}, {3.799170611607131*^9, 3.799170626760762*^9}},
 FontColor->RGBColor[
  0, 0, 1],ExpressionUUID->"d3359e7d-0acb-4003-933c-60e25d7f8142"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"Clear", "[", 
   RowBox[{
   "elongFitNonLRevised", ",", "form1e", ",", "betas1e", ",", "xnames1e"}], 
   "]"}], ";"}], "\n", 
 RowBox[{
  RowBox[{"form1e", "=", 
   RowBox[{
    RowBox[{"b0", " ", "x0"}], " ", "+", " ", 
    RowBox[{"b1", " ", "x1"}], " ", "+", " ", 
    RowBox[{"b2", " ", "x2"}], " ", "+", " ", 
    RowBox[{"b3", " ", "x3"}]}]}], " ", ";"}], "\n", 
 RowBox[{
  RowBox[{"betas1e", "=", 
   RowBox[{"{", 
    RowBox[{"b0", ",", "b1", ",", "b2", ",", "b3"}], "}"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"xnames1e", "=", 
   RowBox[{"{", 
    RowBox[{"x0", ",", "x1", ",", "x2", ",", "x3"}], "}"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"elongFitNonLRevised", " ", "=", " ", 
   RowBox[{"NonlinearModelFit", "[", 
    RowBox[{
     RowBox[{"Transpose", "[", 
      RowBox[{"{", 
       RowBox[{
       "intercept", ",", "silica", ",", "silane", ",", "sulfur", ",", 
        "elong"}], "}"}], "]"}], ",", "form1e", ",", "betas1e", ",", 
     "xnames1e"}], "]"}]}], ";"}], "\n", 
 RowBox[{"elongFitNonLRevised", "[", "\"\<BestFit\>\"", "]"}], "\n", 
 RowBox[{"elongFitNonLRevised", "[", "\"\<ParameterTable\>\"", 
  "]"}]}], "Input",
 CellChangeTimes->{{3.799584568891227*^9, 3.799584592274263*^9}},
 CellLabel->"In[45]:=",ExpressionUUID->"1d612d0e-bc78-4309-9c4f-2318ef439702"],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{"Fit", " ", "Hardness"}], "*)"}], "\n", 
  RowBox[{
   RowBox[{
    RowBox[{"hardnessFitNonL", " ", "=", " ", 
     RowBox[{"NonlinearModelFit", "[", 
      RowBox[{
       RowBox[{"Transpose", "[", 
        RowBox[{"{", 
         RowBox[{
         "intercept", ",", "silica", ",", "silane", ",", "sulfur", ",", 
          "hardness"}], "}"}], "]"}], ",", "form1", ",", "betas1", ",", 
       "xnames1"}], "]"}]}], ";"}], "\n", 
   RowBox[{"hardnessFitNonL", "[", "\"\<BestFit\>\"", "]"}], "\n", 
   RowBox[{
   "hardnessFitNonL", "[", "\"\<ParameterTable\>\"", "]"}]}]}]], "Input",
 CellChangeTimes->{{3.799167480519001*^9, 3.799167505792031*^9}},
 CellLabel->"In[52]:=",ExpressionUUID->"a6031b72-e69c-4b81-a13e-a4aba8cb0e4e"],

Cell["\<\
(*Step 4: Define a list of the fitted models created in Step 3.*)\
\>", "Text",
 CellChangeTimes->{3.8030086996754627`*^9},
 FontColor->RGBColor[
  0, 0, 1],ExpressionUUID->"e6844111-ec82-42fa-af86-6ce1a7ae2ade"],

Cell[BoxData[
 RowBox[{
  RowBox[{"fittedModelList", " ", "=", " ", 
   RowBox[{"{", "\n", "    ", 
    RowBox[{
    "abrasionFitNonL", ",", "\n", "    ", "modulusFitNonL", ",", "\n", "    ",
      "elongFitNonLRevised", ",", "\n", "    ", "hardnessFitNonL"}], "\n", 
    "}"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.7991675916711187`*^9, 3.799167639478427*^9}, {
  3.799169560708258*^9, 3.799169569271716*^9}, {3.799580298756398*^9, 
  3.7995803136508584`*^9}, {3.8030086927886934`*^9, 3.8030087056627893`*^9}},
 CellLabel->"In[55]:=",ExpressionUUID->"1316f52e-1979-46d0-9035-5c93369b5ef9"],

Cell["\<\
(*Step 5: Define the effect-based desirability functions to be used for your \
model. *)
(*We will use the definitions of the desirability functions proposed by \
Derringer and Suich (1980) rather than create different ones.*)\
\>", "Text",
 CellChangeTimes->{
  3.8030086802124195`*^9, {3.803008721401122*^9, 3.803008736654745*^9}},
 FontColor->RGBColor[
  0, 0, 1],ExpressionUUID->"8ea27b43-1c48-4b4a-9ee3-91270fae3982"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"maxIsBestDesFcnDS", "[", 
   RowBox[{"yHat_", ",", "target_", ",", "lower_", ",", "s_"}], "]"}], " ", ":=",
   " ", 
  RowBox[{"(", "\n", 
   RowBox[{"If", "[", 
    RowBox[{
     RowBox[{"yHat", "<=", "lower"}], ",", "0", ",", "\n", 
     RowBox[{"If", "[", 
      RowBox[{
       RowBox[{"yHat", ">=", "target"}], ",", "1", ",", "\n", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"yHat", "-", "lower"}], ")"}], "/", 
          RowBox[{"(", 
           RowBox[{"target", "-", "lower"}], ")"}]}], ")"}], "^", "s"}]}], 
      "]"}]}], "]"}], "\n", ")"}]}], "\n", 
 RowBox[{
  RowBox[{"minIsBestDesFcnDS", "[", 
   RowBox[{"yHat_", ",", "target_", ",", "upper_", ",", "s_"}], "]"}], " ", ":=",
   " ", 
  RowBox[{"(", "\n", 
   RowBox[{"If", "[", 
    RowBox[{
     RowBox[{"yHat", ">=", "upper"}], ",", "0", ",", "\n", 
     RowBox[{"If", "[", 
      RowBox[{
       RowBox[{"yHat", "<=", "target"}], ",", "1", ",", "\n", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"yHat", "-", "upper"}], ")"}], "/", 
          RowBox[{"(", 
           RowBox[{"target", "-", "upper"}], ")"}]}], ")"}], "^", "s"}]}], 
      "]"}]}], "]"}], "\n", ")"}]}], "\n", 
 RowBox[{
  RowBox[{"targetIsBestDesFcnDS", "[", 
   RowBox[{
   "yHat_", ",", "target_", ",", "lower_", ",", "upper_", ",", "s1_", ",", 
    "s2_"}], "]"}], ":=", 
  RowBox[{"(", "\n", 
   RowBox[{"If", "[", 
    RowBox[{
     RowBox[{"yHat", "<=", "lower"}], ",", " ", "0", ",", "\n", 
     RowBox[{"If", "[", 
      RowBox[{
       RowBox[{"yHat", ">=", "upper"}], ",", "0", ",", "\n", 
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{"yHat", "\[LessEqual]", "target"}], ",", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{
            RowBox[{"(", 
             RowBox[{"yHat", "-", "lower"}], ")"}], "/", 
            RowBox[{"(", 
             RowBox[{"target", "-", "lower"}], ")"}]}], ")"}], "^", "s1"}], 
         ",", "\n", 
         RowBox[{"(*", 
          RowBox[{
           RowBox[{"else", " ", "target"}], " ", "<", " ", "yHat", " ", "<", 
           " ", "upper"}], "*)"}], "\n", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{
            RowBox[{"(", 
             RowBox[{"yHat", "-", "upper"}], ")"}], "/", 
            RowBox[{"(", 
             RowBox[{"target", "-", "upper"}], ")"}]}], ")"}], "^", "s2"}]}], 
        "]"}]}], "]"}]}], "]"}], "\n", ")"}]}]}], "Input",
 CellChangeTimes->{{3.799167677465618*^9, 3.7991677169357657`*^9}, {
  3.8030086725161476`*^9, 3.803008687158152*^9}},
 CellLabel->"In[56]:=",ExpressionUUID->"3dba2b87-5ebf-4128-8314-889c4231a8bd"],

Cell["\<\
(*Step 6: Set lower, target, upper values for the effects in your model.  In \
this case, Abrasion, Modulus, Elong, and Hardness.*)\
\>", "Text",
 CellChangeTimes->{3.8030086521896334`*^9},
 FontColor->RGBColor[
  0, 0, 1],ExpressionUUID->"24bc098f-7a4b-4cb9-a3a3-79137e54b468"],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"lowerAbrasion", "=", "120"}], ";"}], " ", 
  RowBox[{"(*", 
   RowBox[{
   "d", " ", "for", " ", "y", " ", "below", " ", "lowerAbrasion", " ", "is", 
    " ", "0"}], "*)"}]}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"targetAbrasion", " ", "=", " ", "170"}], ";"}], 
  RowBox[{"(*", 
   RowBox[{"d", "\[Equal]", "1"}], "*)"}], "  ", 
  RowBox[{"(*", 
   RowBox[{"was", ":", "168"}], "*)"}]}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"lowerModulus", "=", "1000"}], ";"}], 
  RowBox[{"(*", 
   RowBox[{
   "d", " ", "for", " ", "y", " ", "below", " ", "lowerModulus", " ", "is", 
    " ", "0"}], "*)"}]}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"targetModulus", " ", "=", " ", "1500"}], ";"}], 
  RowBox[{"(*", 
   RowBox[{"d", "\[Equal]", "1"}], "*)"}]}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"lowerElong", " ", "=", " ", "400"}], ";"}], 
  RowBox[{"(*", 
   RowBox[{
   "d", " ", "for", " ", "y", " ", "below", " ", "lowerElong", " ", "or", " ",
     "above", " ", "upperElong", " ", "is", " ", "0"}], "*)"}]}], "\n", 
 RowBox[{
  RowBox[{"upperElong", " ", "=", " ", "600"}], ";"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"targetElong", " ", "=", " ", "500"}], ";"}], 
  RowBox[{"(*", 
   RowBox[{"d", "\[Equal]", "1"}], "*)"}]}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"lowerHardness", " ", "=", " ", "60"}], ";"}], 
  RowBox[{"(*", 
   RowBox[{
   "d", " ", "for", " ", "y", " ", "below", " ", "lowerElong", " ", "or", " ",
     "above", " ", "upperElong", " ", "is", " ", "0"}], "*)"}]}], "\n", 
 RowBox[{
  RowBox[{"upperHardness", " ", "=", " ", "75"}], ";"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"targetHardness", " ", "=", " ", "67.5"}], ";"}], "   ", 
  RowBox[{"(*", 
   RowBox[{"d", "\[Equal]", "1"}], "*)"}]}]}], "Input",
 CellChangeTimes->{{3.799167750686229*^9, 3.799167767467739*^9}, {
  3.799584635903039*^9, 3.799584652289693*^9}, {3.803008642342682*^9, 
  3.803008658953481*^9}},
 CellLabel->"In[59]:=",ExpressionUUID->"2be0d8b2-5204-4cb2-b1b4-058f3c0605dd"],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{
     RowBox[{"(", "Optional", ")"}], " ", "Plot", " ", "desirability", " ", 
     "functions", " ", "for", " ", "the", " ", "effects", " ", "in", " ", 
     "your", " ", "model"}], ",", " ", 
    RowBox[{
    "taking", " ", "into", " ", "account", " ", "the", " ", "target"}], ",", 
    " ", 
    RowBox[{"lower", " ", 
     RowBox[{"and", "/", "or"}], " ", "upper", " ", "bounds", " ", "involved",
      " ", "for", " ", "each", " ", 
     RowBox[{"effect", "."}]}]}], "*)"}], "\n", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
    "For", " ", "example", " ", "we", " ", "plot", " ", "the", " ", 
     "desirability", " ", "fcn", " ", "for", " ", "Abrasion"}], ",", " ", 
    RowBox[{"which", " ", "has", " ", "\"\<Max is Best\>\"", " ", 
     RowBox[{"desirability", "."}]}]}], "*)"}], "\n", 
  RowBox[{"Plot", "[", 
   RowBox[{
    RowBox[{"maxIsBestDesFcnDS", "[", 
     RowBox[{"y", ",", "targetAbrasion", ",", "lowerAbrasion", ",", "1"}], 
     "]"}], ",", 
    RowBox[{"{", 
     RowBox[{"y", ",", 
      RowBox[{"lowerAbrasion", "-", "10"}], ",", 
      RowBox[{"targetAbrasion", "+", "10"}]}], "}"}], ",", "\n", 
    RowBox[{
    "PlotLabel", "\[Rule]", 
     "\"\<Abrasion desirability fcn D&S: max is best\>\""}], ",", "\n", 
    RowBox[{"Frame", "\[Rule]", "True"}], ",", 
    RowBox[{"FrameLabel", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"\"\<desirability\>\"", ",", "Null"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"\"\<y\>\"", ",", 
         RowBox[{"\"\<(y<=\>\"", "<>", 
          RowBox[{"ToString", "[", "lowerAbrasion", "]"}], "<>", 
          "\"\<\[LongRightArrow]d==0; y>=\>\"", "<>", 
          RowBox[{"ToString", "[", "targetAbrasion", "]"}], "<>", 
          "\"\<\[LongRightArrow]d==1)\>\""}]}], "}"}]}], "}"}]}], ",", "\n", 
    RowBox[{"ImageSize", "\[Rule]", "Medium"}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.79916784088271*^9, 3.7991678951531887`*^9}, {
  3.7991679677593193`*^9, 3.7991680064050236`*^9}},
 CellLabel->"In[69]:=",ExpressionUUID->"4d05d369-995a-406a-a0f2-2859b6f996aa"],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
    RowBox[{"As", " ", "another", " ", "example"}], ",", " ", 
    RowBox[{
    "we", " ", "plot", " ", "desirability", " ", "fcn", " ", "for", " ", 
     "Elong"}], ",", " ", 
    RowBox[{"which", " ", "has", " ", "\"\<Target is Best\>\"", " ", 
     RowBox[{"desirability", "."}]}]}], "*)"}], "\n", 
  RowBox[{"Plot", "[", 
   RowBox[{
    RowBox[{"targetIsBestDesFcnDS", "[", 
     RowBox[{
     "y", ",", "targetElong", ",", "lowerElong", ",", "upperElong", ",", "1", 
      ",", "1"}], "]"}], ",", 
    RowBox[{"{", 
     RowBox[{"y", ",", 
      RowBox[{"lowerElong", "-", "50"}], ",", 
      RowBox[{"upperElong", "+", "50"}]}], "}"}], ",", "\n", 
    RowBox[{
    "PlotLabel", "\[Rule]", 
     "\"\<Elong desirability fcn D&S: target is best\>\""}], ",", "\n", 
    RowBox[{"Frame", "\[Rule]", "True"}], ",", "\[IndentingNewLine]", 
    RowBox[{"FrameLabel", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"\"\<desirability\>\"", ",", "Null"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"\"\<y\>\"", ",", 
         RowBox[{"\"\<(y<=\>\"", "<>", 
          RowBox[{"ToString", "[", "lowerElong", "]"}], "<>", 
          "\"\<\[LongRightArrow]d==0; y>=\>\"", "<>", 
          RowBox[{"ToString", "[", "upperElong", "]"}], "<>", 
          "\"\<\[LongRightArrow]d==0; y==\>\"", "\n", "<>", 
          RowBox[{"ToString", "[", "targetElong", "]"}], "<>", 
          "\"\<\[LongRightArrow]d==1)\>\""}]}], "}"}]}], "}"}]}], ",", "\n", 
    RowBox[{"ImageSize", "\[Rule]", "Medium"}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.799167914880371*^9, 3.799167952835221*^9}, {
  3.799167992342161*^9, 3.799168015154695*^9}},
 CellLabel->"In[70]:=",ExpressionUUID->"c6ec8276-f22d-4110-a1cd-3a1297b2338c"],

Cell["(*Step 7: Define factor-based desirability functions.*)", "Text",
 CellChangeTimes->{{3.7991680360768037`*^9, 3.799168051672808*^9}, 
   3.803008506791481*^9},
 FontColor->RGBColor[
  0, 0, 1],ExpressionUUID->"9a1d3393-e116-4cb1-887b-2a28c13f6b3a"],

Cell["\<\
(*Define the factor-based desirability functions for the effects in our \
model: Abrasion, Modulus, Elong, and Hardness.
Each  function is a composite function of the form: des[fit[x1,...,xn]] where \
\"des\" is an effect-based desirability function
(e.g., targetIsBestDesFcnDS) and \"fit\" is one of the FittedModel objects in \
our model (e.g., hardnessFitNonL).

Abrasion and Modulus have maxIsBest desirability while Elong and Hardness \
have targetIsBest desirability.*)\
\>", "Text",
 CellChangeTimes->{{3.795163389246043*^9, 3.795163457318246*^9}, 
   3.8030085155900745`*^9},
 FontColor->RGBColor[
  0, 0, 1],ExpressionUUID->"d3b3a4a3-5520-48f5-bf43-ea9c4beaf2ed"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"Clear", "[", 
   RowBox[{
   "abrasionDesFcnDS", ",", "modulusDesFcnDS", ",", "elongDesFcnDS", ",", 
    "hardnessDesFcnDS"}], "]"}], ";"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"abrasionDesFcnDS", "[", 
    RowBox[{"x1_", ",", "x2_", ",", "x3_"}], "]"}], " ", ":=", " ", 
   RowBox[{"(", 
    RowBox[{"maxIsBestDesFcnDS", "[", 
     RowBox[{
      RowBox[{"abrasionFitNonL", "[", 
       RowBox[{"1", ",", "x1", ",", "x2", ",", "x3"}], "]"}], ",", 
      "targetAbrasion", ",", "lowerAbrasion", ",", "1"}], "]"}], ")"}]}], 
  ";"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"modulusDesFcnDS", "[", 
    RowBox[{"x1_", ",", "x2_", ",", "x3_"}], "]"}], " ", ":=", " ", 
   RowBox[{"(", " ", 
    RowBox[{"maxIsBestDesFcnDS", "[", 
     RowBox[{
      RowBox[{"modulusFitNonL", "[", 
       RowBox[{"1", ",", "x1", ",", "x2", ",", "x3"}], "]"}], ",", 
      "targetModulus", ",", "lowerModulus", ",", "1"}], "]"}], ")"}]}], 
  ";"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"elongDesFcnDS", "[", 
    RowBox[{"x1_", ",", "x2_", ",", "x3_"}], "]"}], " ", ":=", " ", 
   RowBox[{"(", " ", 
    RowBox[{"targetIsBestDesFcnDS", "[", 
     RowBox[{
      RowBox[{"elongFitNonLRevised", "[", 
       RowBox[{"1", ",", "x1", ",", "x2", ",", "x3"}], "]"}], ",", 
      "targetElong", ",", "lowerElong", ",", "upperElong", ",", "1", ",", 
      "1"}], "]"}], ")"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"hardnessDesFcnDS", "[", 
    RowBox[{"x1_", ",", "x2_", ",", "x3_"}], "]"}], " ", ":=", " ", 
   RowBox[{"(", 
    RowBox[{"targetIsBestDesFcnDS", "[", 
     RowBox[{
      RowBox[{"hardnessFitNonL", "[", 
       RowBox[{"1", ",", "x1", ",", "x2", ",", "x3"}], "]"}], ",", 
      "targetHardness", ",", "lowerHardness", ",", "upperHardness", ",", "1", 
      ",", "1"}], "]"}], ")"}]}], ";"}]}], "Input",
 CellChangeTimes->{3.799168122065527*^9, 3.799169713038654*^9},
 CellLabel->"In[71]:=",ExpressionUUID->"54fd04c2-cc17-44e7-9d6f-04128c407bec"],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", "test", "*)"}], "\n", 
  RowBox[{
   RowBox[{"abrasionDesFcnDS", "[", 
    RowBox[{"1.15", ",", "51", ",", "2.1"}], "]"}], "\n", 
   RowBox[{"modulusDesFcnDS", "[", 
    RowBox[{"1.15", ",", "51", ",", "2.1"}], "]"}], "\n", 
   RowBox[{"elongDesFcnDS", "[", 
    RowBox[{"1.15", ",", "51", ",", "2.1"}], "]"}], "\n", 
   RowBox[{"hardnessDesFcnDS", "[", 
    RowBox[{"1.15", ",", "51", ",", "2.1"}], "]"}]}]}]], "Input",
 CellLabel->"In[76]:=",ExpressionUUID->"eb3a4599-2848-42b4-ba40-e62ef026c87b"],

Cell["\<\
(*Step 8: Define a list of the factor-based desirability functions created in \
Step 7.
 This list will be provided as an input parameter to the doeDesirability \
function.*)\
\>", "Text",
 CellChangeTimes->{3.803008542344639*^9},
 FontColor->RGBColor[
  0, 0, 1],ExpressionUUID->"e005f23f-b4ca-4f34-af31-acf259e6ce71"],

Cell[BoxData[
 RowBox[{
  RowBox[{"desireFcnListDS", "  ", "=", " ", 
   RowBox[{"{", "\n", "    ", 
    RowBox[{
    "abrasionDesFcnDS", ",", "\n", "    ", "modulusDesFcnDS", ",", "\n", 
     "    ", "elongDesFcnDS", ",", "\n", "    ", "hardnessDesFcnDS"}], "\n", 
    "}"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.799168143534848*^9, 3.79916821022904*^9}, {
   3.799168335451004*^9, 3.7991683411149282`*^9}, 3.799579433994569*^9, {
   3.79958047081223*^9, 3.7995804837508984`*^9}, {3.799580530699246*^9, 
   3.799580531592222*^9}, 3.799584931739951*^9, 3.802838347757884*^9, {
   3.803008534235619*^9, 3.803008550872877*^9}},
 CellLabel->"In[80]:=",ExpressionUUID->"7dfc378d-fe85-4cba-83cc-2bfcbb752de5"],

Cell[TextData[{
 "(*\n(Optional) If you want to check the overall desirability of your model \
independently of the doeDesirability function,\nthen you can use the \
\[OpenCurlyDoubleQuote]basic\[CloseCurlyDoubleQuote] overall desirability \
function (",
 StyleBox["basicOverallDesFcnDS",
  FontWeight->"Bold"],
 ") as defined below.\n\nThe \[OpenCurlyDoubleQuote]basic\
\[CloseCurlyDoubleQuote] overall desirability function is simply the product \
of the desirability functions for each effect.\nThe doeDesirability function \
internally creates this function on the fly based on the FittedModel and \
desirability\nlists you provide as input.  This \[OpenCurlyDoubleQuote]basic\
\[CloseCurlyDoubleQuote] overall desirability function is evaluated using ",
 StyleBox["NMaximize",
  FontWeight->"Bold"],
 " when you click the Maximize button\nin the doeDesirability function \
interface.\n\nNote that D&S actually define the overall desirability as the ",
 StyleBox["N-th root",
  FontWeight->"Bold",
  FontSlant->"Italic"],
 " of the product of the desirability functions for the N effects\nin the \
model.  (Thus, in our case, D&S define the overall desirability to be",
 StyleBox["  4th",
  FontWeight->"Bold"],
 " root of what we are calling our \[OpenCurlyDoubleQuote]basic\
\[CloseCurlyDoubleQuote] overall desirability).\nHowever, experience shown \
that if you attempt to use ",
 StyleBox["NMaximize",
  FontWeight->"Bold"],
 " to find the max for a function that involves takes a root, Mathematica\n\
may generate warnings to the effect hat some roots are imaginary.  So, to \
avoid this issue, we have defined our \[OpenCurlyDoubleQuote]basic\
\[CloseCurlyDoubleQuote] overall desirability\nfunction without any \
root-taking operation.  To obtain the \[OpenCurlyDoubleQuote]true\
\[CloseCurlyDoubleQuote] desirability (as defined by D&S), you can simply \
take the Nth root of the\nsolution returned by NMaximize applied to our \
\[OpenCurlyDoubleQuote]basic\[CloseCurlyDoubleQuote] overall desirability \
function.\n*)"
}], "Text",
 CellChangeTimes->{{3.795109919622*^9, 3.795110091131769*^9}, {
  3.795110154437798*^9, 3.7951102396836557`*^9}, {3.795110307893882*^9, 
  3.795110421404479*^9}, {3.795110463746417*^9, 3.7951105247406*^9}, {
  3.795110649946666*^9, 3.795110680400918*^9}, {3.795163993195851*^9, 
  3.7951640020803833`*^9}, {3.795164056981061*^9, 3.795164408462149*^9}, {
  3.7951644426471033`*^9, 3.795164479889179*^9}, {3.795164517810838*^9, 
  3.795164755488143*^9}, {3.795164812214543*^9, 3.795164820164645*^9}, {
  3.79516486916948*^9, 3.795165085281906*^9}, {3.799579434025816*^9, 
  3.799579434322681*^9}, {3.799584959331381*^9, 3.79958496339631*^9}, {
  3.802838347773508*^9, 3.8028383478672595`*^9}},
 FontColor->RGBColor[
  0, 0, 1],ExpressionUUID->"e12e85ab-6df8-466e-acee-d15e46cb4974"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"basicOverallDesFcnDS", "[", 
    RowBox[{"x1_", ",", "x2_", ",", "x3_"}], "]"}], ":=", 
   RowBox[{"(", "\n", 
    RowBox[{
     RowBox[{"abrasionDesFcnDS", "[", 
      RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}], "*", "\n", 
     RowBox[{"modulusDesFcnDS", "[", 
      RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}], "*", "\n", 
     RowBox[{"elongDesFcnDS", "[", 
      RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}], "*", "\n", 
     RowBox[{"hardnessDesFcnDS", "[", 
      RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}]}], "\n", ")"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{
  3.7951099108104305`*^9, {3.795110529735526*^9, 3.795110543275193*^9}, {
   3.795125616443524*^9, 3.795125644861567*^9}, {3.795159769996052*^9, 
   3.795159771811936*^9}},
 CellLabel->"In[81]:=",ExpressionUUID->"bd42eeaa-dd62-4746-a45b-e0780ad8c437"],

Cell["\<\
(*According to D&S, the best (coded) solution is {-0.10,0.15,-1.0}
To check this, we need to convert their coded solution into uncoded form so \
we can compare with our solution.
To make the conversion, we need to define the following simple function:*)\
\>", "Text",
 CellChangeTimes->{{3.7951107162468534`*^9, 3.795110739541514*^9}, {
   3.795126050672667*^9, 3.795126053835718*^9}, {3.795126102334863*^9, 
   3.795126117237692*^9}, 3.799169936717782*^9, {3.799169998430482*^9, 
   3.7991700615155587`*^9}, {3.799170117609256*^9, 3.799170125914783*^9}, {
   3.7991703560136156`*^9, 3.7991703676588836`*^9}},
 FontColor->RGBColor[
  0, 0, 1],ExpressionUUID->"b78d9675-fc86-42ab-ba8b-260ce321cab1"],

Cell[BoxData[
 RowBox[{
  RowBox[{"restoreFromCodedValue", "[", 
   RowBox[{"x_", ",", "xHigh_", ",", "xLow_"}], "]"}], ":=", " ", 
  RowBox[{"Module", "[", "\n", 
   RowBox[{
    RowBox[{"{", "\n", 
     RowBox[{"a1", ",", "\n", "b1"}], "\n", "}"}], ",", "\n", 
    RowBox[{
     RowBox[{"a1", " ", "=", " ", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"xHigh", "+", "xLow"}], ")"}], "/", "2"}]}], ";", "\n", 
     RowBox[{"b1", " ", "=", " ", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"xHigh", "-", "xLow"}], ")"}], "/", "2"}]}], ";", "\n", 
     RowBox[{"Return", "[", 
      RowBox[{
       RowBox[{"x", "*", "b1"}], " ", "+", " ", "a1"}], "]"}]}]}], "\n", 
   "]"}]}]], "Input",
 CellLabel->"In[82]:=",ExpressionUUID->"7e1aae02-32a2-4434-94eb-0f8212922fcd"],

Cell["\<\
(*We use our conversion fcn to convert the D&S solution into an uncoded \
form.*)\
\>", "Text",
 CellChangeTimes->{3.79917078182336*^9},
 FontColor->RGBColor[
  0, 0, 1],ExpressionUUID->"2d45dd97-b10c-473c-ae49-145d023918c3"],

Cell[BoxData[
 RowBox[{"unCodedSoln", "=", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"restoreFromCodedValue", "[", 
     RowBox[{
      RowBox[{"-", "0.10"}], ",", "1.7", ",", "0.7"}], "]"}], ",", "\n", 
    "                 ", 
    RowBox[{"restoreFromCodedValue", "[", 
     RowBox[{"0.15", ",", "60", ",", "40"}], "]"}], ",", "\n", 
    "                 ", 
    RowBox[{"restoreFromCodedValue", "[", 
     RowBox[{
      RowBox[{"-", "1.0"}], ",", "2.8", ",", "1.8"}], "]"}]}], 
   "}"}]}]], "Input",
 CellChangeTimes->{{3.794895078686824*^9, 3.794895167314048*^9}, {
  3.7948952002307863`*^9, 3.7948952031739736`*^9}, {3.79489597522478*^9, 
  3.7948960707089443`*^9}, {3.794896101644901*^9, 3.794896173571626*^9}, {
  3.794896317798873*^9, 3.794896334981299*^9}, {3.7948994032400627`*^9, 
  3.7948994097600517`*^9}, {3.795110615411785*^9, 3.7951106305594635`*^9}, {
  3.795110706709723*^9, 3.79511070873148*^9}, {3.795125989889188*^9, 
  3.795125994268496*^9}, {3.795126121878462*^9, 3.795126127238161*^9}, {
  3.7991700655688033`*^9, 3.799170076706088*^9}, {3.799170135053197*^9, 
  3.799170184714965*^9}, {3.799170363011737*^9, 3.799170381995994*^9}, {
  3.799170772740393*^9, 3.799170792432556*^9}},
 CellLabel->"In[83]:=",ExpressionUUID->"bcbf4240-88ee-4da4-a77c-35ed84cb66c5"],

Cell["\<\
(*D&S say that the desirability of their coded soln={-0.10,0.15,-1.0} is \
0.596 which agrees with our check below in which 
we evaluate the uncoded form of their solution using our basicOverallDesFcnDS \
function.*)\
\>", "Text",
 CellChangeTimes->{{3.794896362722222*^9, 3.794896509651638*^9}, {
   3.794898804204978*^9, 3.794898805368259*^9}, {3.795112354165954*^9, 
   3.795112421522493*^9}, {3.7951126020862894`*^9, 3.795112664312425*^9}, {
   3.795118609349084*^9, 3.795118732921063*^9}, {3.795118769598483*^9, 
   3.795119015205431*^9}, {3.795123401955123*^9, 3.795123403218339*^9}, {
   3.7951256851107883`*^9, 3.795125697794979*^9}, {3.795126169152362*^9, 
   3.795126171404975*^9}, {3.799170251429001*^9, 3.799170252042248*^9}, {
   3.7991703253570604`*^9, 3.799170376799368*^9}, {3.799170415204814*^9, 
   3.7991704161211257`*^9}, 3.802889856120765*^9},
 FontColor->RGBColor[
  0, 0, 1],ExpressionUUID->"67fb7d98-e9e1-4f59-b885-c7aaace54ed8"],

Cell[BoxData[
 RowBox[{
  RowBox[{"(", 
   RowBox[{"basicOverallDesFcnDS", "@@", "unCodedSoln"}], ")"}], "^", 
  RowBox[{"(", 
   RowBox[{"1", "/", "4"}], ")"}]}]], "Input",
 CellChangeTimes->{3.7991703875108232`*^9},
 CellLabel->"In[84]:=",ExpressionUUID->"23742259-2f07-4607-958e-909889eb2019"],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{"Evaluate", " ", "NMaximize", " ", 
    RowBox[{"(", 
     RowBox[{"using", " ", "NelderMead", " ", "method"}], ")"}], " ", "to", 
    " ", "verify", " ", "that", " ", "our", " ", "unCodedSoln", " ", "is", 
    " ", "the", " ", 
    RowBox[{"solution", "."}]}], "*)"}], "\n", 
  RowBox[{
   RowBox[{
    RowBox[{"Clear", "[", 
     RowBox[{"x1", ",", "x2", ",", "x3", ",", "nmaxsoln"}], "]"}], ";"}], 
   "\n", 
   RowBox[{"nmaxsoln", "=", 
    RowBox[{"NMaximize", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"basicOverallDesFcnDS", "[", 
         RowBox[{"x1", ",", "x2", ",", "x3"}], "]"}], ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"0.7", "\[LessEqual]", "x1", "\[LessEqual]", "1.7"}], ",", 
          RowBox[{"40", "\[LessEqual]", "x2", "\[LessEqual]", "60"}], ",", 
          RowBox[{"1.8", "\[LessEqual]", "x3", "\[LessEqual]", "2.8"}]}], 
         "}"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"x1", ",", "x2", ",", "x3"}], "}"}], ",", 
      RowBox[{"Method", "->", "\"\<NelderMead\>\""}]}], "]"}]}], "\n", 
   RowBox[{
    RowBox[{"nmaxsoln", "[", 
     RowBox[{"[", "1", "]"}], "]"}], "^", 
    RowBox[{"(", 
     RowBox[{"1", "/", "4"}], ")"}]}]}]}]], "Input",
 CellChangeTimes->{{3.794893984622838*^9, 3.794894039070301*^9}, {
   3.794894115683141*^9, 3.794894288405166*^9}, {3.794898608973213*^9, 
   3.79489867384846*^9}, {3.794898820627868*^9, 3.794898824648886*^9}, {
   3.794898892726981*^9, 3.794898903001656*^9}, {3.794898956504347*^9, 
   3.794898976809079*^9}, {3.794899310142372*^9, 3.794899330458868*^9}, {
   3.79498075683979*^9, 3.794980772788969*^9}, {3.795070058990726*^9, 
   3.7950700594734316`*^9}, 3.795111438276982*^9, 3.795113510683574*^9, {
   3.795113656154254*^9, 3.7951136709141707`*^9}, {3.795113701785165*^9, 
   3.795113705598817*^9}, {3.795125714668593*^9, 3.7951257169451942`*^9}, {
   3.795126191159825*^9, 3.795126265602703*^9}, {3.799170864468333*^9, 
   3.799170881857604*^9}, 3.799170916980931*^9, {3.799170951294947*^9, 
   3.799171031702047*^9}},
 CellLabel->"In[85]:=",ExpressionUUID->"a1a2b3b4-fc79-44c4-8fe8-37471441aa75"],

Cell["\<\
(*Evaluate the doeDesirability function and use its slider controls to \
explore the desirability of alternative factor settings.*)\
\>", "Text",
 CellChangeTimes->{
  3.803008616761398*^9, {3.803184306212638*^9, 3.803184308646141*^9}},
 FontColor->RGBColor[
  0, 0, 1],ExpressionUUID->"ff2b84eb-4d21-441b-aee2-03447a701762"],

Cell[BoxData[
 RowBox[{"doeDesirability", "[", 
  RowBox[{"fittedModelList", ",", "desireFcnListDS", ",", 
   RowBox[{"{", 
    RowBox[{"silica", ",", "silane", ",", "sulfur"}], "}"}], ",", "\n", 
   "factorNames", ",", 
   RowBox[{"{", 
    RowBox[{"abrasion", ",", "modulus", ",", "elong", ",", "hardness"}], 
    "}"}], ",", "effectNames", ",", "\n", 
   RowBox[{"\"\<MinMaxForXVars\>\"", "->", "factorLevelLists"}], ",", "\n", 
   RowBox[{"\"\<FitYByXPlotColor\>\"", "\[Rule]", "Orange"}]}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.799168488398986*^9, 3.799168488539578*^9}, 
   3.799168640246898*^9, {3.7991687785077696`*^9, 3.7991688923536034`*^9}, {
   3.799170690803057*^9, 3.799170690969955*^9}, {3.799579434521911*^9, 
   3.7995794345249104`*^9}, {3.8028383478985057`*^9, 3.802838347914129*^9}, {
   3.802852367601739*^9, 3.802852374023571*^9}, {3.8030086080747337`*^9, 
   3.8030086239230013`*^9}, 3.803184093441345*^9, {3.803184488806469*^9, 
   3.8031845101263742`*^9}, 3.8031845755481806`*^9, 3.804227567781005*^9, {
   3.8042331160542583`*^9, 3.804233155537393*^9}, 3.804234788490831*^9},
 CellLabel->"In[88]:=",ExpressionUUID->"0cbc627c-aa7a-42b5-b6a0-45a27b7b2760"],

Cell[BoxData[
 StyleBox[
  RowBox[{"\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{
     RowBox[{
      RowBox[{"--", 
       RowBox[{"--", 
        RowBox[{"-", " ", 
         StyleBox[
          RowBox[{
           StyleBox[
            StyleBox[
             StyleBox[
              StyleBox[
               StyleBox[
                StyleBox["D", "Subsection",
                 FontColor->RGBColor[0., 0.6823529411764706, 0.]], 
                "Subsection",
                FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
               FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
              FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
             FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
            FontColor->RGBColor[0., 0.6823529411764706, 0.]], "at", 
           StyleBox[
            StyleBox[
             StyleBox[
              StyleBox[
               StyleBox[
                StyleBox[
                 StyleBox["a", "Subsection",
                  FontColor->RGBColor[0., 0.6823529411764706, 0.]], 
                 "Subsection",
                 FontColor->RGBColor[0., 0.6823529411764706, 0.]], 
                "Subsection",
                FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
               FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
              FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
             FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
            FontColor->RGBColor[0., 0.6823529411764706, 0.]], "se", 
           StyleBox[
            StyleBox[
             StyleBox[
              StyleBox[
               StyleBox[
                StyleBox[
                 StyleBox["t", "Subsection",
                  FontColor->RGBColor[0., 0.6823529411764706, 0.]], 
                 "Subsection",
                 FontColor->RGBColor[0., 0.6823529411764706, 0.]], 
                "Subsection",
                FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
               FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
              FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
             FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
            FontColor->RGBColor[0., 0.6823529411764706, 0.]]}]]}]}]}], 
      StyleBox[" ", "Subsection",
       FontColor->RGBColor[0., 0.6823529411764706, 0.]], 
      StyleBox[
       RowBox[{"Ro", 
        StyleBox[
         StyleBox[
          StyleBox["w", "Subsection",
           FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
          FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
         FontColor->RGBColor[0., 0.6823529411764706, 0.]]}], "Subsection",
       FontColor->RGBColor[0., 0.6823529411764706, 0.]], 
      StyleBox[" ", "Subsection",
       FontColor->RGBColor[0., 0.6823529411764706, 0.]], 
      RowBox[{
       RowBox[{
        StyleBox[
         RowBox[{
          StyleBox[
           StyleBox[
            StyleBox[
             StyleBox[
              StyleBox[
               StyleBox[
                StyleBox[
                 StyleBox[
                  StyleBox["O", "Subsection",
                   FontColor->RGBColor[0., 0.6823529411764706, 0.]], 
                  "Subsection",
                  FontColor->RGBColor[0., 0.6823529411764706, 0.]], 
                 "Subsection",
                 FontColor->RGBColor[0., 0.6823529411764706, 0.]], 
                "Subsection",
                FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
               FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
              FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
             FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
            FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
           FontColor->RGBColor[0., 0.6823529411764706, 0.]], "pe", 
          StyleBox[
           StyleBox[
            StyleBox[
             StyleBox[
              StyleBox["r", "Subsection",
               FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
              FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
             FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
            FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
           FontColor->RGBColor[0., 0.6823529411764706, 0.]], "at", 
          StyleBox[
           StyleBox[
            StyleBox[
             StyleBox[
              StyleBox["i", "Subsection",
               FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
              FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
             FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
            FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
           FontColor->RGBColor[0., 0.6823529411764706, 0.]], "o", 
          StyleBox[
           StyleBox[
            StyleBox[
             StyleBox[
              StyleBox[
               StyleBox[
                StyleBox["n", "Subsection",
                 FontColor->RGBColor[0., 0.6823529411764706, 0.]], 
                "Subsection",
                FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
               FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
              FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
             FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
            FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
           FontColor->RGBColor[0., 0.6823529411764706, 0.]], "s"}]], " ", 
        "--"}], "--"}]}], "-"}], "*)"}]}], "Subsection",
  FontColor->RGBColor[0., 0.6823529411764706, 0.]]], "Input",
 CellChangeTimes->{{3.7611963292526646`*^9, 3.76119633888396*^9}, {
   3.761276924270635*^9, 3.7612769297666917`*^9}, {3.763360704443454*^9, 
   3.763360709717205*^9}, 3.764439462495569*^9, {3.768660195710001*^9, 
   3.768660204877347*^9}, {3.799085170487949*^9, 3.7990851787636786`*^9}, {
   3.799090224429462*^9, 3.799090241793234*^9}, {3.7990966091110277`*^9, 
   3.79909660954176*^9}, 3.799123867438096*^9, {3.799123916238782*^9, 
   3.799123926789607*^9}, {3.802581361875988*^9, 3.8025813752427735`*^9}, {
   3.8026978605002904`*^9, 
   3.802697861520352*^9}},ExpressionUUID->"9dfd3570-590f-4e52-aa91-\
926d861a4799"],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
   "Recall", " ", "that", " ", "we", " ", "created", " ", "a", " ", "full", 
    " ", "factorial", " ", "design", " ", "and", " ", "set", " ", "ds1", " ", 
    "to", " ", "the", " ", "Dataset", " ", "component"}], "*)"}], "\n", 
  RowBox[{
   RowBox[{
    RowBox[{"fullfactxdsn", "=", 
     RowBox[{"doeFactorial", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"\"\<X1\>\"", ",", "\"\<X2\>\"", ",", "\"\<X3\>\""}], "}"}], 
       ",", "\n", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0.7", ",", "1.7"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"40", ",", "60"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"1.8", ",", "2.8"}], "}"}]}], "}"}], ",", 
       RowBox[{"\"\<RandomizeRuns\>\"", "\[Rule]", "False"}]}], "]"}]}], 
    ";"}], "\n", "\n", 
   RowBox[{"ds1", " ", "=", " ", 
    RowBox[{"fullfactxdsn", "[", 
     RowBox[{"[", "1", "]"}], "]"}]}]}]}]], "Input",
 CellChangeTimes->{{3.802890120255906*^9, 3.802890136886687*^9}, {
   3.8028901684204435`*^9, 3.802890216923645*^9}, 3.802890395936673*^9},
 CellLabel->"In[11]:=",ExpressionUUID->"bf6e17e8-f16b-4e2d-8a9e-e66365bef884"],

Cell[BoxData[
 RowBox[{"(*", 
  RowBox[{
   RowBox[{"In", " ", "the", " ", "following", " ", "examples"}], ",", " ", 
   RowBox[{
   "we", " ", "apply", " ", "some", " ", "common", " ", "row", " ", 
    "operations", " ", "to", " ", "ds1"}]}], "*)"}]], "Input",
 CellChangeTimes->{{3.8028903740950937`*^9, 3.802890389070897*^9}, {
  3.80289041918139*^9, 
  3.802890455386854*^9}},ExpressionUUID->"52303b8c-d664-4e43-b5a4-\
c804189ec7a9"],

Cell["(*Example 1: Append a row to ds1.*)", "Text",
 CellChangeTimes->{{3.802581312475559*^9, 3.802581316509082*^9}, 
   3.80258164422142*^9, 3.802597546037107*^9, 3.802598630930971*^9, {
   3.802697887912124*^9, 3.8026978894698324`*^9}},
 FontColor->RGBColor[
  0, 0, 1],ExpressionUUID->"eb294db7-a88e-483f-8b7c-3811ac9d21e1"],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
   "define", " ", "a", " ", "new", " ", "row", " ", "of", " ", "data", " ", 
    "as", " ", "an", " ", "Association"}], "*)"}], "\n", 
  RowBox[{"newrow", "=", 
   RowBox[{"Association", "[", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"\"\<Pattern\>\"", "\[Rule]", "\"\<\>\""}], ",", 
      RowBox[{"\"\<X1\>\"", "\[Rule]", "1.8"}], ",", 
      RowBox[{"\"\<X2\>\"", "\[Rule]", "55"}], ",", 
      RowBox[{"\"\<X3\>\"", "\[Rule]", "2.9"}]}], "}"}], "]"}]}]}]], "Input",
 CellChangeTimes->{{3.802697903040292*^9, 3.8026979134570923`*^9}, 
   3.802702648255967*^9},
 CellLabel->"In[13]:=",ExpressionUUID->"32c72a6c-2b23-48ca-bd79-e8c6fd65e7bf"],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
     RowBox[{"append", " ", "the", " ", 
      RowBox[{"rule", ":", " ", "\"\<mykey\>\""}]}], "\[Rule]", 
     RowBox[{"newrow", " ", "to", " ", 
      RowBox[{"ds1", ".", "  ", "Note"}], " ", "how", " ", "we", " ", "use", 
      " ", "the", " ", 
      RowBox[{"Key", ":", " ", 
       RowBox[{
       "\"\<mykey\>\"", " ", "as", " ", "the", " ", "LHS", "\n", "of", " ", 
        "the", " ", 
        RowBox[{"rule", ".", "  ", "Any"}], " ", "key", " ", "would", " ", 
        "do"}]}]}]}], ",", " ", 
    RowBox[{
    "so", " ", "long", " ", "as", " ", "it", " ", "is", " ", "not", " ", 
     "currently", " ", "a", " ", "key", " ", "in", " ", "use", " ", "in", " ", 
     RowBox[{"ds1", "."}]}]}], "*)"}], "\n", 
  RowBox[{
   RowBox[{"ds1new", "=", 
    RowBox[{"Append", "[", 
     RowBox[{"ds1", ",", 
      RowBox[{"\"\<mykey\>\"", "\[Rule]", "newrow"}]}], "]"}]}], 
   "\n"}]}]], "Input",
 CellChangeTimes->{{3.802697924949011*^9, 3.8026979317556977`*^9}, 
   3.802697969340377*^9, 3.8027026566468425`*^9, {3.80270284829305*^9, 
   3.802702859368108*^9}, {3.802702948786763*^9, 3.8027029553466034`*^9}, {
   3.8027057618154697`*^9, 3.802705898021189*^9}},
 CellLabel->"In[14]:=",ExpressionUUID->"de2e1829-19cb-4fc0-b3eb-6dfe78a1b69d"],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
     RowBox[{"Fix", " ", "row", " ", 
      RowBox[{"numbering", ".", "  ", "This"}], " ", "wipes", " ", "out", " ",
       "all", " ", "current", " ", "\"\<row number\>\"", " ", "keys", " ", 
      "and", " ", "renumbers", " ", "them", " ", "as", " ", "1"}], ".."}], 
    RowBox[{"N", "."}]}], "*)"}], "\n", 
  RowBox[{"ds1new", "=", 
   RowBox[{"Dataset", "[", 
    RowBox[{"AssociationThread", "[", 
     RowBox[{
      RowBox[{"Table", "[", 
       RowBox[{"i", ",", 
        RowBox[{"{", 
         RowBox[{"i", ",", "1", ",", 
          RowBox[{"Length", "[", "ds1new", "]"}]}], "}"}]}], "]"}], ",", 
      RowBox[{"Values", "[", 
       RowBox[{"Normal", "[", "ds1new", "]"}], "]"}]}], "]"}], 
    "]"}]}]}]], "Input",
 CellChangeTimes->{{3.802697952290378*^9, 3.8026979626251388`*^9}, {
  3.802706056740175*^9, 3.80270606089806*^9}},
 CellLabel->"In[15]:=",ExpressionUUID->"d83e6024-802a-45d0-b41f-d60d6d6e8e35"],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
   "define", " ", "a", " ", "helper", " ", "function", " ", "to", " ", "fix", 
    " ", "row", " ", "numbering", " ", "in", " ", "the", " ", "following", 
    " ", "examples"}], "*)"}], "\n", 
  RowBox[{
   RowBox[{"fixRowNumbering", "[", "dsIn_", "]"}], ":=", 
   RowBox[{"Dataset", "[", 
    RowBox[{"AssociationThread", "[", 
     RowBox[{
      RowBox[{"Table", "[", 
       RowBox[{"i", ",", 
        RowBox[{"{", 
         RowBox[{"i", ",", "1", ",", 
          RowBox[{"Length", "[", "dsIn", "]"}]}], "}"}]}], "]"}], ",", 
      RowBox[{"Values", "[", 
       RowBox[{"Normal", "[", "dsIn", "]"}], "]"}]}], "]"}], 
    "]"}]}]}]], "Input",
 CellChangeTimes->{{3.802697985190203*^9, 3.802698006974782*^9}, {
  3.802698043677854*^9, 3.8026980624944754`*^9}, {3.802698196894744*^9, 
  3.802698197943316*^9}, {3.802698451008976*^9, 3.8026984534500723`*^9}},
 CellLabel->"In[16]:=",ExpressionUUID->"9d642cf1-11f5-4b66-a6b8-df8a998eac11"],

Cell["\<\
(*Example 2: Insert a row into the position currently occupied by row 6 in \
ds1.*)\
\>", "Text",
 CellChangeTimes->{{3.802581312475559*^9, 3.802581316509082*^9}, 
   3.80258164422142*^9, 3.802597546037107*^9, 3.802598630930971*^9, {
   3.802697887912124*^9, 3.8026978894698324`*^9}, {3.80269808733706*^9, 
   3.802698128162424*^9}, {3.80270193057478*^9, 3.802701991599373*^9}},
 FontColor->RGBColor[
  0, 0, 1],ExpressionUUID->"e96b8d64-8e30-4667-b929-a08fcc63828a"],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
     RowBox[{"insert", " ", "the", " ", 
      RowBox[{"rule", ":", " ", "\"\<mykey\>\""}]}], "\[Rule]", 
     RowBox[{"newrow", " ", "into", " ", 
      RowBox[{"ds1", ".", "  ", "We"}], " ", "use", " ", "\"\<mykey\>\"", " ",
       "for", " ", "the", " ", "key", " ", "in", " ", "the", "\n", "LHS", " ",
       "of", " ", "the", " ", "rule"}]}], ",", " ", 
    RowBox[{
    "which", " ", "we", " ", "know", " ", "is", " ", "not", " ", "currently", 
     " ", "in", " ", "use", " ", "in", " ", 
     RowBox[{"ds1", ".", "\n", "We"}], " ", "specify", " ", "the", " ", 
     "insertion", " ", "location", " ", "as", " ", 
     RowBox[{
      RowBox[{"Key", "[", "6", "]"}], ".", "\n", "Call"}], " ", "our", " ", 
     "helper", " ", "function", " ", "to", " ", "fix", " ", "row", " ", 
     RowBox[{"numbering", "."}]}]}], "*)"}], "\n", 
  RowBox[{
   RowBox[{
    RowBox[{"ds1new", "=", 
     RowBox[{"Insert", "[", 
      RowBox[{"ds1", ",", 
       RowBox[{"\"\<mykey\>\"", "\[Rule]", "newrow"}], ",", 
       RowBox[{"Key", "[", "6", "]"}]}], "]"}]}], ";"}], "\n", 
   RowBox[{
    RowBox[{"ds1newfix", "=", 
     RowBox[{"fixRowNumbering", "[", "ds1new", "]"}]}], ";"}], "\n", 
   RowBox[{"Grid", "[", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
       "\"\<ds1 at outset\>\"", ",", "\"\<after inserting row, Key[6]\>\"", 
        ",", "\"\<after fixing row numbering\>\""}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"ds1", ",", "ds1new", ",", "ds1newfix"}], "}"}]}], "}"}], 
    "]"}], "\n"}]}]], "Input",
 CellChangeTimes->{{3.802698147037511*^9, 3.80269817472452*^9}, {
   3.802698743086425*^9, 3.802698748713478*^9}, {3.802701861920911*^9, 
   3.802701905347045*^9}, {3.802702063336605*^9, 3.802702101081303*^9}, {
   3.802702135572323*^9, 3.802702166724172*^9}, {3.8027022062990136`*^9, 
   3.802702206711819*^9}, {3.802702242883749*^9, 3.802702260796519*^9}, {
   3.802702394706009*^9, 3.802702399886728*^9}, {3.802702930740293*^9, 
   3.802702938102754*^9}, {3.802703183731213*^9, 3.8027032202247334`*^9}, 
   3.802703252755837*^9, {3.802703390467491*^9, 3.802703403361774*^9}, {
   3.802706099821631*^9, 3.802706232488782*^9}, {3.80270639184632*^9, 
   3.80270640925628*^9}, 3.8028904772249584`*^9, {3.802891834461179*^9, 
   3.802891900287737*^9}, {3.802891931596507*^9, 3.802891939888414*^9}, {
   3.8028920435113297`*^9, 3.802892112033241*^9}, {3.9334844035357227`*^9, 
   3.933484408602915*^9}},
 CellLabel->"In[45]:=",ExpressionUUID->"5eefd5e1-ef08-48b5-a551-88e077c20828"],

Cell["(*Example 3: Delete row 3 in ds1.*)", "Text",
 CellChangeTimes->{{3.802581312475559*^9, 3.802581316509082*^9}, 
   3.80258164422142*^9, 3.802597546037107*^9, 3.802598630930971*^9, {
   3.802697887912124*^9, 3.8026978894698324`*^9}, {3.80269808733706*^9, 
   3.802698128162424*^9}, {3.802698782265295*^9, 3.802698796311453*^9}},
 FontColor->RGBColor[
  0, 0, 1],ExpressionUUID->"b382efa7-9cc6-4e62-befd-26509f17169a"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"ds1new", " ", "=", " ", 
   RowBox[{"Dataset", "[", 
    RowBox[{"KeyDrop", "[", 
     RowBox[{
      RowBox[{"Normal", "[", "ds1", "]"}], ",", "3"}], "]"}], "]"}]}], 
  ";"}], "\n", 
 RowBox[{
  RowBox[{"ds1newfix", "=", 
   RowBox[{"fixRowNumbering", "[", "ds1new", "]"}]}], ";"}], "\n", 
 RowBox[{"Grid", "[", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
     "\"\<ds1 at outset\>\"", ",", "\"\<after deleting row 3\>\"", ",", 
      "\"\<after fixing row numbering\>\""}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"ds1", ",", "ds1new", ",", "ds1newfix"}], "}"}]}], "}"}], 
  "]"}]}], "Input",
 CellChangeTimes->{{3.802698767184367*^9, 3.802698769237124*^9}, {
   3.8026988139199467`*^9, 3.8026988238881316`*^9}, 3.8028905075603256`*^9, {
   3.802890883037744*^9, 3.802891017428876*^9}, {3.802891075752063*^9, 
   3.802891077803807*^9}, {3.8028919678648033`*^9, 3.802891970699061*^9}, {
   3.933484421540125*^9, 3.933484433870371*^9}},
 CellLabel->"In[48]:=",ExpressionUUID->"5d7b29ab-2ba7-4f35-87b8-d36ae3f89ac0"],

Cell["\<\
(*Example 4: Replace row 3 in ds1 with a different row of values.*)\
\>", "Text",
 CellChangeTimes->{{3.802581312475559*^9, 3.802581316509082*^9}, 
   3.80258164422142*^9, 3.802597546037107*^9, 3.802598630930971*^9, {
   3.802697887912124*^9, 3.8026978894698324`*^9}, {3.80269808733706*^9, 
   3.802698128162424*^9}, {3.802698782265295*^9, 3.802698796311453*^9}, {
   3.8026990522087927`*^9, 3.802699076218333*^9}, {3.802699578383688*^9, 
   3.802699582690345*^9}},
 FontColor->RGBColor[
  0, 0, 1],ExpressionUUID->"d733649f-3836-4569-bd8e-6fd9ab89ce8d"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"ds1assoc", " ", "=", " ", 
   RowBox[{"Normal", "[", "ds1", "]"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"ds1assoc", "[", "3", "]"}], "=", "newrow"}], ";"}], 
  RowBox[{"(*", 
   RowBox[{"re", "-", 
    RowBox[{
    "use", " ", "newrow", " ", "created", " ", "for", " ", "example", " ", 
     "1"}]}], "*)"}]}], "\n", 
 RowBox[{
  RowBox[{"ds1new", "=", 
   RowBox[{"Dataset", "[", "ds1assoc", "]"}]}], ";"}], "\n", 
 RowBox[{"Grid", "[", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"\"\<ds1 at outset\>\"", ",", "\"\<after replacing row 3\>\""}], 
     "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"ds1", ",", "ds1new"}], "}"}]}], "}"}], "]"}]}], "Input",
 CellChangeTimes->{{3.8026992505202665`*^9, 3.802699274317972*^9}, {
  3.8026993074800224`*^9, 3.802699347652872*^9}, {3.802703264177827*^9, 
  3.802703267493428*^9}, {3.8028910612020054`*^9, 3.802891063241749*^9}, {
  3.802891094436585*^9, 3.802891113527857*^9}, {3.9334844499879017`*^9, 
  3.933484451230364*^9}},
 CellLabel->"In[51]:=",ExpressionUUID->"1142c772-a719-47f2-9531-1dd049e140d6"],

Cell["\<\
(*Example 5: Modify row 3 in ds1 by changing the value of X1 to 6.4.*)\
\>", "Text",
 CellChangeTimes->{{3.802581312475559*^9, 3.802581316509082*^9}, 
   3.80258164422142*^9, 3.802597546037107*^9, 3.802598630930971*^9, {
   3.802697887912124*^9, 3.8026978894698324`*^9}, {3.80269808733706*^9, 
   3.802698128162424*^9}, {3.802698782265295*^9, 3.802698796311453*^9}, {
   3.8026990522087927`*^9, 3.802699076218333*^9}, {3.802699578383688*^9, 
   3.802699582690345*^9}, {3.80269999321808*^9, 3.8027000197396383`*^9}, 
   3.802700098815007*^9},
 FontColor->RGBColor[
  0, 0, 1],ExpressionUUID->"e9cf79f6-18ee-41f5-bd01-e5817f9ba11c"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"ds1assoc", " ", "=", " ", 
   RowBox[{"Normal", "[", "ds1", "]"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"row3", "=", 
   RowBox[{"ds1assoc", "[", "3", "]"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"row3", "[", "\"\<X1\>\"", "]"}], "=", "6.4"}], ";"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"ds1assoc", "[", "3", "]"}], "=", "row3"}], ";"}], "\n", 
 RowBox[{
  RowBox[{"ds1new", "=", 
   RowBox[{"Dataset", "[", "ds1assoc", "]"}]}], ";"}], "\n", 
 RowBox[{"Grid", "[", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"\"\<ds1 at outset\>\"", ",", "\"\<after modifying row 3\>\""}], 
     "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"ds1", ",", "ds1new"}], "}"}]}], "}"}], "]"}]}], "Input",
 CellChangeTimes->{{3.802700068243315*^9, 3.802700127283771*^9}, 
   3.8027001735744524`*^9, {3.802891136296874*^9, 3.8028911472211595`*^9}},
 CellLabel->"In[55]:=",ExpressionUUID->"0a5b3b7d-0c09-487c-a440-7e84b4f90c97"],

Cell["\<\
(*Example 6: Move row 7 in ds1 so that it becomes the 4th row.*)\
\>", "Text",
 CellChangeTimes->{{3.802581312475559*^9, 3.802581316509082*^9}, 
   3.80258164422142*^9, 3.802597546037107*^9, 3.802598630930971*^9, {
   3.802697887912124*^9, 3.8026978894698324`*^9}, {3.80269808733706*^9, 
   3.802698128162424*^9}, {3.802698782265295*^9, 3.802698796311453*^9}, {
   3.8026990522087927`*^9, 3.802699076218333*^9}, {3.802699578383688*^9, 
   3.802699582690345*^9}, {3.80269999321808*^9, 3.8027000197396383`*^9}, 
   3.802700098815007*^9, {3.802700996381053*^9, 3.802701041439629*^9}},
 FontColor->RGBColor[
  0, 0, 1],ExpressionUUID->"c7e0f9a9-d3cc-4094-a6a0-56c9e44b6fe6"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"ds1assoc", " ", "=", " ", 
   RowBox[{"Normal", "[", "ds1", "]"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"row7", "=", 
   RowBox[{"ds1assoc", "[", "7", "]"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"ds1assoc", " ", "=", " ", 
    RowBox[{"KeyDrop", "[", 
     RowBox[{"ds1assoc", ",", "7"}], "]"}]}], ";"}], "\n", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{"Insert", " ", "the", " ", 
     RowBox[{"rule", ":", " ", "\"\<mykey\>\""}]}], "\[Rule]", 
    RowBox[{"row7", " ", "into", " ", 
     RowBox[{"ds1", ".", "\n", "Specify"}], " ", "insertion", " ", "location",
      " ", "as", " ", 
     RowBox[{
      RowBox[{"Key", "[", "4", "]"}], ".", "\n", "Fix"}], " ", "row", " ", 
     RowBox[{"numbering", "."}]}]}], "*)"}]}], "\n", 
 RowBox[{
  RowBox[{"ds1assoc", "  ", "=", " ", 
   RowBox[{"Insert", "[", 
    RowBox[{"ds1assoc", ",", 
     RowBox[{"\"\<mykey\>\"", "\[Rule]", "row7"}], ",", 
     RowBox[{"Key", "[", "4", "]"}]}], "]"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"ds1new", "=", 
   RowBox[{"fixRowNumbering", "[", "ds1assoc", "]"}]}], ";"}], "\n", 
 RowBox[{"Grid", "[", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
     "\"\<ds1 at outset\>\"", ",", "\"\<after moving row 7 to row 4\>\""}], 
     "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"ds1", ",", "ds1new"}], "}"}]}], "}"}], "]"}]}], "Input",
 CellChangeTimes->{{3.8027010641242867`*^9, 3.8027010990148387`*^9}, 
   3.8027011317434363`*^9, {3.802701218629217*^9, 3.802701243224347*^9}, {
   3.8027013736903667`*^9, 3.802701455858737*^9}, {3.802701632651659*^9, 
   3.802701703993346*^9}, {3.8027035310865793`*^9, 3.8027035319592867`*^9}, {
   3.802703569859058*^9, 3.80270357831183*^9}, 3.8027037382026405`*^9, {
   3.80270444678732*^9, 3.802704449617693*^9}, {3.8027065846027737`*^9, 
   3.802706640365472*^9}, {3.802706922288259*^9, 3.802706929152965*^9}, 
   3.802890599619058*^9, 3.802890662516997*^9, {3.802891166856912*^9, 
   3.8028911872194023`*^9}, {3.8028912602135625`*^9, 3.802891286309531*^9}, {
   3.9334844814804296`*^9, 3.9334844825713797`*^9}},
 CellLabel->"In[61]:=",ExpressionUUID->"5462ad0e-3c9f-4c3f-8b30-df327f36fc0a"],

Cell["(*Example 7: Swap rows 2 and 7 in ds1.*)", "Text",
 CellChangeTimes->{{3.802581312475559*^9, 3.802581316509082*^9}, 
   3.80258164422142*^9, 3.802597546037107*^9, 3.802598630930971*^9, {
   3.802697887912124*^9, 3.8026978894698324`*^9}, {3.80269808733706*^9, 
   3.802698128162424*^9}, {3.802698782265295*^9, 3.802698796311453*^9}, {
   3.8026990522087927`*^9, 3.802699076218333*^9}, {3.802699578383688*^9, 
   3.802699582690345*^9}, {3.80269999321808*^9, 3.8027000197396383`*^9}, 
   3.802700098815007*^9, {3.802700996381053*^9, 3.802701041439629*^9}, {
   3.802703792824623*^9, 3.802703812388079*^9}},
 FontColor->RGBColor[
  0, 0, 1],ExpressionUUID->"a3fb21c5-ea90-4c98-ba88-de64d3a82b5f"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"ds1assoc", " ", "=", " ", 
   RowBox[{"Normal", "[", "ds1", "]"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"row2", "=", 
   RowBox[{"ds1assoc", "[", "2", "]"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"ds1assoc", "[", "2", "]"}], "=", 
   RowBox[{"ds1assoc", "[", "7", "]"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"ds1assoc", "[", "7", "]"}], "=", "row2"}], ";"}], "\n", 
 RowBox[{
  RowBox[{"ds1new", " ", "=", " ", 
   RowBox[{"Dataset", "[", "ds1assoc", "]"}]}], ";"}], "\n", 
 RowBox[{"Grid", "[", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
     "\"\<ds1 at outset\>\"", ",", "\"\<after swapping rows 2 and 7\>\""}], 
     "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"ds1", ",", "ds1new"}], "}"}]}], "}"}], "]"}]}], "Input",
 CellChangeTimes->{{3.8027040356463294`*^9, 3.802704076413596*^9}, {
   3.802704117327774*^9, 3.802704119948279*^9}, {3.802891346501555*^9, 
   3.802891364272698*^9}, 3.802891450009027*^9, {3.802891636849063*^9, 
   3.802891642412642*^9}, {3.8028917792001247`*^9, 3.802891788718279*^9}, {
   3.933484490516477*^9, 3.933484491526965*^9}},
 CellLabel->"In[67]:=",ExpressionUUID->"299eaf4f-529d-474e-8df2-649f9c032c6f"],

Cell[BoxData[
 StyleBox[
  RowBox[{"\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{
     RowBox[{
      RowBox[{"--", 
       RowBox[{"--", 
        RowBox[{"-", " ", 
         StyleBox[
          RowBox[{
           StyleBox[
            StyleBox[
             StyleBox[
              StyleBox[
               StyleBox[
                StyleBox["D", "Subsection",
                 FontColor->RGBColor[0., 0.6823529411764706, 0.]], 
                "Subsection",
                FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
               FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
              FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
             FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
            FontColor->RGBColor[0., 0.6823529411764706, 0.]], "at", 
           StyleBox[
            StyleBox[
             StyleBox[
              StyleBox[
               StyleBox[
                StyleBox[
                 StyleBox["a", "Subsection",
                  FontColor->RGBColor[0., 0.6823529411764706, 0.]], 
                 "Subsection",
                 FontColor->RGBColor[0., 0.6823529411764706, 0.]], 
                "Subsection",
                FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
               FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
              FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
             FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
            FontColor->RGBColor[0., 0.6823529411764706, 0.]], "se", 
           StyleBox[
            StyleBox[
             StyleBox[
              StyleBox[
               StyleBox[
                StyleBox[
                 StyleBox["t", "Subsection",
                  FontColor->RGBColor[0., 0.6823529411764706, 0.]], 
                 "Subsection",
                 FontColor->RGBColor[0., 0.6823529411764706, 0.]], 
                "Subsection",
                FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
               FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
              FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
             FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
            FontColor->RGBColor[0., 0.6823529411764706, 0.]]}]]}]}]}], 
      StyleBox[" ", "Subsection",
       FontColor->RGBColor[0., 0.6823529411764706, 0.]], 
      StyleBox[
       RowBox[{
        StyleBox[
         StyleBox[
          StyleBox[
           StyleBox["C", "Subsection",
            FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
           FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
          FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
         FontColor->RGBColor[0., 0.6823529411764706, 0.]], "ol", 
        StyleBox[
         StyleBox[
          StyleBox[
           StyleBox[
            StyleBox[
             StyleBox[
              StyleBox["u", "Subsection",
               FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
              FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
             FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
            FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
           FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
          FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
         FontColor->RGBColor[0., 0.6823529411764706, 0.]], "mn"}]], 
      StyleBox[" ", "Subsection",
       FontColor->RGBColor[0., 0.6823529411764706, 0.]], 
      RowBox[{
       RowBox[{
        StyleBox[
         RowBox[{
          StyleBox[
           StyleBox[
            StyleBox[
             StyleBox[
              StyleBox[
               StyleBox[
                StyleBox[
                 StyleBox[
                  StyleBox["O", "Subsection",
                   FontColor->RGBColor[0., 0.6823529411764706, 0.]], 
                  "Subsection",
                  FontColor->RGBColor[0., 0.6823529411764706, 0.]], 
                 "Subsection",
                 FontColor->RGBColor[0., 0.6823529411764706, 0.]], 
                "Subsection",
                FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
               FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
              FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
             FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
            FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
           FontColor->RGBColor[0., 0.6823529411764706, 0.]], "pe", 
          StyleBox[
           StyleBox[
            StyleBox[
             StyleBox[
              StyleBox["r", "Subsection",
               FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
              FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
             FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
            FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
           FontColor->RGBColor[0., 0.6823529411764706, 0.]], "at", 
          StyleBox[
           StyleBox[
            StyleBox[
             StyleBox[
              StyleBox["i", "Subsection",
               FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
              FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
             FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
            FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
           FontColor->RGBColor[0., 0.6823529411764706, 0.]], "o", 
          StyleBox[
           StyleBox[
            StyleBox[
             StyleBox[
              StyleBox[
               StyleBox[
                StyleBox["n", "Subsection",
                 FontColor->RGBColor[0., 0.6823529411764706, 0.]], 
                "Subsection",
                FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
               FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
              FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
             FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
            FontColor->RGBColor[0., 0.6823529411764706, 0.]], "Subsection",
           FontColor->RGBColor[0., 0.6823529411764706, 0.]], "s"}]], " ", 
        "--"}], "--"}]}], "-"}], "*)"}]}], "Subsection",
  FontColor->RGBColor[0., 0.6823529411764706, 0.]]], "Input",
 CellChangeTimes->{{3.7611963292526646`*^9, 3.76119633888396*^9}, {
   3.761276924270635*^9, 3.7612769297666917`*^9}, {3.763360704443454*^9, 
   3.763360709717205*^9}, 3.764439462495569*^9, {3.768660195710001*^9, 
   3.768660204877347*^9}, {3.799085170487949*^9, 3.7990851787636786`*^9}, {
   3.799090224429462*^9, 3.799090241793234*^9}, {3.7990966091110277`*^9, 
   3.79909660954176*^9}, 3.799123867438096*^9, {3.799123916238782*^9, 
   3.799123926789607*^9}, {3.802581361875988*^9, 
   3.8025813752427735`*^9}},ExpressionUUID->"7f16d450-9dc0-4318-a475-\
c457659b7a61"],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
   "Recall", " ", "that", " ", "we", " ", "created", " ", "a", " ", "full", 
    " ", "factorial", " ", "design", " ", "and", " ", "set", " ", "ds1", " ", 
    "to", " ", "the", " ", "Dataset", " ", "component"}], "*)"}], "\n", 
  RowBox[{
   RowBox[{
    RowBox[{"fullfactxdsn", "=", 
     RowBox[{"doeFactorial", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"\"\<X1\>\"", ",", "\"\<X2\>\"", ",", "\"\<X3\>\""}], "}"}], 
       ",", "\n", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0.7", ",", "1.7"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"40", ",", "60"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"1.8", ",", "2.8"}], "}"}]}], "}"}], ",", 
       RowBox[{"\"\<RandomizeRuns\>\"", "\[Rule]", "False"}]}], "]"}]}], 
    ";"}], "\n", "\n", 
   RowBox[{"ds1", " ", "=", " ", 
    RowBox[{"fullfactxdsn", "[", 
     RowBox[{"[", "1", "]"}], "]"}]}]}]}]], "Input",
 CellLabel->"In[3]:=",ExpressionUUID->"b800730e-ca54-4429-be0b-f1636ccf79e7"],

Cell[BoxData[
 RowBox[{"(*", 
  RowBox[{
   RowBox[{"In", " ", "the", " ", "following", " ", "examples"}], ",", " ", 
   RowBox[{
   "we", " ", "apply", " ", "some", " ", "common", " ", "column", " ", 
    "operations", " ", "to", " ", "ds1"}]}], "*)"}]], "Input",
 CellChangeTimes->{{3.8028903740950937`*^9, 3.802890389070897*^9}, {
  3.80289041918139*^9, 3.802890455386854*^9}, {3.933484836575506*^9, 
  3.933484838087429*^9}},ExpressionUUID->"9cf58778-f71f-4ccb-bbad-\
6fedd81ae39e"],

Cell["(*Example 1: Add a column \"A\" of zeroes to ds1.*)", "Text",
 CellChangeTimes->{{3.802581312475559*^9, 3.802581316509082*^9}, 
   3.80258164422142*^9, 3.802597546037107*^9, 3.802598630930971*^9},
 FontColor->RGBColor[
  0, 0, 1],ExpressionUUID->"23a02791-011a-4ce4-af84-edcb0dbb1559"],

Cell[BoxData[
 RowBox[{"ds1new", "=", 
  RowBox[{"Map", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"Append", "[", 
      RowBox[{"#", ",", 
       RowBox[{"\"\<A\>\"", "\[Rule]", "0"}]}], "]"}], "&"}], ",", "ds1"}], 
   "]"}]}]], "Input",
 CellChangeTimes->{{3.799035321711244*^9, 3.799035334995883*^9}, {
  3.7990354960324535`*^9, 3.7990355115606008`*^9}, {3.799035550061298*^9, 
  3.7990355692661905`*^9}, {3.7990358315835505`*^9, 3.799035867562401*^9}, {
  3.80180632549156*^9, 3.801806329632106*^9}, {3.801813031117186*^9, 
  3.8018130347889543`*^9}, {3.802582400942006*^9, 3.8025824043618937`*^9}},
 CellLabel->"In[73]:=",ExpressionUUID->"7eb11cbc-f575-44af-99e3-1c6755be0940"],

Cell[TextData[{
 "(*In the following examples, we use the ",
 StyleBox["MapIndexed",
  FontWeight->"Bold"],
 " function to perform column operations on our Dataset\nobject ds1.  \
Essentially, we use the MapIndexed function to apply a pure (aka ",
 StyleBox["anonymous",
  FontSlant->"Italic"],
 ") function E to each\nrow of the Dataset.  One of the input parameters to E \
is the index of the row to which it is being applied.\nWe obtain the index \
via the \[OpenCurlyDoubleQuote]#2\[CloseCurlyDoubleQuote] part specification  \
which is provided by MapIndexed.  (MapIndexed also\nprovides a \
\[OpenCurlyDoubleQuote]#1\[CloseCurlyDoubleQuote] part specification, which \
essentially picks out the members of the list to which MapIndexed\nis being \
applied.)\nWhen you apply MapIndexed to an Association (which is the case in \
this situation), #2  picks out the list: {Key[i]}, \nFirst[#2] picks out \
Key[i], and First[First[#2]] gives you i.  Typically, i is the index we are \
after.  That is why in the\nexamples below, we use First[First[#2]] to get \
index i.\n\nFor more information about pure functions: \
https://reference.wolfram.com/language/ref/Function.html\nFor more \
information about the MapIndexed function: \
https://reference.wolfram.com/language/ref/MapIndexed.html \n*)"
}], "Text",
 CellChangeTimes->{{3.8018059512298727`*^9, 3.801806072507473*^9}, {
  3.801813096891016*^9, 3.801813111288539*^9}, {3.802581605890529*^9, 
  3.8025816305923586`*^9}, {3.802582266050432*^9, 3.80258236346971*^9}, {
  3.80258244693443*^9, 3.8025824543908477`*^9}, {3.8025824873265066`*^9, 
  3.802582532541393*^9}, {3.802582603057161*^9, 3.802582671036074*^9}, {
  3.80258270618662*^9, 3.802582772716111*^9}, {3.802582912954283*^9, 
  3.802582955645017*^9}, {3.8025831103160505`*^9, 3.802583121400144*^9}, {
  3.802583194981274*^9, 3.802583287149451*^9}, {3.802583367649019*^9, 
  3.802583511971563*^9}, {3.802583590400727*^9, 3.802583616712523*^9}, {
  3.8025836554377975`*^9, 3.8025836943876143`*^9}, {3.8025838596557426`*^9, 
  3.802583976543953*^9}, {3.8025840751255665`*^9, 3.8025840832221603`*^9}},
 FontColor->RGBColor[
  0, 0, 1],ExpressionUUID->"632cec04-5f5d-408f-b174-bc9f71e19790"],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{"To", " ", 
    RowBox[{"illustrate", ":", " ", 
     RowBox[{
     "we", " ", "apply", " ", "the", " ", "MapIndexed", " ", "function", " ", 
      "to", " ", "a", " ", "pure", " ", "function", " ", "that", " ", "calls",
       "\n", " ", "Print", " ", "for", " ", "each", " ", "member", " ", "of", 
      " ", 
      RowBox[{"ds1", ".", "  ", "MapIndexed"}], " ", "essentially", " ", 
      "calls", " ", "Print", " ", "to", " ", "print", " ", "each", " ", 
      "member", " ", 
      RowBox[{"(", "#1", ")"}], " ", "of", " ", "ds1", "\n", " ", "and", " ", 
      "the", " ", "index", " ", 
      RowBox[{"(", "#2", ")"}], " ", "it", " ", "assigned", " ", "to", " ", 
      "that", " ", 
      RowBox[{"member", ".", " ", "We"}], " ", "see", " ", "that", " ", "#2", 
      " ", "is", " ", "the", " ", "list"}], ":", " ", 
     RowBox[{"{", 
      RowBox[{"Key", "[", "i", "]"}], "}"}], ":"}]}], "*)"}], "\n", 
  RowBox[{"MapIndexed", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"Print", "[", 
      RowBox[{"\"\<#1=\>\"", ",", "#1", ",", "\"\<, #2=\>\"", ",", "#2"}], 
      "]"}], "&"}], ",", "ds1"}], "]"}]}]], "Input",
 CellChangeTimes->{{3.802581682572754*^9, 3.802581692093074*^9}, {
   3.802581735853193*^9, 3.80258174174957*^9}, {3.8025817782292876`*^9, 
   3.802581878091318*^9}, 3.802581964434229*^9, 3.8025819949584303`*^9, 
   3.802582027373897*^9, {3.8025821156815176`*^9, 3.802582141031307*^9}, {
   3.802584416778768*^9, 3.8025845860944676`*^9}, {3.8025846271063986`*^9, 
   3.8025846976852427`*^9}, {3.802584768957537*^9, 3.802584839300404*^9}, {
   3.8025848824906244`*^9, 3.8025850003785067`*^9}},
 CellLabel->
  "In[1991]:=",ExpressionUUID->"f1d72528-1c8c-4ee2-a818-78b3b0b93b0c"],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
    RowBox[{"In", " ", "this", " ", "case"}], ",", " ", 
    RowBox[{"we", " ", "see", " ", "that", " ", 
     RowBox[{"First", "[", "#2", "]"}], " ", "is", " ", "the", " ", 
     RowBox[{"expression", ":", " ", 
      RowBox[{"Key", "[", "i", "]"}], ":"}]}]}], "*)"}], "\n", 
  RowBox[{"MapIndexed", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"Print", "[", 
      RowBox[{"\"\<#1=\>\"", ",", "#1", ",", "\"\<, First[#2]=\>\"", ",", 
       RowBox[{"First", "[", "#2", "]"}]}], "]"}], "&"}], ",", "ds1"}], 
   "]"}]}]], "Input",
 CellChangeTimes->{
  3.802582033607068*^9, {3.802582151030166*^9, 3.802582188804184*^9}, {
   3.802584718747669*^9, 3.802584725419214*^9}},
 CellLabel->
  "In[1992]:=",ExpressionUUID->"a50b79d9-a18c-4027-a787-d6aaf94686f0"],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{"Finally", ",", " ", 
    RowBox[{"we", " ", "see", " ", "that", " ", 
     RowBox[{"First", "[", 
      RowBox[{"First", "[", "#2", "]"}], "]"}], " ", "is", " ", "index", " ", 
     "value", " ", "i"}]}], "*)"}], "\n", 
  RowBox[{"MapIndexed", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"Print", "[", 
      RowBox[{
      "\"\<#1=\>\"", ",", "#1", ",", "\"\<, First[First[#2]]=\>\"", ",", 
       RowBox[{"First", "[", 
        RowBox[{"First", "[", "#2", "]"}], "]"}]}], "]"}], "&"}], ",", 
    "ds1"}], "]"}]}]], "Input",
 CellChangeTimes->{{3.802581911348884*^9, 3.802581926178733*^9}, 
   3.802582043175188*^9, {3.8025822003900704`*^9, 3.8025822387225266`*^9}, {
   3.802584734049323*^9, 3.8025847361162043`*^9}},
 CellLabel->
  "In[1993]:=",ExpressionUUID->"c27b3d63-3ad2-4e1f-bd01-dbaee517b947"],

Cell[TextData[{
 "(*Example 2: Add a column \"A\" to ds1 where the value for row ",
 StyleBox["i",
  FontWeight->"Bold"],
 " in column A is the row's index.\nNote how we have used the expression \
First[First[#2]] as described above to get the row\[CloseCurlyQuote]s index.*)"
}], "Text",
 CellChangeTimes->{
  3.801813083694367*^9, 3.802581655413766*^9, {3.8025837807630897`*^9, 
   3.8025837818647633`*^9}, {3.8025841680876746`*^9, 3.802584263526687*^9}, 
   3.802597552694094*^9, 3.802598637334818*^9},
 FontColor->RGBColor[
  0, 0, 1],ExpressionUUID->"828ab726-10a2-40b7-b0cc-c5d2f2c946ad"],

Cell[BoxData[
 RowBox[{"ds1new", "=", 
  RowBox[{"MapIndexed", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"Append", "[", 
      RowBox[{"#1", ",", 
       RowBox[{"\"\<A\>\"", "\[Rule]", 
        RowBox[{"First", "[", 
         RowBox[{"First", "[", "#2", "]"}], "]"}]}]}], "]"}], "&"}], ",", 
    "ds1"}], "]"}]}]], "Input",
 CellChangeTimes->{{3.7990355631904*^9, 3.799035593819772*^9}, {
  3.799035757347928*^9, 3.7990358359823685`*^9}, {3.799057287454098*^9, 
  3.799057290333888*^9}, {3.801804858054184*^9, 3.8018048667102313`*^9}, {
  3.801804902992944*^9, 3.801804918101865*^9}, {3.801805013788756*^9, 
  3.80180501727303*^9}, {3.801806305773409*^9, 3.801806309726427*^9}, {
  3.80181307231514*^9, 3.801813074460301*^9}},
 CellLabel->"In[74]:=",ExpressionUUID->"b905eb0b-b584-41bf-a16e-35a6b39f37c1"],

Cell[TextData[{
 "(*Example 3: Add a column \"A\" to ds1 where the value for row ",
 StyleBox["i",
  FontWeight->"Bold"],
 " in column A is derived from\na given vector of values: colAvalues1.*)"
}], "Text",
 CellChangeTimes->{{3.801813159960231*^9, 3.801813176664065*^9}, {
   3.8025843363351164`*^9, 3.802584376391519*^9}, 3.802597555892803*^9, 
   3.8025986399337225`*^9},
 FontColor->RGBColor[
  0, 0, 1],ExpressionUUID->"eba4efa4-7357-429d-b413-ddd005df2b6f"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"colAvalues1", "=", 
   RowBox[{"{", 
    RowBox[{
    "101", ",", "241", ",", "564", ",", "111", ",", "789", ",", "432", ",", 
     "905", ",", "838"}], "}"}]}], ";"}], "\n", 
 RowBox[{"ds1new", "=", 
  RowBox[{"MapIndexed", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"Append", "[", 
      RowBox[{"#1", ",", 
       RowBox[{"\"\<A\>\"", "\[Rule]", 
        RowBox[{"colAvalues1", "[", 
         RowBox[{"[", 
          RowBox[{"First", "[", 
           RowBox[{"First", "[", "#2", "]"}], "]"}], "]"}], "]"}]}]}], "]"}], 
     "&"}], ",", "ds1"}], "]"}]}]}], "Input",
 CellChangeTimes->{{3.7990356532878385`*^9, 3.7990357342017627`*^9}, {
   3.7990358000076456`*^9, 3.799035804384337*^9}, {3.799035888136786*^9, 
   3.799035981044819*^9}, 3.799036021203577*^9, 3.7990361401588764`*^9, {
   3.7990572793786864`*^9, 3.799057282211176*^9}, {3.8018050638821373`*^9, 
   3.801805067034795*^9}, {3.8018053996940985`*^9, 3.801805411429208*^9}, {
   3.8018062524758997`*^9, 3.801806296303792*^9}, {3.8018131491167965`*^9, 
   3.801813150944908*^9}},
 CellLabel->"In[75]:=",ExpressionUUID->"6c31c18c-d095-489e-ac43-9d6380a0d962"],

Cell[TextData[{
 "(*Example 4: Add a column \"A\" to ds1 where the value for row ",
 StyleBox["i",
  FontWeight->"Bold"],
 " in column A is the sum of the values\nin row ",
 StyleBox["i ",
  FontWeight->"Bold"],
 "of columns X1 and X2.*)"
}], "Text",
 CellChangeTimes->{{3.8018131988353014`*^9, 3.801813206038215*^9}, {
   3.802584325713185*^9, 3.802584329491132*^9}, 3.802584380865961*^9, 
   3.802597559662472*^9, 3.802598645121917*^9},
 FontColor->RGBColor[
  0, 0, 1],ExpressionUUID->"051550ac-2303-4fa7-88be-c640091e4ecf"],

Cell[BoxData[
 RowBox[{"ds1new", "=", 
  RowBox[{"Dataset", "[", 
   RowBox[{"Map", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"Append", "[", 
       RowBox[{"#", ",", 
        RowBox[{"\"\<A\>\"", "\[Rule]", 
         RowBox[{
          RowBox[{"#", "[", "\"\<X1\>\"", "]"}], "+", 
          RowBox[{"#", "[", "\"\<X2\>\"", "]"}]}]}]}], "]"}], "&"}], ",", 
     "ds1"}], "]"}], "]"}]}]], "Input",
 CellChangeTimes->CompressedData["
1:eJwdz00ogwEAxvElXLYc1D4saQ5mDjRxktEScbDGyg7Ctsxa0koOwggxsczH
LmRaRmJjay2b2Uo0Tc1HO9jaJlEOvpbUSu9hvM97ePodntO/VKXrVOfQaLRi
cpCwupksyaf46MnEhZvSJR40x/YotfoVARzeYVfCH1e/Dmq8X1PQ0TM+B38f
/UaYFajNcOGQtQEXDXwLpLf+2WD8xmSHmZNjJ/XvFnlgOqnwwgGxPACZ3Q+U
I3fKEIyEDyKwvYqIwVRb8g12ZmfSsG/by2OTJpUFfDj+7i+HH1JtNXS56Y3Q
YWc3wVFnXgs0nt9K4Uv0lZKR29QFz5ZtUzDjDMzCLX/ZPEyXMFZhYr95DX4P
yq2wMBG1QcVYwschJSYsQZiazF7AxDP3EuZ/xId4pGGDTAeFHZFQr4zsvtdc
wTpfqkZJSpxO10KJqKEeegJ6SmFwnaMirRBdU/4DaYHVmg==
  "],
 CellLabel->"In[77]:=",ExpressionUUID->"cd699f6c-b787-4f2d-adbc-c22861cc0ae9"],

Cell["\<\
(*Example 5: Insert a column named \"Intercept\" (whose value is always 1) \
before column \[OpenCurlyDoubleQuote]X1\[CloseCurlyDoubleQuote] in ds1.*)\
\>", "Text",
 CellChangeTimes->{3.80181326258342*^9, 3.8025843841911545`*^9, 
  3.802597562930841*^9, 3.802598647283418*^9},
 FontColor->RGBColor[
  0, 0, 1],ExpressionUUID->"b481f244-3b5b-40db-aec1-2fc311457891"],

Cell[BoxData[
 RowBox[{"ds1new", "=", 
  RowBox[{"Map", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"Insert", "[", 
      RowBox[{"#1", ",", 
       RowBox[{"\"\<Intercept\>\"", "\[Rule]", "1"}], ",", 
       RowBox[{"Key", "[", "\"\<X1\>\"", "]"}]}], "]"}], "&"}], ",", "ds1"}], 
   "]"}]}]], "Input",
 CellChangeTimes->{{3.799384925111759*^9, 3.799385019744314*^9}, {
  3.801813247085436*^9, 3.801813254429013*^9}, {3.802599241200271*^9, 
  3.802599299916234*^9}},
 CellLabel->"In[78]:=",ExpressionUUID->"a3c88769-9989-47ff-baf0-e53e0d8c392e"],

Cell["\<\
(*Example 6: Delete a column in ds1 by index (in this example,  we delete \
column 1, the \[OpenCurlyDoubleQuote]Pattern\[CloseCurlyDoubleQuote] \
column).*)\
\>", "Text",
 CellChangeTimes->{{3.801813285054325*^9, 3.801813306788071*^9}, 
   3.802584387465785*^9, 3.80259756840294*^9, 3.8025986529362926`*^9},
 FontColor->RGBColor[
  0, 0, 1],ExpressionUUID->"772e595e-850b-41d9-9c01-0568cb353adc"],

Cell[BoxData[
 RowBox[{"ds1new", "=", 
  RowBox[{"Map", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"Delete", "[", 
      RowBox[{"#", ",", "1"}], "]"}], "&"}], ",", "ds1"}], "]"}]}]], "Input",
 CellChangeTimes->{{3.799039290129616*^9, 3.799039373450424*^9}, {
  3.799039473366563*^9, 3.7990394885051603`*^9}, {3.799384946733481*^9, 
  3.7993849470223*^9}, {3.799739039564153*^9, 3.7997390651460032`*^9}, {
  3.80181146366725*^9, 3.80181150099142*^9}, {3.8018132749139533`*^9, 
  3.801813276663903*^9}},
 CellLabel->"In[79]:=",ExpressionUUID->"9d38a1f6-59d5-4050-b518-4360c925e951"],

Cell["\<\
(*Example 7: Delete a column in ds1 by name (in this example, we delete \
column \"X2\").*)\
\>", "Text",
 CellChangeTimes->{{3.8018133675770435`*^9, 3.801813374991651*^9}, 
   3.8025843912850266`*^9, 3.802597572409492*^9, 3.8025986576602764`*^9},
 FontColor->RGBColor[
  0, 0, 1],ExpressionUUID->"976c10ea-cbc3-40a0-bd62-74cc99545834"],

Cell[BoxData[
 RowBox[{"ds1new", "=", 
  RowBox[{"Dataset", "[", 
   RowBox[{"Map", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"KeyDrop", "[", 
       RowBox[{"#", ",", "\"\<X2\>\""}], "]"}], "&"}], ",", "ds1"}], "]"}], 
   "]"}]}]], "Input",
 CellChangeTimes->{{3.799039452830154*^9, 3.799039461794313*^9}, {
   3.7990395068707056`*^9, 3.799039532257718*^9}, 3.799385367810128*^9, {
   3.8018115178201866`*^9, 3.801811520507634*^9}, {3.801813357070078*^9, 
   3.801813358788819*^9}},
 CellLabel->"In[80]:=",ExpressionUUID->"9d012ffa-d484-408c-b932-5aef9c6721c8"],

Cell["\<\
(*Example 8: Modify/Replace an existing column. In this example, we modify \
column X2 by replacing its values with their square roots.  Note that the \
index of the \[OpenCurlyDoubleQuote]X2\[CloseCurlyDoubleQuote] column is 3.*)\
\>", "Text",
 CellChangeTimes->{{3.801813402585606*^9, 3.8018134181945333`*^9}, 
   3.802584396872243*^9, 3.8025975768333254`*^9, 3.8025986601141768`*^9, {
   3.8026237447187834`*^9, 3.8026237645002837`*^9}, {3.802625748424461*^9, 
   3.80262575150186*^9}, {3.9334846067932796`*^9, 3.9334846263937817`*^9}},
 FontColor->RGBColor[
  0, 0, 1],ExpressionUUID->"45662b78-9cf1-463a-af0f-da61ca0a544f"],

Cell[BoxData[
 RowBox[{"ds1new", "=", 
  RowBox[{"Dataset", "[", 
   RowBox[{"Map", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"ReplacePart", "[", 
       RowBox[{"#", ",", 
        RowBox[{"3", "\[Rule]", 
         RowBox[{"Sqrt", "[", 
          RowBox[{"#", "[", "\"\<X2\>\"", "]"}], "]"}]}]}], "]"}], "&"}], ",",
      "ds1"}], "]"}], "]"}]}]], "Input",
 CellChangeTimes->{{3.7990396843490143`*^9, 3.799039699068207*^9}, {
   3.7990398163455405`*^9, 3.799040102142375*^9}, {3.799054980596535*^9, 
   3.7990549999059687`*^9}, {3.799055062643001*^9, 3.799055067065105*^9}, 
   3.799385371332157*^9, {3.80181153953835*^9, 3.8018115417101617`*^9}, {
   3.8018133912567663`*^9, 3.801813393889*^9}, 3.802623770695823*^9},
 CellLabel->"In[81]:=",ExpressionUUID->"01ce7a68-a0ac-4e11-881b-b23aec3ffe51"],

Cell["\<\
(*Example 9: Move a column.  In this example, we \[OpenCurlyDoubleQuote]move\
\[CloseCurlyDoubleQuote] column X2 by making a back-up, deleting it in its \
current location,
and then inserting it in its new location (before the \
\[OpenCurlyDoubleQuote]Pattern\[CloseCurlyDoubleQuote] column).*)\
\>", "Text",
 CellChangeTimes->{{3.801813402585606*^9, 3.8018134181945333`*^9}, 
   3.802584396872243*^9, 3.8025975768333254`*^9, 3.8025986601141768`*^9, {
   3.8026237447187834`*^9, 3.8026237645002837`*^9}, {3.8026241275224013`*^9, 
   3.8026242096522007`*^9}, {3.802625837461839*^9, 3.802625873602463*^9}},
 FontColor->RGBColor[
  0, 0, 1],ExpressionUUID->"fae9b8f6-ae3e-4a0b-b97c-8c3301acfd22"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"colX2", " ", "=", " ", 
   RowBox[{"ds1", "[", 
    RowBox[{"All", ",", "\"\<X2\>\""}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ds1new1", "=", 
   RowBox[{"Dataset", "[", 
    RowBox[{"Map", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"KeyDrop", "[", 
        RowBox[{"#", ",", "\"\<X2\>\""}], "]"}], "&"}], ",", "ds1"}], "]"}], 
    "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"ds1new2", "=", 
  RowBox[{"MapIndexed", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"Insert", "[", 
      RowBox[{"#1", ",", 
       RowBox[{"\"\<X2\>\"", "\[Rule]", 
        RowBox[{"colX2", "[", 
         RowBox[{"[", 
          RowBox[{"First", "[", 
           RowBox[{"First", "[", "#2", "]"}], "]"}], "  ", "]"}], "]"}]}], 
       " ", ",", 
       RowBox[{"Key", "[", "\"\<Pattern\>\"", "]"}]}], "]"}], "&"}], ",", 
    "ds1new1"}], "]"}]}]}], "Input",
 CellChangeTimes->{{3.802624230565219*^9, 3.802624260725028*^9}, {
  3.802624299520505*^9, 3.802624304734201*^9}, {3.802624433687243*^9, 
  3.802624436474132*^9}, {3.80262460277758*^9, 3.8026246204796224`*^9}, {
  3.802624918983914*^9, 3.802624923224267*^9}, {3.9334846432268333`*^9, 
  3.93348466316588*^9}},
 CellLabel->"In[82]:=",ExpressionUUID->"5e112ad4-d677-4209-b1fe-e82aec71dc63"],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
    "You", " ", "can", " ", "always", " ", "extract", " ", "just", " ", "the",
      " ", "data", " ", "from", " ", "the", " ", "DataSet", " ", "object"}], 
    ",", " ", 
    RowBox[{
    "free", " ", "from", " ", "all", " ", "the", " ", "nested", "\n", 
     "associations", " ", "as", " ", "follows"}]}], "*)"}], "\n", 
  RowBox[{"dataOnly", "=", 
   RowBox[{"Map", "[", 
    RowBox[{"Values", ",", 
     RowBox[{"Normal", "[", 
      RowBox[{"Values", "[", "ds1", "]"}], "]"}]}], "]"}]}]}]], "Input",
 CellLabel->"In[85]:=",ExpressionUUID->"4f720ef0-20ba-4904-a1c2-e6c5b6029dc4"],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
   "view", " ", "the", " ", "list", " ", "as", " ", "a", " ", "matrix"}], 
   "*)"}], "\n", 
  RowBox[{"dataOnly", "//", "MatrixForm"}]}]], "Input",
 CellChangeTimes->{{3.802917804235179*^9, 3.802917829207829*^9}},
 CellLabel->"In[86]:=",ExpressionUUID->"c2b8c201-0856-4073-ab83-83728d5b6ba5"]
},
WindowSize->{1080, 687},
WindowMargins->{{80, Automatic}, {Automatic, 18}},
FrontEndVersion->"14.1 for Mac OS X ARM (64-bit) (July 16, 2024)",
StyleDefinitions->"Default.nb",
ExpressionUUID->"a5b579bb-00fa-49dd-b0b0-016029eea96a"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[558, 20, 1657, 31, 225, "Input",ExpressionUUID->"f6a1e174-26ee-4200-95ff-3d70948693e4"],
Cell[2218, 53, 37627, 637, 162, "Text",ExpressionUUID->"41f31245-dd8a-4229-940a-5578b2075703"],
Cell[39848, 692, 369, 9, 33, "Text",ExpressionUUID->"f7eea516-39f4-40dd-8940-6847e55e3f38"],
Cell[40220, 703, 1807, 44, 210, "Text",ExpressionUUID->"b9946024-f2d4-4902-b7fb-75365f204308"],
Cell[42030, 749, 12190, 261, 69, "Input",ExpressionUUID->"cd24d202-cb5c-4454-9f8f-ab588b2d51ee"],
Cell[54223, 1012, 1164, 24, 90, "Input",ExpressionUUID->"08ce25a1-de62-4362-9a77-1b315518c532"],
Cell[55390, 1038, 1243, 24, 70, "Input",ExpressionUUID->"48d6bcb6-695f-48d4-bea5-2072f6b0c6d8"],
Cell[56636, 1064, 879, 17, 70, "Input",ExpressionUUID->"f9dac270-0618-4c82-be33-533fb6eb3815"],
Cell[57518, 1083, 5641, 123, 69, "Input",ExpressionUUID->"4713c022-0c84-401c-aa1c-03327eedec2a"],
Cell[63162, 1208, 2563, 54, 151, "Input",ExpressionUUID->"4262f132-e770-4993-8eee-2d4f48add61a"],
Cell[65728, 1264, 742, 16, 49, "Input",ExpressionUUID->"329d1336-63c4-435a-9af7-1110f4f296d9"],
Cell[66473, 1282, 576, 11, 70, "Input",ExpressionUUID->"3e5215a3-5e8b-4c3a-b72e-0c0c2ba8dc11"],
Cell[67052, 1295, 565, 21, 361, "Text",ExpressionUUID->"3d339855-a1f6-434b-b856-0f3810c6aea5"],
Cell[67620, 1318, 816, 19, 70, "Input",ExpressionUUID->"36584846-94b3-41d6-b3ad-aec289547042"],
Cell[68439, 1339, 11706, 251, 69, "Input",ExpressionUUID->"abffce31-ea0f-4c48-a4d8-192d2044a97f"],
Cell[80148, 1592, 2066, 48, 192, "Input",ExpressionUUID->"62116a50-c6eb-46b7-a8b7-624f0ace1c08"],
Cell[82217, 1642, 1668, 41, 151, "Input",ExpressionUUID->"5f1a2979-9f2a-4c01-a1a6-3d4e9a2a0995"],
Cell[83888, 1685, 2256, 58, 151, "Input",ExpressionUUID->"0a1b5563-5c25-4a50-9de6-bab280aa05bd"],
Cell[86147, 1745, 2117, 56, 172, "Input",ExpressionUUID->"8185e055-135e-48ea-86fc-86645fa67789"],
Cell[88267, 1803, 2148, 54, 172, "Input",ExpressionUUID->"c89d897e-a9cf-455f-a914-2d925861dee9"],
Cell[90418, 1859, 13072, 285, 69, "Input",ExpressionUUID->"ee4a5f61-e1aa-4ecd-a11c-ba4aa1cc39ad"],
Cell[103493, 2146, 463, 9, 55, "Text",ExpressionUUID->"1649f8a0-d5c6-493a-9af4-fb420049cfe5"],
Cell[103959, 2157, 184, 4, 29, "Input",ExpressionUUID->"3615b75d-8255-4164-8156-b89b858cfef1"],
Cell[104146, 2163, 1887, 47, 172, "Input",ExpressionUUID->"643740e8-8d69-4b2a-9d08-6a978e878d8e"],
Cell[106036, 2212, 1526, 40, 151, "Input",ExpressionUUID->"afc01349-8b71-4de7-b044-1a415085bf9c"],
Cell[107565, 2254, 1608, 40, 172, "Input",ExpressionUUID->"c9bb1a2e-b01d-456b-aadc-d3ab1c8af30a"],
Cell[109176, 2296, 227, 5, 29, "Input",ExpressionUUID->"512e9eb2-647d-4552-8fd4-237149f5bc4f"],
Cell[109406, 2303, 1359, 35, 151, "Input",ExpressionUUID->"b131b479-dc3c-40cf-aee4-878a23c22530"],
Cell[110768, 2340, 2327, 51, 151, "Input",ExpressionUUID->"b625c192-b90b-4834-84d5-c4bcb55c3de9"],
Cell[113098, 2393, 1700, 42, 172, "Input",ExpressionUUID->"c57169fc-3ba8-4585-b726-36bfd1630222"],
Cell[114801, 2437, 1656, 42, 172, "Input",ExpressionUUID->"8810afaf-66d3-471c-a6b8-2614d1960fee"],
Cell[116460, 2481, 2065, 50, 172, "Input",ExpressionUUID->"15bb18dc-7ab9-4a43-944d-19a835be01ac"],
Cell[118528, 2533, 1908, 46, 151, "Input",ExpressionUUID->"fa541b30-9af7-493c-89dc-ae0c5803bc41"],
Cell[120439, 2581, 1305, 35, 131, "Input",ExpressionUUID->"f4c24ad9-4a18-4856-ba70-4365c4dc03a3"],
Cell[121747, 2618, 1291, 35, 131, "Input",ExpressionUUID->"a06f66bd-16fc-476d-8a9f-80e50d7ea77f"],
Cell[123041, 2655, 2360, 55, 69, "Input",ExpressionUUID->"45a14e4b-21b1-4a63-9fb6-d8db6ab71609"],
Cell[125404, 2712, 2304, 54, 131, "Input",ExpressionUUID->"7e5b2f59-13fb-4d7f-862b-5d87afa64bdb"],
Cell[127711, 2768, 7089, 154, 69, "Input",ExpressionUUID->"ee1ca57c-ba3b-4e0f-97bc-4a75f6c435af"],
Cell[134803, 2924, 2586, 56, 213, "Input",ExpressionUUID->"a9c21af3-61ce-42b8-b7d9-aca1654280c4"],
Cell[137392, 2982, 2541, 58, 192, "Input",ExpressionUUID->"ace606fb-6f75-410d-8c9e-19a32969b6fd"],
Cell[139936, 3042, 3091, 72, 294, "Input",ExpressionUUID->"092c8098-ad1c-46e7-9fcb-452006f6944c"],
Cell[143030, 3116, 5836, 127, 69, "Input",ExpressionUUID->"bfe348ad-ef36-45ea-a624-f80b31b0147f"],
Cell[148869, 3245, 1900, 49, 172, "Input",ExpressionUUID->"42c75962-d175-4b4d-80c7-d9c9c3482838"],
Cell[150772, 3296, 2422, 53, 213, "Input",ExpressionUUID->"c3e5acd9-2f14-4248-9079-a87e7e68f1b5"],
Cell[153197, 3351, 2429, 57, 233, "Input",ExpressionUUID->"b771f314-df06-48ed-a981-fcb8f43b41c3"],
Cell[155629, 3410, 3137, 71, 254, "Input",ExpressionUUID->"761ea202-b484-4034-a5e2-76d40e6f1cc7"],
Cell[158769, 3483, 7312, 158, 69, "Input",ExpressionUUID->"4b94577b-f9ed-433b-9723-761cacbfdb74"],
Cell[166084, 3643, 1958, 50, 192, "Input",ExpressionUUID->"c936b592-2c0e-4a95-9958-3011b20f7ae9"],
Cell[168045, 3695, 669, 15, 70, "Input",ExpressionUUID->"70d0c46f-e091-4aa1-9b1b-85f10636a92f"],
Cell[168717, 3712, 1375, 39, 151, "Input",ExpressionUUID->"667b254c-081c-430e-922a-23c759bf4f49"],
Cell[170095, 3753, 3685, 90, 397, "Input",ExpressionUUID->"4e04d8d0-e67a-4c7c-9724-a286f462d29d"],
Cell[173783, 3845, 3458, 81, 254, "Input",ExpressionUUID->"7a281dac-95a1-409e-8c05-fb10b300112d"],
Cell[177244, 3928, 4844, 106, 69, "Input",ExpressionUUID->"55bf1b53-235b-448b-9e94-ff6109adfe44"],
Cell[182091, 4036, 1664, 35, 131, "Input",ExpressionUUID->"f47151da-99c5-48f9-8ba5-7d3bdc3d9e29"],
Cell[183758, 4073, 1126, 29, 131, "Input",ExpressionUUID->"7e9b509e-8ea0-47c8-91e6-4531438f9381"],
Cell[184887, 4104, 3301, 71, 69, "Input",ExpressionUUID->"009d2d6e-4275-4412-8718-cff3e764e098"],
Cell[188191, 4177, 2259, 54, 151, "Input",ExpressionUUID->"d312d15e-8615-45c8-b597-25167677402b"],
Cell[190453, 4233, 2465, 60, 172, "Input",ExpressionUUID->"020ef2c6-bdeb-40dd-ab1b-05a4fc7d84b3"],
Cell[192921, 4295, 4842, 106, 69, "Input",ExpressionUUID->"96a232e0-f881-423b-802f-70aebfbbfad7"],
Cell[197766, 4403, 416, 7, 55, "Text",ExpressionUUID->"9b0dd10f-d2ff-4c0d-8c84-8059d75852cb"],
Cell[198185, 4412, 1707, 40, 172, "Input",ExpressionUUID->"5c59f11c-64aa-4754-add4-c0e94cdfa967"],
Cell[199895, 4454, 362, 8, 55, "Text",ExpressionUUID->"f3cb719f-279f-4640-8581-c0355234ab85"],
Cell[200260, 4464, 1829, 33, 111, "Input",ExpressionUUID->"e01e2a33-0992-4878-8430-b5d3634216be"],
Cell[202092, 4499, 440, 9, 55, "Text",ExpressionUUID->"7134fce0-3c8c-477a-b272-4bffb29509c1"],
Cell[202535, 4510, 992, 22, 111, "Input",ExpressionUUID->"e34b9601-a8f2-4574-bb20-d29c21b93b97"],
Cell[203530, 4534, 482, 9, 55, "Text",ExpressionUUID->"645055a1-9d0c-47e1-87b0-1442b7581c7f"],
Cell[204015, 4545, 1029, 22, 111, "Input",ExpressionUUID->"4a9c91bb-d61e-4772-9bd4-66a0de74528e"],
Cell[205047, 4569, 484, 10, 77, "Text",ExpressionUUID->"161c9258-9f34-4dc1-9fe9-fa9e2a96890e"],
Cell[205534, 4581, 1622, 33, 151, "Input",ExpressionUUID->"64ca4b42-feca-4e66-8d34-468ec3265128"],
Cell[207159, 4616, 536, 11, 77, "Text",ExpressionUUID->"9b46c05f-2988-489f-bf5e-ceadc3c7eebf"],
Cell[207698, 4629, 1077, 23, 131, "Input",ExpressionUUID->"b02f34ba-3ab9-46c4-91d5-43f3507cc5a1"],
Cell[208778, 4654, 5902, 127, 69, "Input",ExpressionUUID->"d18d68e6-8759-4e21-90c4-f7e4f03f4863"],
Cell[214683, 4783, 1225, 31, 90, "Input",ExpressionUUID->"414ab67b-19b5-4024-9a5f-b5597cb164bd"],
Cell[215911, 4816, 869, 20, 49, "Input",ExpressionUUID->"a94b17d0-b32c-40cf-a13c-09c3daecc5fa"],
Cell[216783, 4838, 1315, 27, 70, "Input",ExpressionUUID->"c9069bef-6705-475a-8b7e-c7ce70dc7965"],
Cell[218101, 4867, 769, 19, 70, "Input",ExpressionUUID->"92f02159-808e-4211-a950-8947886264f1"],
Cell[218873, 4888, 1157, 27, 90, "Input",ExpressionUUID->"6eb859fd-c32d-4718-932f-448eff824525"],
Cell[220033, 4917, 3418, 74, 69, "Input",ExpressionUUID->"5e5654f9-2c28-497f-95a3-4c81e8d56715"],
Cell[223454, 4993, 2058, 57, 131, "Input",ExpressionUUID->"5c1899c4-da8e-41b9-bf21-8692819924e0"],
Cell[225515, 5052, 1056, 25, 90, "Input",ExpressionUUID->"d832e0ca-7bf9-4349-8c4d-ef544df82a66"],
Cell[226574, 5079, 1036, 25, 90, "Input",ExpressionUUID->"8fedae24-96e2-4a7e-a9ab-42c4f61f4ac9"],
Cell[227613, 5106, 1097, 27, 90, "Input",ExpressionUUID->"2e8020c9-ea58-4c4d-b1dd-4e1ce984132a"],
Cell[228713, 5135, 1003, 25, 90, "Input",ExpressionUUID->"ccf01137-8406-4235-b452-a7310a88aa75"],
Cell[229719, 5162, 1240, 31, 111, "Input",ExpressionUUID->"ad55d693-e7d0-4586-92dd-2b2d6000a3a6"],
Cell[230962, 5195, 1170, 29, 131, "Input",ExpressionUUID->"cb36e471-5741-4883-9f83-860021c89224"],
Cell[232135, 5226, 1026, 25, 111, "Input",ExpressionUUID->"40a3094a-aab5-48bb-a9f8-0b42b200f2ac"],
Cell[233164, 5253, 8258, 175, 69, "Input",ExpressionUUID->"9d98aec9-b14b-4b84-8f10-034ed60c3f2c"],
Cell[241425, 5430, 447, 9, 55, "Text",ExpressionUUID->"202df4e6-08fb-42b0-95c4-81ba61962142"],
Cell[241875, 5441, 210, 3, 29, "Input",ExpressionUUID->"51a21e43-acff-4940-80b2-2f612dec42a4"],
Cell[242088, 5446, 6384, 138, 69, "Input",ExpressionUUID->"f7e7d1a5-3d24-4adc-896d-be452cd9a8f2"],
Cell[248475, 5586, 1684, 24, 317, "Text",ExpressionUUID->"fe3f9cf5-7670-4eaa-8355-ba48a3cd212b"],
Cell[250162, 5612, 1623, 41, 131, "Input",ExpressionUUID->"b854de45-ffb4-4834-84dd-1ad4688533f8"],
Cell[251788, 5655, 3352, 66, 233, "Input",ExpressionUUID->"4efcb39c-6960-4a1b-bf9d-bb379762dd5c"],
Cell[255143, 5723, 445, 8, 55, "Text",ExpressionUUID->"dc0edb1b-2f5e-4973-a567-3e32d6f3f908"],
Cell[255591, 5733, 2058, 48, 213, "Input",ExpressionUUID->"24a45d14-f6e1-4fba-a449-b465d505d0a2"],
Cell[257652, 5783, 546, 13, 49, "Input",ExpressionUUID->"c2a8ec9e-9afd-4d19-b120-d31dd409ee07"],
Cell[258201, 5798, 634, 14, 49, "Input",ExpressionUUID->"71ec2915-20dc-4201-abd5-daf917325a45"],
Cell[258838, 5814, 3225, 82, 131, "Input",ExpressionUUID->"103d764c-1eb9-4e62-b04d-3d3603e31e54"],
Cell[262066, 5898, 254, 6, 35, "Text",ExpressionUUID->"0e196619-20c0-4e5a-b294-f6146d48fc54"],
Cell[262323, 5906, 1366, 28, 73, "Input",ExpressionUUID->"438ba31d-d8af-401c-9b47-890b866d5e57"],
Cell[263692, 5936, 521, 13, 52, "Input",ExpressionUUID->"d89c2837-c724-404e-9ef7-b6936af78b89"],
Cell[264216, 5951, 324, 6, 35, "Text",ExpressionUUID->"9d95da71-0612-44eb-ac0d-4a14d84d98ed"],
Cell[264543, 5959, 1083, 21, 173, "Text",ExpressionUUID->"dfd68dc5-e6b9-4318-97cf-d99f63c23056"],
Cell[265629, 5982, 685, 18, 52, "Input",ExpressionUUID->"756a882d-37ee-4c88-aa1d-86c75c77c8cd"],
Cell[266317, 6002, 1651, 44, 94, "Input",ExpressionUUID->"878d1385-c8b3-4fd3-b5ee-3b42703e5c86"],
Cell[267971, 6048, 352, 7, 30, "Input",ExpressionUUID->"99262192-b4a2-4d5f-8dfd-212df87e3103"],
Cell[268326, 6057, 832, 20, 94, "Input",ExpressionUUID->"11912c87-ad4a-4c9a-a8c4-1670a4e680ad"],
Cell[269161, 6079, 373, 7, 52, "Input",ExpressionUUID->"d525cee4-b1d7-4d60-9476-af1306fd20ef"],
Cell[269537, 6088, 774, 19, 94, "Input",ExpressionUUID->"d229f022-a7ce-4a74-a3c1-1cd7346a3b22"],
Cell[270314, 6109, 760, 18, 94, "Input",ExpressionUUID->"97226771-1b3b-4b71-beb1-b385951cea0f"],
Cell[271077, 6129, 564, 9, 58, "Text",ExpressionUUID->"d3359e7d-0acb-4003-933c-60e25d7f8142"],
Cell[271644, 6140, 1326, 35, 157, "Input",ExpressionUUID->"1d612d0e-bc78-4309-9c4f-2318ef439702"],
Cell[272973, 6177, 779, 19, 94, "Input",ExpressionUUID->"a6031b72-e69c-4b81-a13e-a4aba8cb0e4e"],
Cell[273755, 6198, 222, 5, 35, "Text",ExpressionUUID->"e6844111-ec82-42fa-af86-6ce1a7ae2ade"],
Cell[273980, 6205, 594, 11, 136, "Input",ExpressionUUID->"1316f52e-1979-46d0-9035-5c93369b5ef9"],
Cell[274577, 6218, 432, 9, 58, "Text",ExpressionUUID->"8ea27b43-1c48-4b4a-9ee3-91270fae3982"],
Cell[275012, 6229, 2726, 76, 367, "Input",ExpressionUUID->"3dba2b87-5ebf-4128-8314-889c4231a8bd"],
Cell[277741, 6307, 288, 6, 35, "Text",ExpressionUUID->"24bc098f-7a4b-4cb9-a3a3-79137e54b468"],
Cell[278032, 6315, 2026, 58, 241, "Input",ExpressionUUID->"2be0d8b2-5204-4cb2-b1b4-058f3c0605dd"],
Cell[280061, 6375, 2144, 50, 199, "Input",ExpressionUUID->"4d05d369-995a-406a-a0f2-2859b6f996aa"],
Cell[282208, 6427, 1797, 41, 178, "Input",ExpressionUUID->"c6ec8276-f22d-4110-a1cd-3a1297b2338c"],
Cell[284008, 6470, 254, 4, 35, "Text",ExpressionUUID->"9a1d3393-e116-4cb1-887b-2a28c13f6b3a"],
Cell[284265, 6476, 682, 14, 127, "Text",ExpressionUUID->"d3b3a4a3-5520-48f5-bf43-ea9c4beaf2ed"],
Cell[284950, 6492, 1986, 51, 157, "Input",ExpressionUUID->"54fd04c2-cc17-44e7-9d6f-04128c407bec"],
Cell[286939, 6545, 539, 12, 115, "Input",ExpressionUUID->"eb3a4599-2848-42b4-ba40-e62ef026c87b"],
Cell[287481, 6559, 329, 8, 58, "Text",ExpressionUUID->"e005f23f-b4ca-4f34-af31-acf259e6ce71"],
Cell[287813, 6569, 708, 13, 136, "Input",ExpressionUUID->"7dfc378d-fe85-4cba-83cc-2bfcbb752de5"],
Cell[288524, 6584, 2825, 50, 380, "Text",ExpressionUUID->"e12e85ab-6df8-466e-acee-d15e46cb4974"],
Cell[291352, 6636, 871, 20, 136, "Input",ExpressionUUID->"bd42eeaa-dd62-4746-a45b-e0780ad8c437"],
Cell[292226, 6658, 708, 12, 81, "Text",ExpressionUUID->"b78d9675-fc86-42ab-ba8b-260ce321cab1"],
Cell[292937, 6672, 782, 21, 199, "Input",ExpressionUUID->"7e1aae02-32a2-4434-94eb-0f8212922fcd"],
Cell[293722, 6695, 235, 6, 35, "Text",ExpressionUUID->"2d45dd97-b10c-473c-ae49-145d023918c3"],
Cell[293960, 6703, 1286, 25, 73, "Input",ExpressionUUID->"bcbf4240-88ee-4da4-a77c-35ed84cb66c5"],
Cell[295249, 6730, 963, 16, 58, "Text",ExpressionUUID->"67fb7d98-e9e1-4f59-b885-c7aaace54ed8"],
Cell[296215, 6748, 296, 7, 30, "Input",ExpressionUUID->"23742259-2f07-4607-958e-909889eb2019"],
Cell[296514, 6757, 2188, 47, 115, "Input",ExpressionUUID->"a1a2b3b4-fc79-44c4-8fe8-37471441aa75"],
Cell[298705, 6806, 335, 7, 35, "Text",ExpressionUUID->"ff2b84eb-4d21-441b-aee2-03447a701762"],
Cell[299043, 6815, 1184, 20, 94, "Input",ExpressionUUID->"0cbc627c-aa7a-42b5-b6a0-45a27b7b2760"],
Cell[300230, 6837, 6521, 140, 72, "Input",ExpressionUUID->"9dfd3570-590f-4e52-aa91-926d861a4799"],
Cell[306754, 6979, 1214, 30, 115, "Input",ExpressionUUID->"bf6e17e8-f16b-4e2d-8a9e-e66365bef884"],
Cell[307971, 7011, 437, 10, 30, "Input",ExpressionUUID->"52303b8c-d664-4e43-b5a4-c804189ec7a9"],
Cell[308411, 7023, 327, 5, 35, "Text",ExpressionUUID->"eb294db7-a88e-483f-8b7c-3811ac9d21e1"],
Cell[308741, 7030, 699, 16, 52, "Input",ExpressionUUID->"32c72a6c-2b23-48ca-bd79-e8c6fd65e7bf"],
Cell[309443, 7048, 1308, 30, 94, "Input",ExpressionUUID->"de2e1829-19cb-4fc0-b3eb-6dfe78a1b69d"],
Cell[310754, 7080, 985, 24, 52, "Input",ExpressionUUID->"d83e6024-802a-45d0-b41f-d60d6d6e8e35"],
Cell[311742, 7106, 992, 23, 52, "Input",ExpressionUUID->"9d642cf1-11f5-4b66-a6b8-df8a998eac11"],
Cell[312737, 7131, 477, 9, 35, "Text",ExpressionUUID->"e96b8d64-8e30-4667-b929-a08fcc63828a"],
Cell[313217, 7142, 2588, 53, 178, "Input",ExpressionUUID->"5eefd5e1-ef08-48b5-a551-88e077c20828"],
Cell[315808, 7197, 422, 6, 35, "Text",ExpressionUUID->"b382efa7-9cc6-4e62-befd-26509f17169a"],
Cell[316233, 7205, 1072, 26, 73, "Input",ExpressionUUID->"5d7b29ab-2ba7-4f35-87b8-d36ae3f89ac0"],
Cell[317308, 7233, 564, 10, 35, "Text",ExpressionUUID->"d733649f-3836-4569-bd8e-6fd9ab89ce8d"],
Cell[317875, 7245, 1125, 29, 94, "Input",ExpressionUUID->"1142c772-a719-47f2-9531-1dd049e140d6"],
Cell[319003, 7276, 640, 11, 35, "Text",ExpressionUUID->"e9cf79f6-18ee-41f5-bd01-e5817f9ba11c"],
Cell[319646, 7289, 966, 26, 136, "Input",ExpressionUUID->"0a5b3b7d-0c09-487c-a440-7e84b4f90c97"],
Cell[320615, 7317, 680, 11, 35, "Text",ExpressionUUID->"c7e0f9a9-d3cc-4094-a6a0-56c9e44b6fe6"],
Cell[321298, 7330, 2170, 50, 199, "Input",ExpressionUUID->"5462ad0e-3c9f-4c3f-8b30-df327f36fc0a"],
Cell[323471, 7382, 698, 10, 35, "Text",ExpressionUUID->"a3fb21c5-ea90-4c98-ba88-de64d3a82b5f"],
Cell[324172, 7394, 1213, 31, 136, "Input",ExpressionUUID->"299eaf4f-529d-474e-8df2-649f9c032c6f"],
Cell[325388, 7427, 7186, 154, 72, "Input",ExpressionUUID->"7f16d450-9dc0-4318-a475-c457659b7a61"],
Cell[332577, 7583, 1073, 28, 115, "Input",ExpressionUUID->"b800730e-ca54-4429-be0b-f1636ccf79e7"],
Cell[333653, 7613, 486, 10, 30, "Input",ExpressionUUID->"9cf58778-f71f-4ccb-bbad-6fedd81ae39e"],
Cell[334142, 7625, 291, 4, 35, "Text",ExpressionUUID->"23a02791-011a-4ce4-af84-edcb0dbb1559"],
Cell[334436, 7631, 683, 14, 30, "Input",ExpressionUUID->"7eb11cbc-f575-44af-99e3-1c6755be0940"],
Cell[335122, 7647, 2201, 35, 311, "Text",ExpressionUUID->"632cec04-5f5d-408f-b174-bc9f71e19790"],
Cell[337326, 7684, 1752, 35, 94, "Input",ExpressionUUID->"f1d72528-1c8c-4ee2-a818-78b3b0b93b0c"],
Cell[339081, 7721, 807, 20, 52, "Input",ExpressionUUID->"a50b79d9-a18c-4027-a787-d6aaf94686f0"],
Cell[339891, 7743, 856, 21, 52, "Input",ExpressionUUID->"c27b3d63-3ad2-4e1f-bd01-dbaee517b947"],
Cell[340750, 7766, 594, 12, 58, "Text",ExpressionUUID->"828ab726-10a2-40b7-b0cc-c5d2f2c946ad"],
Cell[341347, 7780, 808, 17, 30, "Input",ExpressionUUID->"b905eb0b-b584-41bf-a16e-35a6b39f37c1"],
Cell[342158, 7799, 464, 10, 58, "Text",ExpressionUUID->"eba4efa4-7357-429d-b413-ddd005df2b6f"],
Cell[342625, 7811, 1157, 26, 52, "Input",ExpressionUUID->"6c31c18c-d095-489e-ac43-9d6380a0d962"],
Cell[343785, 7839, 527, 13, 58, "Text",ExpressionUUID->"051550ac-2303-4fa7-88be-c640091e4ecf"],
Cell[344315, 7854, 999, 23, 30, "Input",ExpressionUUID->"cd699f6c-b787-4f2d-adbc-c22861cc0ae9"],
Cell[345317, 7879, 375, 7, 35, "Text",ExpressionUUID->"b481f244-3b5b-40db-aec1-2fc311457891"],
Cell[345695, 7888, 545, 13, 30, "Input",ExpressionUUID->"a3c88769-9989-47ff-baf0-e53e0d8c392e"],
Cell[346243, 7903, 407, 8, 35, "Text",ExpressionUUID->"772e595e-850b-41d9-9c01-0568cb353adc"],
Cell[346653, 7913, 582, 12, 30, "Input",ExpressionUUID->"9d38a1f6-59d5-4050-b518-4360c925e951"],
Cell[347238, 7927, 346, 7, 35, "Text",ExpressionUUID->"976c10ea-cbc3-40a0-bd62-74cc99545834"],
Cell[347587, 7936, 567, 13, 30, "Input",ExpressionUUID->"9d012ffa-d484-408c-b932-5aef9c6721c8"],
Cell[348157, 7951, 638, 10, 58, "Text",ExpressionUUID->"45662b78-9cf1-463a-af0f-da61ca0a544f"],
Cell[348798, 7963, 802, 17, 30, "Input",ExpressionUUID->"01ce7a68-a0ac-4e11-881b-b23aec3ffe51"],
Cell[349603, 7982, 703, 12, 58, "Text",ExpressionUUID->"fae9b8f6-ae3e-4a0b-b97c-8c3301acfd22"],
Cell[350309, 7996, 1295, 33, 73, "Input",ExpressionUUID->"5e112ad4-d677-4209-b1fe-e82aec71dc63"],
Cell[351607, 8031, 649, 16, 73, "Input",ExpressionUUID->"4f720ef0-20ba-4904-a1c2-e6c5b6029dc4"],
Cell[352259, 8049, 346, 8, 52, "Input",ExpressionUUID->"c2b8c201-0856-4073-ab83-83728d5b6ba5"]
}
]
*)

